2009-04-06  Eugen Dedu  <ededu@svn.gnome.org>

	* src/gui/assistant.cpp:
	Use g_malloc instead of malloc.

2009-04-05  Eugen Dedu  <ededu@svn.gnome.org>

	* lib/engine/components/opal/opal-bank.cpp:
	Set relationship between label and edit box in accounts window,
	necessary in a11y (#369210).

2009-03-30  Eugen Dedu  <ededu@svn.gnome.org>

	* lib/engine/components/resource-list/rl-entry.cpp:
	Remove empty translation string (snark confirmed).

2009-03-27  Eugen Dedu  <ededu@svn.gnome.org>

	* lib/engine/components/opal/sip-endpoint.cpp:
	On failed registration, do not show the unuseful RequestTerminated
	code to user.

2009-03-26  Eugen Dedu  <ededu@svn.gnome.org>

	* lib/engine/components/opal/opal-call.cpp:
	Remove OpalConnection::EndedWithQ931Code, which was removed upstream.

2009-03-23  Eugen Dedu  <ededu@svn.gnome.org>

	* src/gui/accounts.cpp:
	Adds space before '(', fixes "Small string bug" (#575610).

2009-03-23  Eugen Dedu  <ededu@svn.gnome.org>

	* ekiga.rc:
	Fix Win32 icon path, patch by Michael Cronenworth.

2009-03-20  Eugen Dedu  <ededu@svn.gnome.org>

	* lib/engine/components/opal/opal-call-manager.cpp:
	Remove unused opal controller options.

2009-03-17  Eugen Dedu  <ededu@svn.gnome.org>

	* configure.ac:
	Version 3.3.0.

2009-03-17  Eugen Dedu  <ededu@svn.gnome.org>

	* .:
	Tagged release 3.2.0.

2009-03-16  Eugen Dedu  <ededu@svn.gnome.org>

	* configure.ac:
	Version 3.2.0.

2009-03-07  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/ptlib/audiooutput-manager-ptlib.cpp:
        Do not try writing 0 bytes to the soundcard.

2009-03-07  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/sip-endpoint.cpp:
        Fixed unregistration of accounts. It was impossible to stop an account 
        from trying to register if that specific account was not already 
        registered.

2009-03-07  Damien Sandras  <dsandras@gnome.org>

        * src/ekiga.cpp:
        Fixed bug #574366 (Various problems with dual monitors).

2009-03-07  Damien Sandras  <dsandras@gnome.org>

        * src/gui/conf.cpp:
        * lib/gui/codecsbox.cpp:
        * lib/engine/gui/gtk-frontend/gtk-frontend.cpp:
        * lib/engine/components/gmconf-personal-details/gmconf-personal-details.cpp:
        * lib/engine/account/bank-impl.h:
        Applied patch from Eugen to fix hardcoded GmConf keys leading to problems
        when Ekiga is compiled with another package name than Ekiga (#574336).

2009-03-07  Damien Sandras  <dsandras@gnome.org>

        * src/gui/assistant.cpp:
        Fixed bug #574140 (Assistant loosing values when going backward).

2009-03-03  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Fixed bug #573480 (URL completion combobox shows identical completions
        after several registration refresh actions).

2009-03-03  Damien Sandras  <dsandras@gnome.org>

        * ekiga.schemas.in.in: Removed useless keys thanks to Eugen.

2009-03-03  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        * lib/engine/components/opal/sip-endpoint.cpp:
        * lib/engine/components/libnotify/Makefile.am:
        * lib/engine/components/Makefile.am:
        * lib/engine/engine.cpp:
        * lib/engine/Makefile.am:
        Uniformised the detection of libnotify. Fixes compilation with mingw.

2009-03-02  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        Applied patch from Eugen that increments version numbers.

2009-03-02  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Fixed possible crash on incoming calls when compiled without lib notify
        support due to the use of a direct pointer instead of gmref_ptr.

2009-02-27  Damien Sandras  <dsandras@gnome.org>

        * Coding_Policy:
        * src/ekiga-config-tool.in:
        * ekiga.schemas.in.in:
        Various patches from Eugen.

2009-02-25  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Fixed problem thanks to a patch from Eugen Dedu. Thanks!

2009-02-25  Damien Sandras  <dsandras@gnome.org>

        * ekiga.schemas.in.in: Removed obsolete comment.

2009-02-25  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/ptlib/audioinput-manager-ptlib.cpp:
        * lib/engine/components/ptlib/audiooutput-manager-ptlib.cpp:
        Fixed problem introduced by the recent OpalMediaStream changes. Thanks
        to Eugen for leading me in the right direction.

2009-02-23  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/sip-endpoint.cpp:
        Fixed incoming calls.

2009-02-22  Jan Schampera <jan.schampera@unix.net>

	* src/gui/assistant.cpp:
	Grammar fix (bug #571782)

2009-02-14  Damien Sandras  <dsandras@gnome.org>

        * lib/platform/platform-win32.c:
        Patch from Michael Cronenworth. Thanks!

2009-02-14  Damien Sandras  <dsandras@gnome.org>

        * ekiga.schemas.in.in: Fixed disable_stun key.

2009-02-11  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        * lib/engine/components/local-roster/local-presentity.cpp:
        * lib/engine/components/local-roster/local-heap.cpp:
        Better fix.

2009-02-11  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        * lib/engine/components/local-roster/local-presentity.cpp:
        * lib/engine/components/local-roster/local-heap.cpp:
        Do not allow whitespaces in uris. Fixes bug report #568240.

2009-02-11  Damien Sandras  <dsandras@gnome.org>

        * win32/directx/dxerr9.h:
        * win32/directx/strmif.h:
        * win32/directx/ksuuids.h:
        Fixed mingw32 compilation thanks to Michael Cronenworth
        <mike cchtml com>. Thanks a lot!

2009-02-07  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/resource-list/Makefile.am:
        Fixed make dist thanks to Eugen Dedu.

2009-02-03  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/opal-call.cpp:
        When calling out by double-clicking on a contact in the roster, update
        the url bar with the called uri.

2009-02-03  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/opal-call.cpp:
        * lib/engine/components/opal/opal-call.h:
        The call setup is now threaded which makes Ekiga GUI finally more
        reactive again. 
        We still keep the main call setup in the main thread, which allows
        cancelling a call before it fails or succeeds.

2009-02-02  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Cleanups.

2009-02-02  Damien Sandras  <dsandras@gnome.org>

        * lib/gui/gmconfwidgets.c:
        * lib/gui/gmmenuaddon.c:
        * lib/gui/gmdialog.c:
        Removed obsolete gdk_threads_ calls which were still present.

2009-02-01  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/opal-account.cpp:
        Fixed account data corruption when the authentication user name is
        left blank (bug #570024).

2009-01-24  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/engine.cpp: 
        Fixed crash on exit due to bad initialization order of
        the various cores.

2009-01-21  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Clear call url at the end of calls. (#568249)

2009-01-21  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Exclude H.323.

2009-01-21  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        When the user forgets to use the auto-completion, use the first
        account in the list as default. (#568338)

2009-01-21  Damien Sandras  <dsandras@gnome.org>

        * src/gui/accounts.cpp:
        When double-clicking an account, enable it or disable it. (#568586)

2009-01-21  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/opal-call-manager.cpp:
        * lib/engine/components/opal/sip-endpoint.h:
        * lib/engine/components/opal/sip-endpoint.cpp:
        * lib/engine/components/opal/opal-main.cpp:
        Do not force the SIP listen port to be in the udp port range.
        Optimized dialog info notifications handling.

2009-01-17  Damien Sandras  <dsandras@gnome.org>

        * Makefile.am: Fixed make dist thanks to Eugen Dedu.

2009-01-08  Damien Sandras  <dsandras@gnome.org>

       * lib/engine/components/opal/opal-call-manager.cpp:
       Fixed G.722 usage. It was impossible to enable it due
       to the wrong frequency specified in the RFC.

2009-01-06  Damien Sandras  <dsandras@gnome.org>

        * src/gui/callbacks.cpp:
        Oops, added missing ',' thanks to Eugen.

2009-01-06  Damien Sandras  <dsandras@gnome.org>

        * Makefile.am:
        Another fix from Eugen.

2009-01-06  Damien Sandras  <dsandras@gnome.org>

        * Makefile.am:
        Fixed installation of desktop.pc.in.in instead of desktop.pc thanks
        to Eugen Dedu (bug #566773).

2009-01-05  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        Incremented version number.

tag EKIGA_3_1_0

2009-01-05  Damien Sandras  <dsandras@gnome.org>

        * Makefile.am:
        Fixed doc/ subdir being introduced twice by make dist.

2009-01-05  Damien Sandras  <dsandras@gnome.org>

        * README:
        Better README provided by Eugen.

2009-01-05  Damien Sandras  <dsandras@gnome.org>

        * TODO:
        * NEWS:
        Changes suggested by Eugen.

2009-01-05  Damien Sandras  <dsandras@gnome.org>

        * src/Makefile.am:
        * configure.ac:
        * lib/engine/components/Makefile.am:
        * po/POTFILES.in:
        More fixes thanks to Eugen Dedu.

2009-01-05  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        Fixed typo.

2009-01-05  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        Request newer PTLIB & OPAL.

2009-01-05  Damien Sandras  <dsandras@gnome.org>

        * ekiga.rc:
        * src/ekiga.cpp:
        * src/gui/dialpad.cpp:
        * src/gui/misc.h:
        * src/gui/statusicon.h:
        * src/gui/preferences.cpp:
        * src/gui/dialpad.h:
        * src/gui/preferences.h:
        * src/gui/statusmenu.cpp:
        * src/gui/assistant.cpp:
        * src/gui/statusmenu.h:
        * src/gui/assistant.h:
        * src/gui/accounts.cpp:
        * src/gui/callbacks.cpp:
        * src/gui/accounts.h:
        * src/gui/callbacks.h:
        * src/gui/main.cpp:
        * src/gui/conf.cpp:
        * src/gui/main.h:
        * src/gui/conf.h:
        * src/gui/misc.cpp:
        * src/gui/statusicon.cpp:
        * src/ekiga.h:
        * src/dbus-helper/dbus.h:
        * src/dbus-helper/dbus-helper.cpp:
        * src/dbus-helper/dbus.cpp:
        * src/common.h:
        * lib/gui/gm-text-buffer-enhancer-helper-iface.c:
        * lib/gui/xwindow.cpp:
        * lib/gui/gmconfwidgets.c:
        * lib/gui/gm-text-extlink.c:
        * lib/gui/gmstockicons.c:
        * lib/gui/gm-text-buffer-enhancer-helper-iface.h:
        * lib/gui/gmconfwidgets.h:
        * lib/gui/gm-text-extlink.h:
        * lib/gui/dxwindow.h:
        * lib/gui/gmstockicons.h:
        * lib/gui/gm-smiley-chooser-button.c:
        * lib/gui/codecsbox.h:
        * lib/gui/gm-text-anchored-tag.c:
        * lib/gui/gm-smiley-chooser-button.h:
        * lib/gui/gm-text-anchored-tag.h:
        * lib/gui/gm-text-smiley.c:
        * lib/gui/gm-smileys.c:
        * lib/gui/gm-text-smiley.h:
        * lib/gui/xvwindow.h:
        * lib/gui/gm-smileys.h:
        * lib/gui/gmwindow.c:
        * lib/gui/gmstatusbar.c:
        * lib/gui/gmmenuaddon.c:
        * lib/gui/gmwindow.h:
        * lib/gui/gmstatusbar.h:
        * lib/gui/dxwindow.cpp:
        * lib/gui/gmmenuaddon.h:
        * lib/gui/xwindow.h:
        * lib/gui/gmentrydialog.c:
        * lib/gui/gmconnectbutton.c:
        * lib/gui/codecsbox.cpp:
        * lib/gui/gmentrydialog.h:
        * lib/gui/gmpowermeter.c:
        * lib/gui/gmconnectbutton.h:
        * lib/gui/gm-cell-renderer-bitext.c:
        * lib/gui/gmpowermeter.h:
        * lib/gui/gmdialog.c:
        * lib/gui/gmpreferences.c:
        * lib/gui/xvwindow.cpp:
        * lib/gui/gm-cell-renderer-bitext.h:
        * lib/gui/gmlevelmeter.c:
        * lib/gui/gmdialog.h:
        * lib/gui/gmpreferences.h:
        * lib/gui/gmlevelmeter.h:
        * lib/platform/platform-generic.c:
        * lib/platform/winpaths.h:
        * lib/platform/platform-win32.c:
        * lib/platform/gm-platform.h:
        * lib/engine/chat/chat.h:
        * lib/engine/chat/chat-core.cpp:
        * lib/engine/chat/dialect-impl.h:
        * lib/engine/chat/chat-core.h:
        * lib/engine/chat/dialect.h:
        * lib/engine/chat/chat-simple.h:
        * lib/engine/chat/chat-multiple.h:
        * lib/engine/audioinput/audioinput-manager.h:
        * lib/engine/audioinput/audioinput-info.h:
        * lib/engine/audioinput/audioinput-gmconf-bridge.cpp:
        * lib/engine/audioinput/audioinput-core.cpp:
        * lib/engine/audioinput/audioinput-gmconf-bridge.h:
        * lib/engine/audioinput/audioinput-core.h:
        * lib/engine/audiooutput/audiooutput-scheduler.cpp:
        * lib/engine/audiooutput/audiooutput-manager.h:
        * lib/engine/audiooutput/audiooutput-info.h:
        * lib/engine/audiooutput/audiooutput-gmconf-bridge.cpp:
        * lib/engine/audiooutput/audiooutput-scheduler.h:
        * lib/engine/audiooutput/audiooutput-core.cpp:
        * lib/engine/audiooutput/audiooutput-gmconf-bridge.h:
        * lib/engine/audiooutput/audiooutput-core.h:
        * lib/engine/gui/gtk-frontend/gtk-frontend.cpp:
        * lib/engine/gui/gtk-frontend/addressbook-window.cpp:
        * lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp:
        * lib/engine/gui/gtk-frontend/gtk-frontend.h:
        * lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
        * lib/engine/gui/gtk-frontend/addressbook-window.h:
        * lib/engine/gui/gtk-frontend/call-history-view-gtk.h:
        * lib/engine/gui/gtk-frontend/roster-view-gtk.h:
        * lib/engine/gui/gtk-frontend/presentity-view.cpp:
        * lib/engine/gui/gtk-frontend/simple-chat-page.cpp:
        * lib/engine/gui/gtk-frontend/multiple-chat-page.cpp:
        * lib/engine/gui/gtk-frontend/presentity-view.h:
        * lib/engine/gui/gtk-frontend/chat-window.cpp:
        * lib/engine/gui/gtk-frontend/simple-chat-page.h:
        * lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
        * lib/engine/gui/gtk-frontend/chat-area.cpp:
        * lib/engine/gui/gtk-frontend/multiple-chat-page.h:
        * lib/engine/gui/gtk-frontend/chat-window.h:
        * lib/engine/gui/gtk-frontend/chat-area.h:
        * lib/engine/gui/gtk-frontend/book-view-gtk.h:
        * lib/engine/gui/kde-core/kde-main.cpp:
        * lib/engine/gui/kde-core/kde-main.h:
        * lib/engine/gui/gtk-core/toolbar-builder-gtk.h:
        * lib/engine/gui/gtk-core/gtk-core.h:
        * lib/engine/gui/gtk-core/menu-builder-gtk.h:
        * lib/engine/gui/gtk-core/gtk-core-main.h:
        * lib/engine/gui/gtk-core/form-dialog-gtk.cpp:
        * lib/engine/gui/gtk-core/form-dialog-gtk.h:
        * lib/engine/gui/gtk-core/toolbar-builder-gtk.cpp:
        * lib/engine/gui/gtk-core/gtk-core.cpp:
        * lib/engine/gui/gtk-core/menu-builder-gtk.cpp:
        * lib/engine/gui/gtk-core/gtk-core-main.cpp:
        * lib/engine/components/ldap/ldap-contact.h:
        * lib/engine/components/ldap/ldap-source.cpp:
        * lib/engine/components/ldap/ldap-main.cpp:
        * lib/engine/components/ldap/ldap-source.h:
        * lib/engine/components/ldap/ldap-main.h:
        * lib/engine/components/ldap/ldap-book.cpp:
        * lib/engine/components/ldap/ldap-contact.cpp:
        * lib/engine/components/ldap/ldap-book.h:
        * lib/engine/components/avahi-publisher/avahi-publisher.cpp:
        * lib/engine/components/avahi-publisher/avahi-publisher-main.cpp:
        * lib/engine/components/avahi-publisher/avahi-publisher.h:
        * lib/engine/components/avahi-publisher/avahi-publisher-main.h:
        * lib/engine/components/evolution/evolution-book.h:
        * lib/engine/components/evolution/evolution-contact.h:
        * lib/engine/components/evolution/evolution-source.cpp:
        * lib/engine/components/evolution/evolution-main.cpp:
        * lib/engine/components/evolution/evolution-source.h:
        * lib/engine/components/evolution/evolution-main.h:
        * lib/engine/components/evolution/evolution-book.cpp:
        * lib/engine/components/evolution/evolution-contact.cpp:
        * lib/engine/components/avahi/avahi-main.h:
        * lib/engine/components/avahi/avahi-heap.cpp:
        * lib/engine/components/avahi/avahi-cluster.cpp:
        * lib/engine/components/avahi/avahi-heap.h:
        * lib/engine/components/avahi/avahi-main.cpp:
        * lib/engine/components/avahi/avahi-cluster.h:
        * lib/engine/components/null-audioinput/audioinput-main-null.h:
        * lib/engine/components/null-audioinput/audioinput-manager-null.cpp:
        * lib/engine/components/null-audioinput/audioinput-manager-null.h:
        * lib/engine/components/null-audioinput/audioinput-main-null.cpp:
        * lib/engine/components/gstreamer/gst-main.cpp:
        * lib/engine/components/gstreamer/gst-audioinput.h:
        * lib/engine/components/gstreamer/gst-videoinput.cpp:
        * lib/engine/components/gstreamer/gst-audiooutput.h:
        * lib/engine/components/gstreamer/gst-main.h:
        * lib/engine/components/gstreamer/gst-videoinput.h:
        * lib/engine/components/gstreamer/gst-audioinput.cpp:
        * lib/engine/components/gstreamer/gst-audiooutput.cpp:
        * lib/engine/components/null-audiooutput/audiooutput-main-null.h:
        * lib/engine/components/null-audiooutput/audiooutput-manager-null.cpp:
        * lib/engine/components/null-audiooutput/audiooutput-manager-null.h:
        * lib/engine/components/null-audiooutput/audiooutput-main-null.cpp:
        * lib/engine/components/opal/sip-dialect.cpp:
        * lib/engine/components/opal/sip-chat-simple.cpp:
        * lib/engine/components/opal/opal-call.cpp:
        * lib/engine/components/opal/opal-bank.h:
        * lib/engine/components/opal/opal-call-manager.cpp:
        * lib/engine/components/opal/sip-endpoint.h:
        * lib/engine/components/opal/opal-videoinput.cpp:
        * lib/engine/components/opal/opal-main.h:
        * lib/engine/components/opal/opal-videooutput.h:
        * lib/engine/components/opal/opal-account.cpp:
        * lib/engine/components/opal/opal-codec-description.cpp:
        * lib/engine/components/opal/pcss-endpoint.h:
        * lib/engine/components/opal/opal-audio.h:
        * lib/engine/components/opal/opal-gmconf-bridge.h:
        * lib/engine/components/opal/h323-endpoint.h:
        * lib/engine/components/opal/sip-dialect.h:
        * lib/engine/components/opal/opal-bank.cpp:
        * lib/engine/components/opal/sip-chat-simple.h:
        * lib/engine/components/opal/opal-call.h:
        * lib/engine/components/opal/sip-endpoint.cpp:
        * lib/engine/components/opal/opal-main.cpp:
        * lib/engine/components/opal/opal-videooutput.cpp:
        * lib/engine/components/opal/opal-call-manager.h:
        * lib/engine/components/opal/opal-videoinput.h:
        * lib/engine/components/opal/pcss-endpoint.cpp:
        * lib/engine/components/opal/opal-audio.cpp:
        * lib/engine/components/opal/opal-account.h:
        * lib/engine/components/opal/opal-gmconf-bridge.cpp:
        * lib/engine/components/opal/opal-codec-description.h:
        * lib/engine/components/opal/h323-endpoint.cpp:
        * lib/engine/components/xcap/xcap-core.cpp:
        * lib/engine/components/xcap/xcap-main.h:
        * lib/engine/components/xcap/xcap-path.cpp:
        * lib/engine/components/xcap/xcap-core.h:
        * lib/engine/components/xcap/xcap-path.h:
        * lib/engine/components/xcap/xcap-main.cpp:
        * lib/engine/components/x-videooutput/videooutput-main-x.cpp:
        * lib/engine/components/x-videooutput/videooutput-main-x.h:
        * lib/engine/components/x-videooutput/videooutput-manager-x.cpp:
        * lib/engine/components/x-videooutput/videooutput-manager-x.h:
        * lib/engine/components/kab/kab-main.cpp:
        * lib/engine/components/kab/kab-source.h:
        * lib/engine/components/kab/kab-main.h:
        * lib/engine/components/kab/kab-book.cpp:
        * lib/engine/components/kab/kab-contact.cpp:
        * lib/engine/components/kab/kab-book.h:
        * lib/engine/components/kab/kab-contact.h:
        * lib/engine/components/kab/kab-source.cpp:
        * lib/engine/components/hal-dbus/hal-main-dbus.cpp:
        * lib/engine/components/hal-dbus/hal-v4l-helper.c:
        * lib/engine/components/hal-dbus/hal-main-dbus.h:
        * lib/engine/components/hal-dbus/hal-manager-dbus.cpp:
        * lib/engine/components/hal-dbus/hal-v4l-helper.h:
        * lib/engine/components/hal-dbus/hal-manager-dbus.h:
        * lib/engine/components/dx-videooutput/videooutput-main-dx.cpp:
        * lib/engine/components/dx-videooutput/videooutput-main-dx.h:
        * lib/engine/components/dx-videooutput/videooutput-manager-dx.cpp:
        * lib/engine/components/dx-videooutput/videooutput-manager-dx.h:
        * lib/engine/components/resource-list/rl-cluster.h:
        * lib/engine/components/resource-list/rl-entry.cpp:
        * lib/engine/components/resource-list/rl-entry.h:
        * lib/engine/components/resource-list/rl-presentity.cpp:
        * lib/engine/components/resource-list/resource-list-main.cpp:
        * lib/engine/components/resource-list/rl-entry-ref.cpp:
        * lib/engine/components/resource-list/rl-list.cpp:
        * lib/engine/components/resource-list/rl-presentity.h:
        * lib/engine/components/resource-list/resource-list-main.h:
        * lib/engine/components/resource-list/rl-heap.cpp:
        * lib/engine/components/resource-list/rl-entry-ref.h:
        * lib/engine/components/resource-list/rl-list.h:
        * lib/engine/components/resource-list/rl-cluster.cpp:
        * lib/engine/components/resource-list/rl-heap.h:
        * lib/engine/components/mlogo-videoinput/videoinput-manager-mlogo.h:
        * lib/engine/components/mlogo-videoinput/videoinput-main-mlogo.cpp:
        * lib/engine/components/mlogo-videoinput/videoinput-main-mlogo.h:
        * lib/engine/components/mlogo-videoinput/videoinput-manager-mlogo.cpp:
        * lib/engine/components/kde/kde-main.cpp:
        * lib/engine/components/kde/kde-main.h:
        * lib/engine/components/local-roster/local-cluster.h:
        * lib/engine/components/local-roster/local-presentity.cpp:
        * lib/engine/components/local-roster/local-roster-bridge.cpp:
        * lib/engine/components/local-roster/local-presentity.h:
        * lib/engine/components/local-roster/local-heap.cpp:
        * lib/engine/components/local-roster/local-roster-bridge.h:
        * lib/engine/components/local-roster/local-roster-main.cpp:
        * lib/engine/components/local-roster/local-cluster.cpp:
        * lib/engine/components/local-roster/local-heap.h:
        * lib/engine/components/local-roster/local-roster-main.h:
        * lib/engine/components/call-history/history-book.h:
        * lib/engine/components/call-history/history-contact.h:
        * lib/engine/components/call-history/history-source.cpp:
        * lib/engine/components/call-history/history-main.cpp:
        * lib/engine/components/call-history/history-source.h:
        * lib/engine/components/call-history/history-main.h:
        * lib/engine/components/call-history/history-book.cpp:
        * lib/engine/components/call-history/history-contact.cpp:
        * lib/engine/components/ptlib/audioinput-main-ptlib.h:
        * lib/engine/components/ptlib/videoinput-main-ptlib.cpp:
        * lib/engine/components/ptlib/audioinput-manager-ptlib.cpp:
        * lib/engine/components/ptlib/audiooutput-main-ptlib.h:
        * lib/engine/components/ptlib/audiooutput-manager-ptlib.cpp:
        * lib/engine/components/ptlib/videoinput-main-ptlib.h:
        * lib/engine/components/ptlib/audioinput-manager-ptlib.h:
        * lib/engine/components/ptlib/videoinput-manager-ptlib.cpp:
        * lib/engine/components/ptlib/audiooutput-manager-ptlib.h:
        * lib/engine/components/ptlib/audioinput-main-ptlib.cpp:
        * lib/engine/components/ptlib/videoinput-manager-ptlib.h:
        * lib/engine/components/ptlib/audiooutput-main-ptlib.cpp:
        * lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.cpp:
        * lib/engine/components/gmconf-personal-details/gmconf-personal-details.h:
        * lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.h:
        * lib/engine/components/gmconf-personal-details/gmconf-personal-details.cpp:
        * lib/engine/components/common-videooutput/videooutput-manager-common.cpp:
        * lib/engine/components/common-videooutput/videooutput-manager-common.h:
        * lib/engine/components/echo/echo-main.cpp:
        * lib/engine/components/echo/echo-dialect.cpp:
        * lib/engine/components/echo/echo-presentity.cpp:
        * lib/engine/components/echo/echo-main.h:
        * lib/engine/components/echo/echo-simple.cpp:
        * lib/engine/components/echo/echo-dialect.h:
        * lib/engine/components/echo/echo-presentity.h:
        * lib/engine/components/echo/echo-simple.h:
        * lib/engine/videoinput/videoinput-core.h:
        * lib/engine/videoinput/videoinput-manager.h:
        * lib/engine/videoinput/videoinput-info.h:
        * lib/engine/videoinput/videoinput-gmconf-bridge.cpp:
        * lib/engine/videoinput/videoinput-core.cpp:
        * lib/engine/videoinput/videoinput-gmconf-bridge.h:
        * lib/engine/engine.cpp:
        * lib/engine/videooutput/videooutput-core.h:
        * lib/engine/videooutput/videooutput-manager.h:
        * lib/engine/videooutput/videooutput-info.h:
        * lib/engine/videooutput/videooutput-gmconf-bridge.cpp:
        * lib/engine/videooutput/videooutput-core.cpp:
        * lib/engine/videooutput/videooutput-gmconf-bridge.h:
        * lib/engine/engine.h:
        * lib/engine/account/bank-impl.h:
        * lib/engine/account/bank.h:
        * lib/engine/account/account.h:
        * lib/engine/account/account-core.cpp:
        * lib/engine/account/account-core.h:
        * lib/engine/framework/form-request.h:
        * lib/engine/framework/runtime-glib.cpp:
        * lib/engine/framework/map-key-iterator.h:
        * lib/engine/framework/device-def.h:
        * lib/engine/framework/menu-xml.cpp:
        * lib/engine/framework/form-dumper.h:
        * lib/engine/framework/gmconf-bridge.cpp:
        * lib/engine/framework/reflister.h:
        * lib/engine/framework/form-visitor.h:
        * lib/engine/framework/form.h:
        * lib/engine/framework/trigger.h:
        * lib/engine/framework/form-request-simple.cpp:
        * lib/engine/framework/robust-xml.h:
        * lib/engine/framework/menu-builder-tools.cpp:
        * lib/engine/framework/ptr_array_const_iterator.h:
        * lib/engine/framework/form-builder.cpp:
        * lib/engine/framework/services.h:
        * lib/engine/framework/runtime.h:
        * lib/engine/framework/form-dumper.cpp:
        * lib/engine/framework/menu-builder.h:
        * lib/engine/framework/runtime-glib.h:
        * lib/engine/framework/form.cpp:
        * lib/engine/framework/gmref.h:
        * lib/engine/framework/chain-of-responsibility.h:
        * lib/engine/framework/lister.h:
        * lib/engine/framework/menu-xml.h:
        * lib/engine/framework/gmconf-bridge.h:
        * lib/engine/framework/ptr_array.h:
        * lib/engine/framework/personal-details.h:
        * lib/engine/framework/robust-xml.cpp:
        * lib/engine/framework/ptr_array_iterator.h:
        * lib/engine/framework/map-key-const-iterator.h:
        * lib/engine/framework/services.cpp:
        * lib/engine/framework/form-request-simple.h:
        * lib/engine/framework/menu-builder.cpp:
        * lib/engine/framework/menu-builder-tools.h:
        * lib/engine/framework/form-builder.h:
        * lib/engine/addressbook/book-impl.h:
        * lib/engine/addressbook/book.h:
        * lib/engine/addressbook/contact.h:
        * lib/engine/addressbook/contact-core.cpp:
        * lib/engine/addressbook/source-impl.h:
        * lib/engine/addressbook/source.h:
        * lib/engine/addressbook/contact-core.h:
        * lib/engine/protocol/codec-description.cpp:
        * lib/engine/protocol/call.h:
        * lib/engine/protocol/call-core.cpp:
        * lib/engine/protocol/call-manager.cpp:
        * lib/engine/protocol/codec-description.h:
        * lib/engine/protocol/call-core.h:
        * lib/engine/protocol/call-protocol-manager.h:
        * lib/engine/protocol/call-manager.h:
        * lib/engine/hal/hal-core.h:
        * lib/engine/hal/hal-manager.h:
        * lib/engine/hal/hal-core.cpp:
        * lib/engine/presence/presence-core.h:
        * lib/engine/presence/heap-impl.h:
        * lib/engine/presence/heap.h:
        * lib/engine/presence/uri-presentity.cpp:
        * lib/engine/presence/cluster-impl.h:
        * lib/engine/presence/proxy-presentity.cpp:
        * lib/engine/presence/cluster.h:
        * lib/engine/presence/uri-presentity.h:
        * lib/engine/presence/presence-core.cpp:
        * lib/engine/presence/proxy-presentity.h:
        * lib/engine/presence/presentity.h:
        * lib/toolbox/toolbox-internal.c:
        * lib/toolbox/toolbox-internal.h:
        * lib/toolbox/toolbox-win32.c:
        * lib/toolbox/toolbox-gnome.c:
        * lib/toolbox/toolbox-gtk.c:
        * lib/toolbox/toolbox.h:
        * lib/toolbox/toolbox-common.c:
        * lib/gmconf/gmconf.h:
        * lib/gmconf/gmconf-gconf.c:
        * lib/gmconf/gmconf-glib.c:
        Updated copyright, we are in 2009.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        * lib/engine/components/dbus:
        * lib/engine/components/dbus/hal-main-dbus.cpp:
        * lib/engine/components/dbus/hal-marshal.list:
        * lib/engine/components/dbus/hal-v4l-helper.c:
        * lib/engine/components/dbus/hal-main-dbus.h:
        * lib/engine/components/dbus/hal-manager-dbus.cpp:
        * lib/engine/components/dbus/Makefile.am:
        * lib/engine/components/dbus/hal-v4l-helper.h:
        * lib/engine/components/dbus/hal-manager-dbus.h:
        * lib/engine/components/hal-dbus:
        * lib/engine/components/hal-dbus/Makefile.am:
        * lib/engine/components/Makefile.am:
        * lib/engine/Makefile.am:
        Fixed previous commit.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/x-videooutput/Makefile.am:
        * lib/engine/components/dx-videooutput/Makefile.am:
        More fixes.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/common-videoouput:
        * lib/engine/components/common-videoouput/videooutput-manager-common.cpp:
        * lib/engine/components/common-videoouput/videooutput-manager-common.h:
        * lib/engine/components/x-videooutput/Makefile.am:
        * lib/engine/components/dx-videooutput/Makefile.am:
        * lib/engine/components/mlogo-videoinput/Makefile.am:
        * lib/engine/components/Makefile.am:
        * lib/engine/components/common-videooutput:
        * lib/engine/components/echo/Makefile.am:
        Fixed previous commit.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * src/Makefile.am:
        * lib/engine/audioinput/Makefile.am:
        * lib/engine/audiooutput/Makefile.am:
        * lib/engine/components/gstreamer/Makefile.am:
        * lib/engine/components/null-audioinput/Makefile.am:
        * lib/engine/components/null-audiooutput/Makefile.am:
        * lib/engine/components/opal/Makefile.am:
        * lib/engine/components/dbus/Makefile.am:
        * lib/engine/components/mlogo-videoinput/Makefile.am:
        * lib/engine/components/ptlib/Makefile.am:
        * lib/engine/videoinput/Makefile.am:
        * lib/engine/hal/Makefile.am:
        * lib/engine/Makefile.am:
        We have no more skel directory.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        Fixed previous commit.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * src/Makefile.am:
        * lib/engine/chat/chat.h:
        * lib/engine/chat/chat-core.cpp:
        * lib/engine/chat/Makefile.am:
        * lib/engine/chat/dialect-impl.h:
        * lib/engine/chat/chat-core.h:
        * lib/engine/chat/dialect.h:
        * lib/engine/chat/chat-simple.h:
        * lib/engine/chat/echo:
        * lib/engine/chat/echo/echo-main.cpp:
        * lib/engine/chat/echo/echo-dialect.cpp:
        * lib/engine/chat/echo/echo-presentity.cpp:
        * lib/engine/chat/echo/echo-main.h:
        * lib/engine/chat/echo/echo-simple.cpp:
        * lib/engine/chat/echo/echo-dialect.h:
        * lib/engine/chat/echo/echo-presentity.h:
        * lib/engine/chat/echo/Makefile.am:
        * lib/engine/chat/echo/echo-simple.h:
        * lib/engine/chat/skel:
        * lib/engine/chat/skel/chat.h:
        * lib/engine/chat/skel/chat-core.cpp:
        * lib/engine/chat/skel/Makefile.am:
        * lib/engine/chat/skel/dialect-impl.h:
        * lib/engine/chat/skel/chat-core.h:
        * lib/engine/chat/skel/dialect.h:
        * lib/engine/chat/skel/chat-simple.h:
        * lib/engine/chat/skel/chat-multiple.h:
        * lib/engine/chat/chat-multiple.h:
        * lib/engine/gui/gtk-frontend/Makefile.am:
        * lib/engine/components/opal/Makefile.am:
        * lib/engine/components/echo:
        * lib/engine/components/echo/Makefile.am:
        * lib/engine/Makefile.am:
        Moved the echo component.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        * lib/engine/components/dbus:
        * lib/engine/hal/hal-core.h:
        * lib/engine/hal/hal-manager.h:
        * lib/engine/hal/Makefile.am:
        * lib/engine/hal/hal-core.cpp:
        * lib/engine/hal/dbus:
        * lib/engine/hal/dbus/hal-main-dbus.cpp:
        * lib/engine/hal/dbus/hal-marshal.list:
        * lib/engine/hal/dbus/hal-v4l-helper.c:
        * lib/engine/hal/dbus/hal-main-dbus.h:
        * lib/engine/hal/dbus/hal-manager-dbus.cpp:
        * lib/engine/hal/dbus/Makefile.am:
        * lib/engine/hal/dbus/hal-v4l-helper.h:
        * lib/engine/hal/dbus/hal-manager-dbus.h:
        * lib/engine/hal/skel:
        * lib/engine/hal/skel/hal-core.h:
        * lib/engine/hal/skel/hal-manager.h:
        * lib/engine/hal/skel/Makefile.am:
        * lib/engine/hal/skel/hal-core.cpp:
        * lib/engine/Makefile.am:
        Moved the DBUS HAL component.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * src/Makefile.am:
        * configure.ac:
        * lib/engine/components/gstreamer/Makefile.am:
        * lib/engine/components/common-videoouput:
        * lib/engine/components/opal/Makefile.am:
        * lib/engine/components/x-videooutput:
        * lib/engine/components/x-videooutput/Makefile.am:
        * lib/engine/components/dx-videooutput:
        * lib/engine/components/dx-videooutput/Makefile.am:
        * lib/engine/components/mlogo-videoinput/Makefile.am:
        * lib/engine/components/ptlib/Makefile.am:
        * lib/engine/videoinput/Makefile.am:
        * lib/engine/videooutput/videooutput-core.h:
        * lib/engine/videooutput/videooutput-manager.h:
        * lib/engine/videooutput/videooutput-info.h:
        * lib/engine/videooutput/x:
        * lib/engine/videooutput/x/videooutput-main-x.cpp:
        * lib/engine/videooutput/x/videooutput-main-x.h:
        * lib/engine/videooutput/x/videooutput-manager-x.cpp:
        * lib/engine/videooutput/x/Makefile.am:
        * lib/engine/videooutput/x/videooutput-manager-x.h:
        * lib/engine/videooutput/common:
        * lib/engine/videooutput/common/videooutput-manager-common.cpp:
        * lib/engine/videooutput/common/videooutput-manager-common.h:
        * lib/engine/videooutput/Makefile.am:
        * lib/engine/videooutput/videooutput-gmconf-bridge.cpp:
        * lib/engine/videooutput/dx:
        * lib/engine/videooutput/dx/videooutput-main-dx.cpp:
        * lib/engine/videooutput/dx/videooutput-main-dx.h:
        * lib/engine/videooutput/dx/Makefile.am:
        * lib/engine/videooutput/dx/videooutput-manager-dx.cpp:
        * lib/engine/videooutput/dx/videooutput-manager-dx.h:
        * lib/engine/videooutput/skel/videooutput-core.h:
        * lib/engine/videooutput/skel/videooutput-manager.h:
        * lib/engine/videooutput/skel/videooutput-info.h:
        * lib/engine/videooutput/skel/Makefile.am:
        * lib/engine/videooutput/skel/videooutput-gmconf-bridge.cpp:
        * lib/engine/videooutput/skel/videooutput-core.cpp:
        * lib/engine/videooutput/skel/videooutput-gmconf-bridge.h:
        * lib/engine/videooutput/videooutput-core.cpp:
        * lib/engine/videooutput/videooutput-gmconf-bridge.h:
        * lib/engine/Makefile.am:
        Yes, I'm tired of moving things.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * src/Makefile.am:
        * configure.ac:
        * lib/engine/components/gstreamer/Makefile.am:
        * lib/engine/components/opal/Makefile.am:
        * lib/engine/components/mlogo-videoinput:
        * lib/engine/components/mlogo-videoinput/Makefile.am:
        * lib/engine/components/ptlib/Makefile.am:
        * lib/engine/videoinput/videoinput-core.h:
        * lib/engine/videoinput/videoinput-manager.h:
        * lib/engine/videoinput/videoinput-info.h:
        * lib/engine/videoinput/videoinput-gmconf-bridge.cpp:
        * lib/engine/videoinput/Makefile.am:
        * lib/engine/videoinput/mlogo:
        * lib/engine/videoinput/mlogo/videoinput-manager-mlogo.h:
        * lib/engine/videoinput/mlogo/videoinput-main-mlogo.cpp:
        * lib/engine/videoinput/mlogo/Makefile.am:
        * lib/engine/videoinput/mlogo/videoinput-main-mlogo.h:
        * lib/engine/videoinput/mlogo/videoinput-manager-mlogo.cpp:
        * lib/engine/videoinput/videoinput-core.cpp:
        * lib/engine/videoinput/videoinput-gmconf-bridge.h:
        * lib/engine/videoinput/skel/videoinput-core.h:
        * lib/engine/videoinput/skel/videoinput-manager.h:
        * lib/engine/videoinput/skel/videoinput-info.h:
        * lib/engine/videoinput/skel/videoinput-gmconf-bridge.cpp:
        * lib/engine/videoinput/skel/Makefile.am:
        * lib/engine/videoinput/skel/videoinput-core.cpp:
        * lib/engine/videoinput/skel/videoinput-gmconf-bridge.h:
        * lib/engine/Makefile.am:
        Even more moving.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * src/Makefile.am:
        * configure.ac:
        * lib/engine/audioinput/audioinput-manager.h:
        * lib/engine/audioinput/audioinput-info.h:
        * lib/engine/audioinput/audioinput-gmconf-bridge.cpp:
        * lib/engine/audioinput/audioinput-gmconf-bridge.h:
        * lib/engine/audioinput/audioinput-core.cpp:
        * lib/engine/audioinput/Makefile.am:
        * lib/engine/audioinput/audioinput-core.h:
        * lib/engine/audioinput/skel:
        * lib/engine/audioinput/skel/audioinput-manager.h:
        * lib/engine/audioinput/skel/audioinput-info.h:
        * lib/engine/audioinput/skel/audioinput-gmconf-bridge.cpp:
        * lib/engine/audioinput/skel/audioinput-core.cpp:
        * lib/engine/audioinput/skel/audioinput-gmconf-bridge.h:
        * lib/engine/audioinput/skel/Makefile.am:
        * lib/engine/audioinput/skel/audioinput-core.h:
        * lib/engine/audiooutput/audiooutput-scheduler.cpp:
        * lib/engine/audiooutput/audiooutput-manager.h:
        * lib/engine/audiooutput/audiooutput-info.h:
        * lib/engine/audiooutput/audiooutput-gmconf-bridge.cpp:
        * lib/engine/audiooutput/audiooutput-scheduler.h:
        * lib/engine/audiooutput/Makefile.am:
        * lib/engine/audiooutput/audiooutput-core.cpp:
        * lib/engine/audiooutput/audiooutput-gmconf-bridge.h:
        * lib/engine/audiooutput/skel:
        * lib/engine/audiooutput/skel/audiooutput-scheduler.cpp:
        * lib/engine/audiooutput/skel/audiooutput-manager.h:
        * lib/engine/audiooutput/skel/audiooutput-info.h:
        * lib/engine/audiooutput/skel/audiooutput-gmconf-bridge.cpp:
        * lib/engine/audiooutput/skel/audiooutput-scheduler.h:
        * lib/engine/audiooutput/skel/Makefile.am:
        * lib/engine/audiooutput/skel/audiooutput-core.cpp:
        * lib/engine/audiooutput/skel/audiooutput-gmconf-bridge.h:
        * lib/engine/audiooutput/skel/audiooutput-core.h:
        * lib/engine/audiooutput/audiooutput-core.h:
        * lib/engine/components/null-audioinput/Makefile.am:
        * lib/engine/components/gstreamer/Makefile.am:
        * lib/engine/components/null-audiooutput/Makefile.am:
        * lib/engine/components/opal/Makefile.am:
        * lib/engine/components/Makefile.am:
        * lib/engine/components/ptlib/Makefile.am:
        * lib/engine/Makefile.am:
        More moving.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        * lib/engine/audioinput/Makefile.am:
        * lib/engine/audioinput/null:
        * lib/engine/audioinput/null/audioinput-main-null.h:
        * lib/engine/audioinput/null/audioinput-manager-null.cpp:
        * lib/engine/audioinput/null/audioinput-manager-null.h:
        * lib/engine/audioinput/null/Makefile.am:
        * lib/engine/audioinput/null/audioinput-main-null.cpp:
        * lib/engine/audiooutput/Makefile.am:
        * lib/engine/audiooutput/null:
        * lib/engine/audiooutput/null/audiooutput-main-null.h:
        * lib/engine/audiooutput/null/audiooutput-manager-null.cpp:
        * lib/engine/audiooutput/null/audiooutput-manager-null.h:
        * lib/engine/audiooutput/null/Makefile.am:
        * lib/engine/audiooutput/null/audiooutput-main-null.cpp:
        * lib/engine/components/null-audioinput:
        * lib/engine/components/null-audioinput/Makefile.am:
        * lib/engine/components/null-audiooutput:
        * lib/engine/components/null-audiooutput/Makefile.am:
        * lib/engine/components/Makefile.am:
        * lib/engine/Makefile.am:
        Some more moving.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/Makefile.am:
        Pff, svn messed things.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * src/Makefile.am:
        * configure.ac:
        * lib/gui/Makefile.am:
        * lib/engine/chat/echo/Makefile.am:
        * lib/engine/chat/skel/Makefile.am:
        * lib/engine/gui/gtk-frontend/Makefile.am:
        * lib/engine/gui/gtk-core/Makefile.am:
        * lib/engine/components/ldap/Makefile.am:
        * lib/engine/components/avahi-publisher/Makefile.am:
        * lib/engine/components/evolution/Makefile.am:
        * lib/engine/components/avahi/Makefile.am:
        * lib/engine/components/opal/opal-call-manager.cpp:
        * lib/engine/components/opal/Makefile.am:
        * lib/engine/components/kab/Makefile.am:
        * lib/engine/components/resource-list/Makefile.am:
        * lib/engine/components/local-roster/Makefile.am:
        * lib/engine/components/call-history/Makefile.am:
        * lib/engine/account/bank-impl.h:
        * lib/engine/account/bank.h:
        * lib/engine/account/account.h:
        * lib/engine/account/account-core.cpp:
        * lib/engine/account/account-core.h:
        * lib/engine/account/Makefile.am:
        * lib/engine/account/skel:
        * lib/engine/account/skel/bank-impl.h:
        * lib/engine/account/skel/bank.h:
        * lib/engine/account/skel/account.h:
        * lib/engine/account/skel/account-core.cpp:
        * lib/engine/account/skel/account-core.h:
        * lib/engine/account/skel/Makefile.am:
        * lib/engine/addressbook/book-impl.h:
        * lib/engine/addressbook/book.h:
        * lib/engine/addressbook/contact.h:
        * lib/engine/addressbook/contact-core.cpp:
        * lib/engine/addressbook/source-impl.h:
        * lib/engine/addressbook/source.h:
        * lib/engine/addressbook/contact-core.h:
        * lib/engine/addressbook/Makefile.am:
        * lib/engine/addressbook/skel:
        * lib/engine/addressbook/skel/book-impl.h:
        * lib/engine/addressbook/skel/book.h:
        * lib/engine/addressbook/skel/contact.h:
        * lib/engine/addressbook/skel/contact-core.cpp:
        * lib/engine/addressbook/skel/source-impl.h:
        * lib/engine/addressbook/skel/source.h:
        * lib/engine/addressbook/skel/contact-core.h:
        * lib/engine/addressbook/skel/Makefile.am:
        * lib/engine/protocol/codec-description.cpp:
        * lib/engine/protocol/call.h:
        * lib/engine/protocol/call-core.cpp:
        * lib/engine/protocol/call-manager.cpp:
        * lib/engine/protocol/codec-description.h:
        * lib/engine/protocol/call-core.h:
        * lib/engine/protocol/call-protocol-manager.h:
        * lib/engine/protocol/Makefile.am:
        * lib/engine/protocol/call-manager.h:
        * lib/engine/protocol/skel:
        * lib/engine/protocol/skel/codec-description.cpp:
        * lib/engine/protocol/skel/call.h:
        * lib/engine/protocol/skel/call-core.cpp:
        * lib/engine/protocol/skel/call-manager.cpp:
        * lib/engine/protocol/skel/codec-description.h:
        * lib/engine/protocol/skel/call-core.h:
        * lib/engine/protocol/skel/call-protocol-manager.h:
        * lib/engine/protocol/skel/Makefile.am:
        * lib/engine/protocol/skel/call-manager.h:
        * lib/engine/presence/presence-core.h:
        * lib/engine/presence/heap-impl.h:
        * lib/engine/presence/heap.h:
        * lib/engine/presence/uri-presentity.cpp:
        * lib/engine/presence/proxy-presentity.cpp:
        * lib/engine/presence/cluster-impl.h:
        * lib/engine/presence/cluster.h:
        * lib/engine/presence/Makefile.am:
        * lib/engine/presence/uri-presentity.h:
        * lib/engine/presence/presence-core.cpp:
        * lib/engine/presence/proxy-presentity.h:
        * lib/engine/presence/presentity.h:
        * lib/engine/presence/skel:
        * lib/engine/presence/skel/presence-core.h:
        * lib/engine/presence/skel/heap-impl.h:
        * lib/engine/presence/skel/heap.h:
        * lib/engine/presence/skel/uri-presentity.cpp:
        * lib/engine/presence/skel/cluster-impl.h:
        * lib/engine/presence/skel/proxy-presentity.cpp:
        * lib/engine/presence/skel/cluster.h:
        * lib/engine/presence/skel/Makefile.am:
        * lib/engine/presence/skel/uri-presentity.h:
        * lib/engine/presence/skel/presence-core.cpp:
        * lib/engine/presence/skel/proxy-presentity.h:
        * lib/engine/presence/skel/presentity.h:
        * lib/engine/Makefile.am:
        Dropped the skel directory when it did not make sense.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/opal-call-manager.cpp:
        Make sure we do not display non audio and non video codecs.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * NEWS:
        Updated with recent additions to Ekiga.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * Makefile.am:
        I was too fast.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * Makefile.am:
        I was too fast.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/include:
        Removed empty directory.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * Makefile.am:
        A few make dist fixes as suggested by Eugen.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * Makefile.am: 
        Added doc/ subdirectory to generated tarball.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/opal-codec-description.cpp:
        Hide the fact that G.722 RFC is wrong. G.722 is a wideband
        codec.

2009-01-04  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/chat/skel/chat-manager.h:
        Removed obsolete file.

2008-12-29  Damien Sandras  <dsandras@gnome.org>

        * pixmaps/status-ringing.png:
        Use the same direction for the arrow than in the call history.

2008-12-29  Damien Sandras  <dsandras@gnome.org>

        * pixmaps/status-ringing-16.png:
        * pixmaps/status-ringing.png:
        * pixmaps/Makefile.am:
        * lib/gui/gmstockicons.c:
        * lib/gui/gmstockicons.h:
        * lib/engine/gui/gtk-core/gtk-core.cpp:
        * lib/engine/components/opal/sip-endpoint.cpp:
        Added notifications for the ringing state. It allows making the difference
        between somebody who is receiving an incoming call and somebody who is
        in a call. Added new icon for that.

2008-12-29  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/sip-endpoint.h:
        * lib/engine/components/opal/sip-endpoint.cpp:
        Added dialog-info notifications support. This indicates with call servers
        like Asterisk or OpenSER who is calling people in your roster as well as
        when they are in a call.

2008-12-28  Damien Sandras  <dsandras@gnome.org>

        * src/gui/preferences.cpp:
        Make sure sound events are played through the correct devices following
        the type of sound event. Fixes #564370.

2008-12-28  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Fixed tooltip (#551114).

2008-12-28  Damien Sandras  <dsandras@gnome.org>

        * src/gui/preferences.cpp:
        * src/gui/main.cpp:
        * lib/engine/components/opal/opal-call-manager.cpp:
        * lib/engine/components/opal/opal-main.cpp:
        * lib/engine/components/opal/opal-call-manager.h:
        * lib/engine/components/opal/opal-gmconf-bridge.cpp:
        * ekiga.schemas.in.in:
        Fixed #562347: It is now possible to disable STUN in the preferences.

2008-12-27  Damien Sandras  <dsandras@gnome.org>

        * src/gui/assistant.cpp:
        * lib/engine/components/opal/opal-bank.h:
        * lib/engine/components/opal/sip-endpoint.h:
        * lib/engine/components/opal/opal-bank.cpp:
        * lib/engine/components/opal/sip-endpoint.cpp:
        * lib/engine/account/skel/bank-impl.h:
        * lib/engine/account/skel/bank.h:
        * lib/engine/account/skel/account-core.cpp:
        * lib/engine/account/skel/account-core.h:
        Reverted patch leading Ekiga to crash. Temporary revert.

2008-12-21  Damien Sandras  <dsandras@gnome.org>
        
        * lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp:
        * lib/engine/components/call-history/history-book.cpp:
        * po/POTFILES.in:
        Fixed bug #564831.

2008-12-21  Damien Sandras  <dsandras@gnome.org>

        * lib/gui/gm-smiley-chooser-button.c:
        * lib/gui/Makefile.am:
        Fixed various compilation warnings.

2008-12-21  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/opal-call-manager.cpp:
        * lib/engine/components/opal/opal-videoinput.cpp:
        * lib/engine/components/opal/opal-main.cpp:
        * lib/engine/components/opal/opal-videooutput.cpp:
        * lib/engine/components/opal/Makefile.am:
        * lib/engine/components/opal/opal-audio.cpp:
        Fixed video and audio not working since the files were moved into the
        library as reported by Eugen. 

2008-12-17  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/framework/Makefile.am:
        * po/POTFILES.in:
        Applied patch from Eugen Dedu to fix make dist. Thanks!

2008-12-17  Damien Sandras  <dsandras@gnome.org>

        * lib/gui/gmpreferences.c:
        Removed deprecated stuff.

2008-12-15  Damien Sandras  <dsandras@gnome.org>

        * lib/gui/xvwindow.h:
        * lib/gui/xwindow.h:
        * lib/engine/audioinput/null/audioinput-manager-null.h:
        * lib/engine/audiooutput/null/audiooutput-manager-null.h:
        Fixed compilation issues due to new PTLIB headers.

2008-12-15  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Realize widget at the begin to prevent warnings.

        * src/gui/preferences.cpp:
        * src/gui/statusmenu.cpp:
        * src/gui/assistant.cpp:
        * src/gui/conf.cpp:
        * src/gui/conf.h:
        * lib/gui/gmpreferences.c:
        * lib/gui/gmpreferences.h:
        * lib/engine/components/opal/opal-call-manager.cpp:
        * lib/engine/components/opal/sip-endpoint.cpp:
        * lib/engine/components/opal/opal-gmconf-bridge.cpp:
        * lib/engine/components/opal/h323-endpoint.cpp:
        * lib/engine/protocol/skel/codec-description.cpp:
        * ekiga.schemas.in.in:
        Cleanup GConf keys and KILLED the gconf_test_age key. Default values 
        are now in the code directly.

2008-12-15  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:

2008-12-11  Damien Sandras  <dsandras@gnome.org>

        * lib/gmconf/gmconf-gconf.c:
        Allow NULL entry->value.

2008-12-11  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        * src/gui/conf.cpp:
        * src/gui/main.h:
        Moved more notifiers where they should be.

2008-12-11  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/sip-endpoint.cpp:
        Initial support for dialog info notifications.

2008-12-11  Damien Sandras  <dsandras@gnome.org>

        * src/gui/assistant.cpp:
        * src/gui/conf.cpp:
        * lib/engine/components/opal/sip-endpoint.cpp:
        Moved more notifiers where they should be.

2008-12-11  Damien Sandras  <dsandras@gnome.org>

        * src/gui/preferences.cpp:
        * src/gui/preferences.h:
        * src/gui/conf.cpp:
        Moved more notifiers to their place.

2008-12-11  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Fixed crash on missed call as reported by Thomas Schorpp.

2008-12-11  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        Fixed previous commit.

2008-12-10  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        Renamed --enable-debug into --enable-opal-debug
        and added --enable-gtk-debug.

2008-12-09  Damien Sandras  <dsandras@gnome.org>

        * src/gui/callbacks.cpp:
        Ah, #undef GTK_DISABLE_DEPRECATED was needed for the GNOME build.

2008-12-09  Damien Sandras  <dsandras@gnome.org>

        * lib/gui/gmpreferences.cpp:
        Do not use deprecated gdk_color_white anymore. Dropped useless 
        gdkcolor.h include as it breaks compilation (reported by Eugen).

2008-12-09  Damien Sandras  <dsandras@gnome.org>

        * src/gui/callbacks.cpp:
        Fixed compilation error with --disable-gnome release reported by
        Eugen.

2008-12-07  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Fixed warning.

2008-12-07  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        It seems we do not need to initialize ptlib anymore.

2008-12-07  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/sip-endpoint.h:
        * lib/engine/components/opal/sip-endpoint.cpp:
        Fixed GetRegisteredPartyName so that it uses 
        GetDefaultRegisteredPartyName when Ekiga.net is not being used.
        Adapted to new OPAL API.

2008-12-07  Damien Sandras  <dsandras@gnome.org>

         * src/gui/assistant.cpp:
         * src/gui/main.cpp:
         * src/gui/conf.cpp:
         Do not show the assistant after an upgrade for which Ekiga was already
         successfully setup.
         Correctly migrate audio & video devices settings, as well as the full 
         name and the ekiga.net / diamondcard settings. (#561180)

2008-12-06  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/opal-gmconf-bridge.cpp:
        More --disable-[h323,sip] fixes.

2008-12-06  Damien Sandras  <dsandras@gnome.org>

        * src/gui/preferences.cpp:
        Removed useless headers that break the --disable-h323
        build.

2008-12-02  Damien Sandras  <dsandras@gnome.org>

        * src/components: Moved to dbus-helper.

2008-12-01  Damien Sandras  <dsandras@gnome.org>

        * lib/gmref: Removed empty directory.

2008-12-01  Damien Sandras  <dsandras@gnome.org>

        * src/ekiga.cpp:
        * src/devices:
        * src/devices/audiodev.cpp:
        * src/devices/audiodev.h:
        * src/devices/videoinput.cpp:
        * src/devices/videooutput.cpp:
        * src/devices/videoinput.h:
        * src/devices/videooutput.h:
        * src/gui/main.cpp:
        * src/ekiga.h:
        * src/Makefile.am:
        * lib/engine/components/opal/opal-videoinput.cpp:
        * lib/engine/components/opal/opal-videooutput.h:
        * lib/engine/components/opal/opal-audio.h:
        * lib/engine/components/opal/opal-videooutput.cpp:
        * lib/engine/components/opal/opal-videoinput.h:
        * lib/engine/components/opal/Makefile.am:
        * lib/engine/components/opal/opal-audio.cpp:
        * lib/engine/engine.cpp:
        * lib/engine/engine.h:
        Some more moving.

2008-11-24  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/reflister.h: Plugged leaks.

2008-11-23  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        * lib/engine/audioinput/ptlib:
        * lib/engine/audiooutput/ptlib:
        * lib/engine/components/ptlib/videoinput-main-ptlib.cpp:
        * lib/engine/components/ptlib/videoinput-main-ptlib.h:
        * lib/engine/components/ptlib/videoinput-manager-ptlib.cpp:
        * lib/engine/components/ptlib/Makefile.am:
        * lib/engine/components/ptlib/videoinput-manager-ptlib.h:
        * lib/engine/videoinput/Makefile.am:
        * lib/engine/videoinput/ptlib:
        * lib/engine/Makefile.am:
        Moved the videoinput to the components directory.

2008-11-23  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        * lib/engine/audioinput/Makefile.am:
        * lib/engine/audioinput/ptlib/audioinput-main-ptlib.h:
        * lib/engine/audioinput/ptlib/audioinput-manager-ptlib.cpp:
        * lib/engine/audioinput/ptlib/audioinput-manager-ptlib.h:
        * lib/engine/audioinput/ptlib/Makefile.am:
        * lib/engine/audioinput/ptlib/audioinput-main-ptlib.cpp:
        * lib/engine/audiooutput/Makefile.am:
        * lib/engine/audiooutput/ptlib/audiooutput-main-ptlib.h:
        * lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp:
        * lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.h:
        * lib/engine/audiooutput/ptlib/audiooutput-main-ptlib.cpp:
        * lib/engine/components/Makefile.am:
        * lib/engine/components/ptlib:
        * lib/engine/components/ptlib/audioinput-main-ptlib.h:
        * lib/engine/components/ptlib/audioinput-manager-ptlib.cpp:
        * lib/engine/components/ptlib/audiooutput-main-ptlib.h:
        * lib/engine/components/ptlib/audiooutput-manager-ptlib.cpp:
        * lib/engine/components/ptlib/audioinput-manager-ptlib.h:
        * lib/engine/components/ptlib/audiooutput-manager-ptlib.h:
        * lib/engine/components/ptlib/Makefile.am:
        * lib/engine/components/ptlib/audioinput-main-ptlib.cpp:
        * lib/engine/components/ptlib/audiooutput-main-ptlib.cpp:
        * lib/engine/Makefile.am:
        Some more moving.

2008-11-23  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        * lib/engine/components/local-roster:
        * lib/engine/components/local-roster/Makefile.am:
        * lib/engine/components/avahi:
        * lib/engine/components/avahi/Makefile.am:
        * lib/engine/components/Makefile.am:
        * lib/engine/presence/local-roster:
        * lib/engine/presence/avahi:
        * lib/engine/presence/Makefile.am:
        * lib/engine/Makefile.am:
        Moved engine components to their own directory.

2008-11-23  Damien Sandras  <dsandras@gnome.org>

        * configure.ac:
        * lib/engine/gui/gtk-frontend/Makefile.am:
        * lib/engine/components/ldap
        * lib/engine/components/ldap/Makefile.am
        * lib/engine/components/evolution
        * lib/engine/components/evolution/Makefile.am
        * lib/engine/components/Makefile.am:
        * lib/engine/components/call-history
        * lib/engine/components/call-history/Makefile.am
        * lib/engine/components/kab
        * lib/engine/components/kab/Makefile.am
        * lib/engine/addressbook/ldap:
        * lib/engine/addressbook/ldap/ldap-contact.h:
        * lib/engine/addressbook/ldap/ldap-source.cpp:
        * lib/engine/addressbook/ldap/ldap-main.cpp:
        * lib/engine/addressbook/ldap/ldap-source.h:
        * lib/engine/addressbook/ldap/ldap-main.h:
        * lib/engine/addressbook/ldap/Makefile.am:
        * lib/engine/addressbook/ldap/ldap-book.cpp:
        * lib/engine/addressbook/ldap/ldap-contact.cpp:
        * lib/engine/addressbook/ldap/ldap-book.h:
        * lib/engine/addressbook/evolution:
        * lib/engine/addressbook/evolution/evolution-book.h:
        * lib/engine/addressbook/evolution/evolution-contact.h:
        * lib/engine/addressbook/evolution/evolution-source.cpp:
        * lib/engine/addressbook/evolution/evolution-main.cpp:
        * lib/engine/addressbook/evolution/evolution-source.h:
        * lib/engine/addressbook/evolution/Makefile.am:
        * lib/engine/addressbook/evolution/evolution-main.h:
        * lib/engine/addressbook/evolution/evolution-book.cpp:
        * lib/engine/addressbook/evolution/evolution-contact.cpp:
        * lib/engine/addressbook/Makefile.am:
        * lib/engine/addressbook/call-history:
        * lib/engine/addressbook/call-history/history-book.h:
        * lib/engine/addressbook/call-history/history-contact.h:
        * lib/engine/addressbook/call-history/history-source.cpp:
        * lib/engine/addressbook/call-history/history-main.cpp:
        * lib/engine/addressbook/call-history/history-source.h:
        * lib/engine/addressbook/call-history/Makefile.am:
        * lib/engine/addressbook/call-history/history-main.h:
        * lib/engine/addressbook/call-history/history-book.cpp:
        * lib/engine/addressbook/call-history/history-contact.cpp:
        * lib/engine/addressbook/kab:
        * lib/engine/addressbook/kab/kab-main.cpp:
        * lib/engine/addressbook/kab/kab-source.h:
        * lib/engine/addressbook/kab/kab-main.h:
        * lib/engine/addressbook/kab/kab-book.cpp:
        * lib/engine/addressbook/kab/kab-contact.cpp:
        * lib/engine/addressbook/kab/Makefile.am:
        * lib/engine/addressbook/kab/kab-book.h:
        * lib/engine/addressbook/kab/kab-contact.h:
        * lib/engine/addressbook/kab/kab-source.cpp:
        * lib/engine/Makefile.am:
        Moved addressbook components to the components directory of the engine.

2008-11-22  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Fixed crash.

2008-11-22  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Change type of crash.

2008-11-22  Damien Sandras  <dsandras@gnome.org>

        * help/C/Makefile.am:
        Removed other obsolete references. 

2008-11-22  Damien Sandras  <dsandras@gnome.org>

        * help/C/Makefile.am:
        Some files do not exist anymore since long. Removed them.

2008-11-22  Damien Sandras  <dsandras@gnome.org>

        * help/C/figures/config_d8.png:
        Added missing file.

2008-11-21  Julien Puydt  <jpuydt@gnome.org>

	* configure.ac:
	* lib/Makefile.am:
	* lib/engine/Makefile.am:
	* lib/engine/account/skel/Makefile.am:
	* lib/engine/addressbook/call-history/Makefile.am:
	* lib/engine/addressbook/evolution/Makefile.am:
	* lib/engine/addressbook/kab/Makefile.am:
	* lib/engine/addressbook/ldap/Makefile.am:
	* lib/engine/addressbook/skel/Makefile.am:
	* lib/engine/audioinput/null/Makefile.am:
	* lib/engine/audioinput/ptlib/Makefile.am:
	* lib/engine/audioinput/skel/Makefile.am:
	* lib/engine/audiooutput/null/Makefile.am:
	* lib/engine/audiooutput/ptlib/Makefile.am:
	* lib/engine/audiooutput/skel/Makefile.am:
	* lib/engine/chat/echo/Makefile.am:
	* lib/engine/chat/skel/Makefile.am:
	* lib/engine/components/avahi-publisher/Makefile.am:
	* lib/engine/components/gmconf-personal-details/Makefile.am:
	* lib/engine/components/gstreamer/Makefile.am:
	* lib/engine/components/kde/Makefile.am:
	* lib/engine/components/opal/Makefile.am:
	* lib/engine/components/resource-list/Makefile.am:
	* lib/engine/components/xcap/Makefile.am:
	* lib/engine/framework/Makefile.am:
	* lib/engine/framework/gmref.h:
	* lib/engine/gui/gtk-core/Makefile.am:
	* lib/engine/gui/gtk-core/gm-refcounted-boxed.cpp:
	* lib/engine/gui/gtk-core/gm-refcounted-boxed.h:
	* lib/engine/gui/gtk-frontend/Makefile.am:
	* lib/engine/hal/dbus/Makefile.am:
	* lib/engine/hal/skel/Makefile.am:
	* lib/engine/presence/avahi/Makefile.am:
	* lib/engine/presence/local-roster/Makefile.am:
	* lib/engine/presence/skel/Makefile.am:
	* lib/engine/protocol/skel/Makefile.am:
	* lib/engine/videoinput/mlogo/Makefile.am:
	* lib/engine/videoinput/ptlib/Makefile.am:
	* lib/engine/videoinput/skel/Makefile.am:
	* lib/engine/videooutput/dx/Makefile.am:
	* lib/engine/videooutput/skel/Makefile.am:
	* lib/engine/videooutput/x/Makefile.am:
	* lib/gmref/Makefile.am:
	* lib/gmref/gmref.cpp:
	* lib/gmref/gmref.h:
	* lib/gui/Makefile.am:
	* src/Makefile.am: Moved gmref.h to lib/engine/framework.

2008-11-20  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/opal/Makefile.am: Made it handle out-of-tree
	builds better.

2008-11-20  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/addressbook-window.cpp:
	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Kicked reference
	counting out of the GUI : no more crash!
	* lib/gmref/gmref.cpp: Re-enabled freeing memory.
	* lib/gmref/gmref.h: Cosmetic changes.

2008-11-18  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/account/skel/account-core.cpp:
	* lib/engine/account/skel/account-core.h:
	* lib/engine/account/skel/account.h:
	* lib/engine/account/skel/bank-impl.h:
	* lib/engine/account/skel/bank.h:
	* lib/engine/addressbook/call-history/history-book.h:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/addressbook/skel/book-impl.h:
	* lib/engine/addressbook/skel/book.h:
	* lib/engine/addressbook/skel/contact-core.cpp:
	* lib/engine/addressbook/skel/contact-core.h:
	* lib/engine/addressbook/skel/contact.h:
	* lib/engine/addressbook/skel/source-impl.h:
	* lib/engine/addressbook/skel/source.h:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audioinput/skel/audioinput-core.h:
	* lib/engine/audioinput/skel/audioinput-manager.h:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	* lib/engine/audiooutput/skel/audiooutput-manager.h:
	* lib/engine/chat/skel/chat-core.cpp:
	* lib/engine/chat/skel/chat-core.h:
	* lib/engine/chat/skel/chat-manager.h:
	* lib/engine/chat/skel/chat.h:
	* lib/engine/chat/skel/dialect-impl.h:
	* lib/engine/chat/skel/dialect.h:
	* lib/engine/components/opal/opal-account.h:
	* lib/engine/components/opal/sip-chat-simple.cpp:
	* lib/engine/components/opal/sip-chat-simple.h:
	* lib/engine/components/opal/sip-dialect.cpp:
	* lib/engine/components/opal/sip-dialect.h:
	* lib/engine/components/resource-list/rl-heap.cpp:
	* lib/engine/components/resource-list/rl-heap.h:
	* lib/engine/components/resource-list/rl-list.cpp:
	* lib/engine/components/resource-list/rl-list.h:
	* lib/engine/components/resource-list/rl-presentity.h:
	* lib/engine/components/xcap/xcap-core.cpp:
	* lib/engine/components/xcap/xcap-core.h:
	* lib/engine/framework/form-request-simple.cpp:
	* lib/engine/framework/form-request-simple.h:
	* lib/engine/framework/gmconf-bridge.h:
	* lib/engine/framework/lister.h:
	* lib/engine/framework/menu-builder-tools.cpp:
	* lib/engine/framework/menu-builder-tools.h:
	* lib/engine/framework/menu-builder.cpp:
	* lib/engine/framework/menu-builder.h:
	* lib/engine/framework/personal-details.h:
	* lib/engine/framework/reflister.h:
	* lib/engine/framework/runtime-glib.cpp:
	* lib/engine/framework/runtime-glib.h:
	* lib/engine/framework/runtime.h:
	* lib/engine/framework/services.h:
	* lib/engine/gui/gtk-core/menu-builder-gtk.cpp:
	* lib/engine/gui/gtk-core/menu-builder-gtk.h:
	* lib/engine/gui/gtk-core/toolbar-builder-gtk.cpp:
	* lib/engine/gui/gtk-core/toolbar-builder-gtk.h:
	* lib/engine/hal/skel/hal-core.cpp:
	* lib/engine/hal/skel/hal-core.h:
	* lib/engine/hal/skel/hal-manager.h:
	* lib/engine/presence/local-roster/local-presentity.h:
	* lib/engine/presence/skel/cluster-impl.h:
	* lib/engine/presence/skel/cluster.h:
	* lib/engine/presence/skel/heap-impl.h:
	* lib/engine/presence/skel/heap.h:
	* lib/engine/presence/skel/presence-core.cpp:
	* lib/engine/presence/skel/presence-core.h:
	* lib/engine/presence/skel/presentity.h:
	* lib/engine/protocol/skel/call-core.h:
	* lib/engine/protocol/skel/call-manager.h:
	* lib/engine/protocol/skel/call.h:
	* lib/engine/videoinput/skel/videoinput-core.cpp:
	* lib/engine/videoinput/skel/videoinput-core.h:
	* lib/engine/videoinput/skel/videoinput-manager.h:
	* lib/engine/videooutput/skel/videooutput-core.cpp:
	* lib/engine/videooutput/skel/videooutput-core.h:
	* lib/engine/videooutput/skel/videooutput-manager.h: Made all sigc::slot
	and sigc::signal with arity, since it's supposedly cleaner.
	* lib/gmref/gmref.h: Cleaned up the code... which didn't look that bad
	unfortunately :-(

2008-11-18  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/call-history/history-book.cpp:
	* lib/engine/addressbook/call-history/history-contact.cpp:
	* lib/engine/addressbook/call-history/history-main.cpp:
	* lib/engine/addressbook/call-history/history-source.cpp:
	* lib/engine/addressbook/evolution/evolution-book.cpp:
	* lib/engine/addressbook/evolution/evolution-contact.cpp:
	* lib/engine/addressbook/evolution/evolution-main.cpp:
	* lib/engine/addressbook/evolution/evolution-source.cpp:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/ldap/ldap-contact.cpp:
	* lib/engine/addressbook/ldap/ldap-main.cpp:
	* lib/engine/addressbook/ldap/ldap-source.cpp:
	* lib/engine/chat/echo/echo-main.cpp:
	* lib/engine/components/avahi-publisher/avahi-publisher-main.cpp:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.cpp:
	* lib/engine/components/opal/opal-call-manager.cpp:
	* lib/engine/components/opal/opal-main.cpp:
	* lib/engine/components/opal/sip-chat-simple.cpp:
	* lib/engine/engine.cpp:
	* lib/engine/gui/gtk-core/gtk-core-main.cpp:
	* lib/engine/gui/gtk-frontend/gtk-frontend.cpp:
	* lib/engine/gui/gtk-frontend/presentity-view.cpp:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
	* lib/engine/presence/avahi/avahi-cluster.cpp:
	* lib/engine/presence/avahi/avahi-heap.cpp:
	* lib/engine/presence/avahi/avahi-main.cpp:
	* lib/engine/presence/local-roster/local-cluster.cpp:
	* lib/engine/presence/local-roster/local-heap.cpp:
	* lib/engine/presence/local-roster/local-presentity.cpp:
	* lib/engine/presence/local-roster/local-roster-bridge.cpp:
	* lib/engine/presence/local-roster/local-roster-main.cpp:
	* lib/engine/presence/skel/uri-presentity.cpp:
	* lib/engine/protocol/skel/call-manager.cpp:
	* lib/gmref/gmref.h:
	* src/gui/main.cpp: Made conversions from a pointer to a gmref_ptr
	explicit, since it is the norm...

2008-11-18  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/reflister.h: Don't do something which emits
	signals at shutdown : if we're closing, then nobody's listening anyway!

2008-11-16  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/components/opal/Makefile.am:
        Added missing file.

2008-11-16  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints:
        * src/Makefile.am:
        * configure.ac:
        * lib/engine/components/Makefile.am:
        * lib/engine/components/opal:
        * lib/engine/components/opal/sip-dialect.cpp:
        * lib/engine/components/opal/sip-chat-simple.cpp:
        * lib/engine/components/opal/opal-gmconf-bridge.h:
        * lib/engine/components/opal/h323-endpoint.h:
        * lib/engine/components/opal/sip-dialect.h:
        * lib/engine/components/opal/sip-chat-simple.h:
        * lib/engine/components/opal/opal-call.cpp:
        * lib/engine/components/opal/opal-bank.cpp:
        * lib/engine/components/opal/opal-call.h:
        * lib/engine/components/opal/opal-bank.h:
        * lib/engine/components/opal/sip-endpoint.cpp:
        * lib/engine/components/opal/opal-call-manager.cpp:
        * lib/engine/components/opal/opal-main.cpp:
        * lib/engine/components/opal/sip-endpoint.h:
        * lib/engine/components/opal/opal-call-manager.h:
        * lib/engine/components/opal/opal-main.h:
        * lib/engine/components/opal/opal-account.cpp:
        * lib/engine/components/opal/pcss-endpoint.cpp:
        * lib/engine/components/opal/opal-codec-description.cpp:
        * lib/engine/components/opal/opal-account.h:
        * lib/engine/components/opal/pcss-endpoint.h:
        * lib/engine/components/opal/opal-gmconf-bridge.cpp:
        * lib/engine/components/opal/opal-codec-description.h:
        * lib/engine/components/opal/h323-endpoint.cpp:
        * lib/engine/Makefile.am:
        Moved the OPAL CallManager stuff to the engine where it belongs to.

2008-11-16  Damien Sandras  <dsandras@gnome.org>

        * src/ekiga.cpp
        * src/endpoints/ekiga.cpp:
        * src/endpoints/ekiga.h:
        * src/ekiga.h
        * src/Makefile.am:
        Started moving files.

2008-11-16  Damien Sandras  <dsandras@gnome.org>

        * src/gui/callbacks.cpp:
        * configure.ac:
        * lib/gui/gmpreferences.c:
        * lib/toolbox/toolbox-gnome.c:
        Compile by default with the deprecated flags to make sure we do not 
        reintroduce deprecated behaviors.

2008-11-16  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/h323-endpoint.h:
        * src/endpoints/opal-call.cpp:
        * src/endpoints/opal-bank.cpp:
        * src/endpoints/opal-call.h:
        * src/endpoints/sip-endpoint.cpp:
        * src/endpoints/opal-call-manager.cpp:
        * src/endpoints/opal-main.cpp:
        * src/endpoints/sip-endpoint.h:
        * src/endpoints/opal-call-manager.h:
        * src/endpoints/opal-account.cpp:
        * src/endpoints/pcss-endpoint.cpp:
        * src/endpoints/opal-gmconf-bridge.cpp:
        * src/endpoints/h323-endpoint.cpp:
        * src/gui/dialpad.cpp:
        * src/gui/misc.h:
        * src/gui/statusicon.h:
        * src/gui/statusmenu.cpp:
        * src/gui/assistant.cpp:
        * src/gui/statusmenu.h:
        * src/gui/accounts.cpp:
        * src/gui/accounts.h:
        * src/gui/main.cpp:
        * src/gui/main.h:
        * src/gui/misc.cpp:
        * src/gui/statusicon.cpp:
        * configure.ac:
        * lib/gui/codecsbox.h:
        * lib/gui/gmdialog.c:
        * lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp:
        * lib/engine/gui/gtk-frontend/addressbook-window.cpp:
        * lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
        * lib/engine/gui/gtk-frontend/chat-window.cpp:
        * lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
        * lib/engine/gui/gtk-frontend/chat-area.cpp:
        * lib/engine/gui/gtk-core/form-dialog-gtk.cpp:
        * lib/engine/addressbook/ldap/ldap-book.h:
        * lib/engine/addressbook/evolution/Makefile.am:
        * lib/engine/addressbook/evolution/evolution-book.cpp:
        * lib/engine/addressbook/evolution/evolution-contact.cpp:
        * lib/engine/addressbook/call-history/Makefile.am:
        * lib/engine/addressbook/call-history/history-contact.cpp:
        * lib/engine/addressbook/skel/contact-core.cpp:
        * lib/engine/addressbook/skel/Makefile.am:
        * lib/engine/presence/local-roster/local-presentity.cpp:
        * lib/engine/presence/local-roster/local-roster-bridge.cpp:
        * lib/engine/presence/local-roster/local-heap.cpp:
        * lib/engine/presence/local-roster/Makefile.am:
        * lib/engine/presence/local-roster/local-cluster.cpp:
        * lib/engine/presence/avahi/avahi-heap.cpp:
        Cleanup : only include common.h and config.h when absolutely
        needed. Use glib/gi18n.h for i18n and not our custom definitions in
        config.h.

2008-11-16  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/h323-endpoint.h:
        * src/endpoints/pcss.cpp:
        * src/endpoints/manager.cpp:
        * src/endpoints/opal-call-manager.cpp
        * src/endpoints/pcss.h:
        * src/endpoints/opal-main.cpp:
        * src/endpoints/sip-endpoint.h:
        * src/endpoints/manager.h:
        * src/endpoints/opal-call-manager.h
        * src/endpoints/ekiga.h:
        * src/endpoints/pcss-endpoint.cpp
        * src/endpoints/pcss-endpoint.h
        * src/endpoints/opal-gmconf-bridge.cpp:
        * src/gui/statusicon.h:
        * src/gui/accounts.cpp:
        * src/gui/callbacks.cpp:
        * src/gui/conf.cpp:
        * src/components/dbus.cpp:
        * src/Makefile.am:
        Headers cleanups and some renaming. Some components were still depending
        on engine components instead of engine skel files.

2008-11-16  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Added back the gmref_dec
	code, and removed log printing.
	* lib/engine/gui/gtk-core/gm-refcounted-boxed.cpp: Remove log printing.
	* lib/gmref/gmref.cpp: Don't free memory : leak but don't
	crash -- that will let others work on ekiga while I settle
	the problem.
	* lib/gmref/gmref.h: Simplified gmref_ptr.

2008-11-16  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/sip-endpoint.cpp:
        * src/endpoints/sip-endpoint.h:
        Fixed bug in previous commit. The presence information was not modified if
        the presence itself remained the same.

2008-11-15  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/sip-endpoint.cpp:
        * src/endpoints/sip-endpoint.h:
        Fixed various problems with the initial notifications and empty ping back
        notifications.
        If we receive an initial notification with no status information,
        then the user is offline. If we receive a notification with an empty
        body then do not update the user status to offline or unknown because
        it is just a ping from the server indicating no status change.

2008-11-15  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/sip-endpoint.cpp:
        * src/gui/statusmenu.cpp:
        * src/gui/statusmenu.h:
        * src/gui/main.cpp:
        * src/gui/statusicon.cpp:
        * lib/engine/components/avahi-publisher/avahi-publisher.cpp:
        * lib/engine/components/gmconf-personal-details/gmconf-personal-details.h:
        * lib/engine/components/gmconf-personal-details/gmconf-personal-details.cpp:
        * lib/engine/framework/personal-details.h:
        Large rework of the PersonalDetails class so that the short_status and
        long_status can be set at once. The GmConf notifiers are only 
        triggering the updated signal when there was an update. Rewrite of the
        StatusMenu Gtk widget so that it deals with the PersonalDetails service
        and not directly with the GmConf keys. Renamed short_status into
        presence and long_status into status to match the naming of 
        presentities. All of this prevent publishing partial, duplicate or 
        incorrect status information to the SIP server.

2008-11-15  Damien Sandras  <dsandras@gnome.org>

        * configure.ac: Incremented version number.

2008-11-15  Julien Puydt  <jpuydt@gnome.org>

	* lib/gmref/gmref.cpp:
	* lib/gmref/gmref.h: Made the way the refcount is tracked completely
	hidden -- only gmref_inc/gmref_dec/gmref_count to modify to change the
	implementation.
	* lib/engine/gui/gtk-core/gm-refcounted-boxed.cpp:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Added (temporary)
	debug output.

2008-11-15  Steve Frécinaux  <code@istique.net>

	* lib/gmref/gmref.cpp:
	* lib/gmref/gmref.h:
	Rename the "count" field to "refcount" and ensure the field can only be
	accessed through the gmref_inc and gmref_dec functions.

2008-11-14  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Comment code out
	to let ekiga run... until I find and fix the real bug.

2008-11-14  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/skel/book-impl.h:
	* lib/engine/addressbook/skel/source-impl.h:
	* lib/engine/presence/skel/cluster-impl.h:
	* lib/engine/presence/skel/heap-impl.h:
	* lib/engine/presence/skel/presence-core.h:
	* lib/engine/presence/skel/uri-presentity.h: Removed useless "public
	sigc::trackable".
	* lib/gmref/gmref.cpp:
	* lib/gmref/gmref.h: Pushed the reference counts in the objects
	themselves.

2008-11-14  Steve Frécinaux  <code@istique.net>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Rename on_view_clicked to
	on_view_event_after, and exit early when the event is not interesting.

2008-11-14  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/reflister.h: Added a much needed destructor (!),
	to prevent leaks.
	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Made them disconnect
	callbacks in dispose instead of finalize, to prevent crashes.

2008-11-14  Steve Frécinaux  <code@istique.net>

	* src/gui/main.cpp: Fix compilation.

2008-11-13  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Fixed a few warnings. Allow answering/rejecting calls from the main
        window when the notification area is used.

2008-11-12  Damien Sandras  <dsandras@gnome.org>

        * lib/pixops/have_mmx.S:
        * lib/pixops/composite_line_22_4a4_mmx.S:
        Fixed compilation problems thanks to David Sainty
        <David.Sainty dtsp.co.nz> and Eugen Dedu.

2008-11-12  Damien Sandras  <dsandras@gnome.org>
        
        * NEWS:
        Cleaned file thanks to Eugen Dedu.

2008-11-12  Steve Frécinaux  <code@istique.net>

	* configure.ac:
	* lib/gui/gmdialog.c:
	* lib/toolbox/toolbox-gtk.c:
	* src/gui/callbacks.cpp:
	Get rid of libgnome when compiled against gtk+ >= 2.13

	libgnome was used for help display (now superseeded by gtk_show_uri) and
	for the GtkFileChooser backend through gnomevfs (now superseeded by GIO
	at the Glib level). So it is safe to drop libgnome once and for all.

2008-11-12  Steve Frécinaux  <code@istique.net>

	* src/gui/main.cpp: Get rid of GnomeProgram.

2008-11-12  Steve Frécinaux  <code@istique.net>

	* src/gui/preferences.cpp:
	Get rid of the gnome-vfs backend for the filechooser. It has been
	obsoleted by the gio support from the glib level up since Gtk+ 2.12...

2008-11-11  Steve Frécinaux  <code@istique.net>

	* lib/engine/gui/gtk-frontend/addressbook-window.cpp:
	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
	* lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
	* lib/gui/gmdialog.c:
	* lib/gui/gmmenuaddon.c:
	* lib/gui/gmmenuaddon.h:
	* src/gui/accounts.cpp:
	* src/gui/main.cpp:
	* src/gui/preferences.cpp:
	* src/gui/statusicon.cpp:
	Get rid of the now-deprecated GtkSignalFunc, and use GCallback instead.

	Ekiga now compiles with
	make CFLAGS+="-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED
	              -DGTK_DISABLE_DEPRECATED"

2008-11-11  Steve Frécinaux  <code@istique.net>

	* lib/gui/gmlevelmeter.h:
	* lib/gui/gmlevelmeter.c:
	* src/gui/main.cpp:
	Update GmLevelMeter not to use deprecated stuff.
	- use GObject::finalize instead of GtkObject::destroy
	- use G_DEFINE_TYPE
	- Hijack GtkOrientation instead of having our own copy of it

2008-11-11  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/sip-endpoint.cpp:
        Do not suppose the status is now offline when receiving a NOTIFY with
        an empty body.

2008-11-11  Steve Frécinaux  <code@istique.net>

	* lib/gui/gm-cell-renderer-bitext.h:
	* lib/gui/gmcellrendererexpander.c:
	* lib/gui/gmcellrendererexpander.h:
	* lib/gui/gmlevelmeter.h:
	* lib/gui/gmpowermeter.c:
	* lib/gui/gmpowermeter.h:
	Clean up GLib and GTK+ includes

	GTK+ is moving toward a model where it is only allowed to include the
	'toplevel' headers <glib.h>, <gdk/gdk.h>, <gdk-pixbuf/gdk-pixbuf.h> and
	<gtk/gtk.h> can be directly included.

	Now Ekiga compiles with
	make CFLAGS+="-DG_DISABLE_SINGLE_INCLUDES
		      -DGDK_PIXBUF_DISABLE_SINGLE_INCLUDES
		      -DGTK_DISABLE_SINGLE_INCLUDES"

2008-11-11  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/sip-endpoint.cpp:
        Removed useless code.

2008-11-10  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/skel/cluster-impl.h:
	* lib/engine/presence/skel/cluster.h:
	* lib/engine/presence/skel/heap-impl.h:
	* lib/engine/presence/skel/heap.h:
	* lib/engine/presence/skel/presence-core.cpp:
	* lib/engine/presence/skel/presence-core.h:
	* lib/engine/presence/skel/presentity.h:
	* lib/engine/presence/skel/uri-presentity.cpp: The presence stack skel
	now uses gmref_ptr, which fixes bug #557403.
	* lib/engine/chat/echo/echo-presentity.h:
	* lib/engine/chat/echo/echo-simple.cpp:
	* lib/engine/chat/echo/echo-simple.h:
	* lib/engine/chat/skel/chat-multiple.h:
	* lib/engine/chat/skel/chat-simple.h:
	* lib/engine/gui/gtk-frontend/presentity-view.cpp:
	* lib/engine/gui/gtk-frontend/presentity-view.h:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
	* lib/engine/presence/avahi/avahi-cluster.cpp:
	* lib/engine/presence/avahi/avahi-cluster.h:
	* lib/engine/presence/avahi/avahi-heap.cpp:
	* lib/engine/presence/avahi/avahi-main.cpp:
	* lib/engine/presence/local-roster/local-cluster.cpp:
	* lib/engine/presence/local-roster/local-cluster.h:
	* lib/engine/presence/local-roster/local-heap.cpp:
	* lib/engine/presence/local-roster/local-heap.h:
	* lib/engine/presence/local-roster/local-presentity.cpp:
	* lib/engine/presence/local-roster/local-roster-bridge.cpp:
	* lib/engine/presence/local-roster/local-roster-main.cpp:
	* src/endpoints/h323-endpoint.cpp:
	* src/endpoints/h323-endpoint.h:
	* src/endpoints/sip-chat-simple.cpp:
	* src/endpoints/sip-chat-simple.h:
	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/sip-endpoint.h: Follow the skel.

2008-11-08  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/ekiga.cpp:
        * src/endpoints/ekiga.h:
        * src/gui/main.cpp:
        Removed unused stuff.

2008-11-08  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/protocol/skel/call-core.cpp:
        * lib/engine/protocol/skel/call-core.h:
        Added comment for callcore destruction to monitor it. Disconnect signals
        relaed to the CallManager in order to allow destruction of gmref_ptr 
        services.

2008-11-08  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/manager.cpp:
        * src/endpoints/opal-main.cpp:
        * src/endpoints/opal-gmconf-bridge.cpp:
        * src/gui/main.cpp:
        * src/gui/statusicon.cpp:
        * lib/engine/addressbook/call-history/history-book.h:
        * lib/engine/addressbook/call-history/history-book.cpp:
        * lib/engine/protocol/skel/call-core.cpp:
        * lib/engine/protocol/skel/call-manager.cpp:
        * lib/engine/protocol/skel/call-core.h:
        * lib/engine/protocol/skel/call-protocol-manager.h:
        * lib/engine/protocol/skel/call-manager.h:
        Prevent crash on exit using gmref_ptr for the CallProtocolManager
        and for the CallManager.

2008-10-30  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/resource-list/rl-heap.cpp: Two fixes so the
	code works better.

2008-10-30  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/Makefile.am:
	* lib/engine/framework/map-key-iterator.h:
	* lib/engine/framework/reflister.h: Added specific code to help list
	objects using gmref_ptr.
	* lib/engine/addressbook/skel/book-impl.h:
	* lib/engine/addressbook/skel/book.h:
	* lib/engine/addressbook/skel/contact-core.cpp:
	* lib/engine/addressbook/skel/contact-core.h:
	* lib/engine/addressbook/skel/contact.h:
	* lib/engine/addressbook/skel/source-impl.h:
	* lib/engine/addressbook/skel/source.h: Moved the base APIs to use
	gmref_ptr.
	* lib/engine/addressbook/call-history/history-book.cpp:
	* lib/engine/addressbook/call-history/history-contact.cpp:
	* lib/engine/addressbook/call-history/history-source.cpp:
	* lib/engine/addressbook/call-history/history-source.h:
	* lib/engine/addressbook/evolution/evolution-book.cpp:
	* lib/engine/addressbook/evolution/evolution-contact.cpp:
	* lib/engine/addressbook/evolution/evolution-source.cpp:
	* lib/engine/addressbook/kab/kab-book.cpp:
	* lib/engine/addressbook/kab/kab-contact.cpp:
	* lib/engine/addressbook/kab/kab-source.cpp:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/addressbook/ldap/ldap-contact.cpp:
	* lib/engine/addressbook/ldap/ldap-source.cpp:
	* lib/engine/addressbook/ldap/ldap-source.h:
	* lib/engine/gui/gtk-frontend/addressbook-window.cpp:
	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
	* lib/engine/gui/gtk-frontend/book-view-gtk.h:
	* lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp:
	* lib/engine/gui/gtk-frontend/call-history-view-gtk.h:
	* lib/engine/gui/gtk-frontend/gtk-frontend.cpp:
	* lib/engine/presence/local-roster/local-roster-bridge.cpp:
	* src/endpoints/h323-endpoint.cpp:
	* src/endpoints/h323-endpoint.h:
	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/sip-endpoint.h: Made it follow the new APIs.

2008-10-27  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/manager.cpp:
        Simplified code.

2008-10-27  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/protocol/skel/call-core.cpp:
        Removed cout.

2008-10-27  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/sip-endpoint.cpp:
        * src/endpoints/manager.cpp:
        * src/endpoints/sip-endpoint.h:
        * src/endpoints/manager.h:
        * src/endpoints/h323-endpoint.cpp:
        * src/gui/main.cpp:
        * src/gui/statusicon.cpp:
        * lib/gui/Makefile.am:
        * lib/engine/addressbook/call-history/history-book.h:
        * lib/engine/addressbook/call-history/history-book.cpp:
        * lib/engine/protocol/skel/call.h:
        * lib/engine/protocol/skel/call-core.cpp:
        * lib/engine/protocol/skel/call-core.h:
        Use gmref memory management for the Ekiga::Call objects. The principle is 
        simple, OPAL does not free OpalCall objects itself. When the Opal component 
        thinks the object should be deleted, it emits the "removed" signal on the 
        Opal::Call object, which triggers the disconnection of signals and the 
        automatic deletion when the ref count reaches zero.
        It fixes, among others, potential problems due to the OpalCall object being
        deleted too early by OPAL and still being accessed by the GUI.

2008-10-27  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/opal-call.cpp, src/endpoints/opal-call.h:
        Do not answer or hangup calls in a separate thread, or cancelling an 
        outgoing call before it gets established won't work.

2008-10-26  Steve Frécinaux  <code@istique.net>

	* src/gui/main.cpp: Do not hardcode white background for the call
	panel, thus fixing its look with dark themes.

2008-10-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-core/gm-refcounted-boxed.h: Documented what this
	code is for.

2008-10-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/resource-list/Makefile.am:
	* lib/engine/components/resource-list/resource-list-main.cpp:
	* lib/engine/components/resource-list/rl-cluster.cpp:
	* lib/engine/components/resource-list/rl-cluster.h:
	* lib/engine/components/resource-list/rl-heap.cpp:
	* lib/engine/components/resource-list/rl-heap.h:
	* lib/engine/components/resource-list/rl-presentity.cpp:
	* lib/engine/components/resource-list/rl-presentity.h: New code for
	resource-lists, with read and write support, and groups. Still crashy...

2008-10-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/xcap/xcap-core.cpp:
	* lib/engine/components/xcap/xcap-core.h: Added support for write and
	delete.

2008-10-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/gmref/gmref.h: Added operator< so gmref_ptr can be used as a
	key in a std::map.

2008-10-23  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/resource-list/rl-heap.cpp: Made the code
	remember the user-edited settings...

2008-10-22  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-core/Makefile.am:
	* lib/engine/gui/gtk-core/gm-refcounted-boxed.cpp:
	* lib/engine/gui/gtk-core/gm-refcounted-boxed.h: Added a boxed
	GmRefCounted type, fixing bug #557397.

2008-10-21  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/form-builder.cpp:
	* lib/engine/framework/form-builder.h:
	* lib/engine/framework/form-dumper.cpp:
	* lib/engine/framework/form-dumper.h:
	* lib/engine/framework/form-visitor.h:
	* lib/engine/gui/gtk-core/form-dialog-gtk.cpp:
	* lib/engine/gui/gtk-core/form-dialog-gtk.h: Added support for advanced
	form fields (fixing bug #556324).

2008-10-21  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/xcap/xcap-core.cpp: Fixed XCAP::Core crashes
	(bug #557128)... was much harder than anticipated, but required no api
	change.

2008-10-19  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/Makefile.am:
	* lib/engine/framework/form-request-simple.cpp:
	* lib/engine/framework/form-request-simple.h:
	* lib/engine/framework/form.cpp:
	* lib/engine/framework/form.h: Fixed bug #556867, by making
	Ekiga::FormRequestSimple always return ; added Ekiga::EmptyForm too.
	* lib/engine/addressbook/evolution/evolution-book.cpp:
	* lib/engine/addressbook/evolution/evolution-book.h:
	* lib/engine/addressbook/evolution/evolution-contact.cpp:
	* lib/engine/addressbook/evolution/evolution-contact.h:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/addressbook/ldap/ldap-source.cpp:
	* lib/engine/addressbook/ldap/ldap-source.h:
	* lib/engine/components/resource-list/rl-cluster.cpp:
	* lib/engine/components/resource-list/rl-cluster.h:
	* lib/engine/components/resource-list/rl-heap.cpp:
	* lib/engine/components/resource-list/rl-heap.h:
	* lib/engine/presence/local-roster/local-heap.cpp:
	* lib/engine/presence/local-roster/local-heap.h:
	* lib/engine/presence/local-roster/local-presentity.cpp:
	* lib/engine/presence/local-roster/local-presentity.h:
	* src/endpoints/opal-account.cpp:
	* src/endpoints/opal-account.h:
	* src/endpoints/opal-bank.cpp:
	* src/endpoints/opal-bank.h: Made it cope with the change.

2008-10-19  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/xcap/xcap-core.cpp:
	* lib/engine/components/xcap/xcap-core.h: Got rid of the
	XCAP::Core::ResultType enum in favor of a bool, fixing bug #555868.
	* lib/engine/components/resource-list/rl-entry.cpp:
	* lib/engine/components/resource-list/rl-entry.h:
	* lib/engine/components/resource-list/rl-heap.cpp:
	* lib/engine/components/resource-list/rl-heap.h:
	* lib/engine/components/resource-list/rl-list.cpp: Made it cope with
	the change.

2008-10-17  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/resource-list/rl-heap.h:
	* lib/engine/components/resource-list/rl-heap.cpp: Added context actions
	to RL::Heap -- will make testing much much more easier.

2008-10-16  Matthias Schneider  <ma30002000@yahoo.de>
	* src/gui/main.cpp:
	* lib/gui/gmdialog.c:
	Fix crash on windows when using vsnprintf with a
	format string = NULL. Happend when clicking the
	statusline.


2008-10-16  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/resource-list/rl-cluster.cpp:
	* lib/engine/components/resource-list/rl-entry.cpp:
	* lib/engine/components/resource-list/rl-heap.cpp:
	* lib/engine/components/resource-list/rl-list.cpp:
	* lib/engine/components/resource-list/rl-list.h:
	* lib/engine/components/xcap/xcap-core.cpp:
	* lib/engine/components/xcap/xcap-path.cpp:
	* lib/engine/components/xcap/xcap-path.h: Fixed small bugs here and
	there, added basic auth support to XCAP::Core, (bad) URI escaping to
	XCAP::Path, made the default cluster point to an existing document
	on the net.

2008-10-16  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/call-history/history-main.cpp:
	* lib/engine/addressbook/evolution/evolution-main.cpp:
	* lib/engine/addressbook/kab/kab-main.cpp:
	* lib/engine/addressbook/ldap/ldap-main.cpp:
	* lib/engine/addressbook/skel/contact-core.cpp:
	* lib/engine/addressbook/skel/contact-core.h:
	* lib/engine/addressbook/skel/source.h:
	* lib/engine/presence/local-roster/local-roster-bridge.cpp:
	* src/endpoints/opal-main.cpp: Made use of gmref_ptr for the contact
	decorators and to manage sources.

2008-10-16  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/avahi-publisher/avahi-publisher-main.cpp:
	* lib/engine/components/avahi-publisher/avahi-publisher.h:
	* lib/engine/components/resource-list/rl-entry-ref.h:
	* lib/engine/components/resource-list/rl-entry.h:
	* lib/engine/components/resource-list/rl-list.h:
	* lib/engine/components/xcap/xcap-path.h:
	* lib/engine/framework/services.h:
	* lib/engine/presence/avahi/avahi-cluster.cpp:
	* lib/engine/presence/skel/presence-core.cpp:
	* lib/engine/presence/skel/presence-core.h:
	* src/endpoints/opal-main.cpp: Made use of gmref_ptr in the presence
	core, and made inheritances from GmRefCounted virtual.

2008-10-16  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/resource-list/rl-cluster.cpp:
	* lib/engine/components/resource-list/rl-cluster.h:
	* lib/engine/components/resource-list/rl-entry-ref.cpp:
	* lib/engine/components/resource-list/rl-entry-ref.h:
	* lib/engine/components/resource-list/rl-entry.cpp:
	* lib/engine/components/resource-list/rl-entry.h:
	* lib/engine/components/resource-list/rl-heap.cpp:
	* lib/engine/components/resource-list/rl-heap.h:
	* lib/engine/components/resource-list/rl-list.cpp:
	* lib/engine/components/resource-list/rl-list.h: Better RL::Entry and
	RL::List, some include cleaning and api fix.

2008-10-15  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/kab/Makefile.am:
	* lib/engine/addressbook/kab/kab-main.cpp:
	* lib/engine/addressbook/kab/kab-source.h:
	* lib/engine/components/kde/Makefile.am:
	* lib/engine/components/kde/kde-main.cpp:
	* lib/engine/components/resource-list/resource-list-main.cpp:
	* lib/engine/components/resource-list/rl-cluster.cpp:
	* lib/engine/components/resource-list/rl-entry-ref.cpp:
	* lib/engine/components/resource-list/rl-entry.cpp:
	* lib/engine/components/resource-list/rl-heap.cpp:
	* lib/engine/components/xcap/xcap-main.cpp: I forgot those optional
	directories when transitioning to gmref_ptr to manage services.
	* lib/engine/framework/services.cpp: Made the freeing follow a certain
	order.

2008-10-15  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/Makefile.am:
	* lib/engine/account/skel/Makefile.am:
	* lib/engine/account/skel/bank-impl.h:
	* lib/engine/addressbook/call-history/Makefile.am:
	* lib/engine/addressbook/call-history/history-book.cpp:
	* lib/engine/addressbook/call-history/history-contact.cpp:
	* lib/engine/addressbook/call-history/history-contact.h:
	* lib/engine/addressbook/call-history/history-main.cpp:
	* lib/engine/addressbook/evolution/Makefile.am:
	* lib/engine/addressbook/evolution/evolution-contact.cpp:
	* lib/engine/addressbook/evolution/evolution-main.cpp:
	* lib/engine/addressbook/evolution/evolution-source.h:
	* lib/engine/addressbook/ldap/Makefile.am:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/addressbook/ldap/ldap-contact.cpp:
	* lib/engine/addressbook/ldap/ldap-main.cpp:
	* lib/engine/addressbook/skel/Makefile.am:
	* lib/engine/audioinput/null/Makefile.am:
	* lib/engine/audioinput/null/audioinput-main-null.cpp:
	* lib/engine/audioinput/null/audioinput-manager-null.cpp:
	* lib/engine/audioinput/null/audioinput-manager-null.h:
	* lib/engine/audioinput/ptlib/Makefile.am:
	* lib/engine/audioinput/ptlib/audioinput-main-ptlib.cpp:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.cpp:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.h:
	* lib/engine/audioinput/skel/Makefile.am:
	* lib/engine/audiooutput/null/Makefile.am:
	* lib/engine/audiooutput/null/audiooutput-main-null.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.h:
	* lib/engine/audiooutput/ptlib/Makefile.am:
	* lib/engine/audiooutput/ptlib/audiooutput-main-ptlib.cpp:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.h:
	* lib/engine/audiooutput/skel/Makefile.am:
	* lib/engine/chat/echo/Makefile.am:
	* lib/engine/chat/echo/echo-dialect.h:
	* lib/engine/chat/echo/echo-main.cpp:
	* lib/engine/chat/skel/Makefile.am:
	* lib/engine/components/avahi-publisher/Makefile.am:
	* lib/engine/components/avahi-publisher/avahi-publisher-main.cpp:
	* lib/engine/components/gmconf-personal-details/Makefile.am:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.cpp:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details.h:
	* lib/engine/components/gstreamer/Makefile.am:
	* lib/engine/components/gstreamer/gst-main.cpp:
	* lib/engine/engine.cpp:
	* lib/engine/framework/Makefile.am:
	* lib/engine/framework/menu-xml.cpp:
	* lib/engine/framework/personal-details.h:
	* lib/engine/framework/services.cpp:
	* lib/engine/framework/services.h:
	* lib/engine/gui/gtk-core/Makefile.am:
	* lib/engine/gui/gtk-core/gtk-core-main.cpp:
	* lib/engine/gui/gtk-frontend/Makefile.am:
	* lib/engine/gui/gtk-frontend/gtk-frontend.cpp:
	* lib/engine/hal/dbus/Makefile.am:
	* lib/engine/hal/dbus/hal-main-dbus.cpp:
	* lib/engine/hal/dbus/hal-manager-dbus.cpp:
	* lib/engine/hal/dbus/hal-manager-dbus.h:
	* lib/engine/hal/skel/Makefile.am:
	* lib/engine/presence/avahi/Makefile.am:
	* lib/engine/presence/avahi/avahi-cluster.cpp:
	* lib/engine/presence/avahi/avahi-cluster.h:
	* lib/engine/presence/avahi/avahi-main.cpp:
	* lib/engine/presence/local-roster/Makefile.am:
	* lib/engine/presence/local-roster/local-cluster.cpp:
	* lib/engine/presence/local-roster/local-cluster.h:
	* lib/engine/presence/local-roster/local-heap.cpp:
	* lib/engine/presence/local-roster/local-heap.h:
	* lib/engine/presence/local-roster/local-presentity.cpp:
	* lib/engine/presence/local-roster/local-presentity.h:
	* lib/engine/presence/local-roster/local-roster-bridge.cpp:
	* lib/engine/presence/local-roster/local-roster-main.cpp:
	* lib/engine/presence/skel/Makefile.am:
	* lib/engine/presence/skel/presence-core.cpp:
	* lib/engine/presence/skel/presence-core.h:
	* lib/engine/presence/skel/uri-presentity.cpp:
	* lib/engine/presence/skel/uri-presentity.h:
	* lib/engine/protocol/skel/Makefile.am:
	* lib/engine/videoinput/mlogo/Makefile.am:
	* lib/engine/videoinput/mlogo/videoinput-main-mlogo.cpp:
	* lib/engine/videoinput/mlogo/videoinput-manager-mlogo.cpp:
	* lib/engine/videoinput/mlogo/videoinput-manager-mlogo.h:
	* lib/engine/videoinput/ptlib/Makefile.am:
	* lib/engine/videoinput/ptlib/videoinput-main-ptlib.cpp:
	* lib/engine/videoinput/ptlib/videoinput-manager-ptlib.cpp:
	* lib/engine/videoinput/ptlib/videoinput-manager-ptlib.h:
	* lib/engine/videoinput/skel/Makefile.am:
	* lib/engine/videooutput/Makefile.am:
	* lib/engine/videooutput/common/videooutput-manager-common.cpp:
	* lib/engine/videooutput/common/videooutput-manager-common.h:
	* lib/engine/videooutput/dx/Makefile.am:
	* lib/engine/videooutput/dx/videooutput-main-dx.cpp:
	* lib/engine/videooutput/dx/videooutput-manager-dx.cpp:
	* lib/engine/videooutput/skel/Makefile.am:
	* lib/engine/videooutput/x/Makefile.am:
	* lib/engine/videooutput/x/videooutput-main-x.cpp:
	* lib/engine/videooutput/x/videooutput-manager-x.cpp:
	* src/components/dbus.cpp:
	* src/devices/audiodev.cpp:
	* src/devices/audiodev.h:
	* src/devices/videoinput.cpp:
	* src/devices/videoinput.h:
	* src/devices/videooutput.cpp:
	* src/devices/videooutput.h:
	* src/endpoints/h323-endpoint.cpp:
	* src/endpoints/h323-endpoint.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/opal-account.cpp:
	* src/endpoints/opal-call.cpp:
	* src/endpoints/opal-call.h:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/pcss.cpp:
	* src/endpoints/pcss.h:
	* src/endpoints/sip-chat-simple.cpp:
	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/sip-endpoint.h:
	* src/gui/accounts.cpp:
	* src/gui/assistant.cpp:
	* src/gui/main.cpp:
	* src/gui/preferences.cpp:
	* src/gui/statusicon.cpp: 	* lib/engine/Makefile.am:
	* lib/engine/account/skel/Makefile.am:
	* lib/engine/account/skel/bank-impl.h:
	* lib/engine/addressbook/call-history/Makefile.am:
	* lib/engine/addressbook/call-history/history-book.cpp:
	* lib/engine/addressbook/call-history/history-contact.cpp:
	* lib/engine/addressbook/call-history/history-contact.h:
	* lib/engine/addressbook/call-history/history-main.cpp:
	* lib/engine/addressbook/evolution/Makefile.am:
	* lib/engine/addressbook/evolution/evolution-contact.cpp:
	* lib/engine/addressbook/evolution/evolution-main.cpp:
	* lib/engine/addressbook/evolution/evolution-source.h:
	* lib/engine/addressbook/ldap/Makefile.am:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/addressbook/ldap/ldap-contact.cpp:
	* lib/engine/addressbook/ldap/ldap-main.cpp:
	* lib/engine/addressbook/skel/Makefile.am:
	* lib/engine/audioinput/null/Makefile.am:
	* lib/engine/audioinput/null/audioinput-main-null.cpp:
	* lib/engine/audioinput/null/audioinput-manager-null.cpp:
	* lib/engine/audioinput/null/audioinput-manager-null.h:
	* lib/engine/audioinput/ptlib/Makefile.am:
	* lib/engine/audioinput/ptlib/audioinput-main-ptlib.cpp:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.cpp:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.h:
	* lib/engine/audioinput/skel/Makefile.am:
	* lib/engine/audiooutput/null/Makefile.am:
	* lib/engine/audiooutput/null/audiooutput-main-null.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.h:
	* lib/engine/audiooutput/ptlib/Makefile.am:
	* lib/engine/audiooutput/ptlib/audiooutput-main-ptlib.cpp:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.h:
	* lib/engine/audiooutput/skel/Makefile.am:
	* lib/engine/chat/echo/Makefile.am:
	* lib/engine/chat/echo/echo-dialect.h:
	* lib/engine/chat/echo/echo-main.cpp:
	* lib/engine/chat/skel/Makefile.am:
	* lib/engine/components/avahi-publisher/Makefile.am:
	* lib/engine/components/avahi-publisher/avahi-publisher-main.cpp:
	* lib/engine/components/gmconf-personal-details/Makefile.am:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.cpp:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details.h:
	* lib/engine/components/gstreamer/Makefile.am:
	* lib/engine/components/gstreamer/gst-main.cpp:
	* lib/engine/engine.cpp:
	* lib/engine/framework/Makefile.am:
	* lib/engine/framework/menu-xml.cpp:
	* lib/engine/framework/personal-details.h:
	* lib/engine/framework/services.cpp:
	* lib/engine/framework/services.h:
	* lib/engine/gui/gtk-core/Makefile.am:
	* lib/engine/gui/gtk-core/gtk-core-main.cpp:
	* lib/engine/gui/gtk-frontend/Makefile.am:
	* lib/engine/gui/gtk-frontend/gtk-frontend.cpp:
	* lib/engine/hal/dbus/Makefile.am:
	* lib/engine/hal/dbus/hal-main-dbus.cpp:
	* lib/engine/hal/dbus/hal-manager-dbus.cpp:
	* lib/engine/hal/dbus/hal-manager-dbus.h:
	* lib/engine/hal/skel/Makefile.am:
	* lib/engine/presence/avahi/Makefile.am:
	* lib/engine/presence/avahi/avahi-cluster.cpp:
	* lib/engine/presence/avahi/avahi-cluster.h:
	* lib/engine/presence/avahi/avahi-main.cpp:
	* lib/engine/presence/local-roster/Makefile.am:
	* lib/engine/presence/local-roster/local-cluster.cpp:
	* lib/engine/presence/local-roster/local-cluster.h:
	* lib/engine/presence/local-roster/local-heap.cpp:
	* lib/engine/presence/local-roster/local-heap.h:
	* lib/engine/presence/local-roster/local-presentity.cpp:
	* lib/engine/presence/local-roster/local-presentity.h:
	* lib/engine/presence/local-roster/local-roster-bridge.cpp:
	* lib/engine/presence/local-roster/local-roster-main.cpp:
	* lib/engine/presence/skel/Makefile.am:
	* lib/engine/presence/skel/presence-core.cpp:
	* lib/engine/presence/skel/presence-core.h:
	* lib/engine/presence/skel/uri-presentity.cpp:
	* lib/engine/presence/skel/uri-presentity.h:
	* lib/engine/protocol/skel/Makefile.am:
	* lib/engine/videoinput/mlogo/Makefile.am:
	* lib/engine/videoinput/mlogo/videoinput-main-mlogo.cpp:
	* lib/engine/videoinput/mlogo/videoinput-manager-mlogo.cpp:
	* lib/engine/videoinput/mlogo/videoinput-manager-mlogo.h:
	* lib/engine/videoinput/ptlib/Makefile.am:
	* lib/engine/videoinput/ptlib/videoinput-main-ptlib.cpp:
	* lib/engine/videoinput/ptlib/videoinput-manager-ptlib.cpp:
	* lib/engine/videoinput/ptlib/videoinput-manager-ptlib.h:
	* lib/engine/videoinput/skel/Makefile.am:
	* lib/engine/videooutput/Makefile.am:
	* lib/engine/videooutput/common/videooutput-manager-common.cpp:
	* lib/engine/videooutput/common/videooutput-manager-common.h:
	* lib/engine/videooutput/dx/Makefile.am:
	* lib/engine/videooutput/dx/videooutput-main-dx.cpp:
	* lib/engine/videooutput/dx/videooutput-manager-dx.cpp:
	* lib/engine/videooutput/skel/Makefile.am:
	* lib/engine/videooutput/x/Makefile.am:
	* lib/engine/videooutput/x/videooutput-main-x.cpp:
	* lib/engine/videooutput/x/videooutput-manager-x.cpp:
	* src/components/dbus.cpp:
	* src/devices/audiodev.cpp:
	* src/devices/audiodev.h:
	* src/devices/videoinput.cpp:
	* src/devices/videoinput.h:
	* src/devices/videooutput.cpp:
	* src/devices/videooutput.h:
	* src/endpoints/h323-endpoint.cpp:
	* src/endpoints/h323-endpoint.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/opal-account.cpp:
	* src/endpoints/opal-call.cpp:
	* src/endpoints/opal-call.h:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/pcss.cpp:
	* src/endpoints/pcss.h:
	* src/endpoints/sip-chat-simple.cpp:
	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/sip-endpoint.h:
	* src/gui/accounts.cpp:
	* src/gui/assistant.cpp:
	* src/gui/main.cpp:
	* src/gui/preferences.cpp:
	* src/gui/statusicon.cpp: Use gmref_ptr to store services.

2008-10-15  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/resource-list/Makefile.am:
	* lib/engine/components/resource-list/rl-cluster.cpp:
	* lib/engine/components/resource-list/rl-cluster.h:
	* lib/engine/components/resource-list/rl-entry-ref.cpp:
	* lib/engine/components/resource-list/rl-entry-ref.h:
	* lib/engine/components/resource-list/rl-entry.cpp:
	* lib/engine/components/resource-list/rl-entry.h:
	* lib/engine/components/resource-list/rl-heap.cpp:
	* lib/engine/components/resource-list/rl-heap.h:
	* lib/engine/components/resource-list/rl-list.cpp:
	* lib/engine/components/resource-list/rl-list.h:
	* lib/engine/components/resource-list/rl-presentity.cpp:
	* lib/engine/components/resource-list/rl-presentity.h:
	* lib/engine/components/xcap/Makefile.am:
	* lib/engine/components/xcap/xcap-core.cpp:
	* lib/engine/components/xcap/xcap-core.h:
	* lib/engine/components/xcap/xcap-main.cpp:
	* lib/engine/components/xcap/xcap-path.cpp:
	* lib/engine/components/xcap/xcap-path.h:
	* lib/engine/components/xcap/xcap.cpp:
	* lib/engine/components/xcap/xcap.h:
	* src/gui/main.cpp: Reworked the XCAP code and the resource-lists code,
	but it just compiles : no working XCAP server to test it against yet.

2008-10-12  Damien Sandras  <dsandras@gnome.org>

        * lib/engine/account/skel/account-core.cpp:
        * lib/engine/account/skel/account-core.h:
        Do not use a reference. It is preferable to copy the string.

2008-10-12  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/sip-endpoint.cpp:
        Fixed compilation with latest OPAL TRUNK.

2008-10-12  Damien Sandras  <dsandras@gnome.org>

        * src/gui/main.cpp:
        Fixed previous commit.

2008-10-12  Damien Sandras  <dsandras@gnome.org>

        * src/endpoints/manager.cpp:
        Remove redundant PTRACE.

2008-10-12  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-codec-description.cpp:
	Ignore OPAL codecs with empty format names. Prevents
	SetMediaFormatOrder loop.

2008-10-12  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	* lib/engine/videooutput/x/videooutput-manager-x.cpp:
	* lib/engine/videooutput/dx/videooutput-manager-dx.cpp:
	* lib/engine/videooutput/skel/videooutput-core.h:
	* lib/engine/videooutput/skel/videooutput-manager.h:
	* lib/engine/videooutput/skel/videooutput-info.h:
	* lib/engine/videooutput/skel/videooutput-core.cpp:
	Add signal when unable to open any video output.
	Do not crash on windows in that case.

2008-10-12  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	Fix playing of audio files with samplerate != 8000Hz on windows (#555832).

2008-10-12  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/call-history/history-contact.cpp:
	* lib/engine/components/resource-list/rl-heap.cpp:
	* lib/engine/framework/menu-xml.cpp:
	* lib/engine/presence/local-roster/local-presentity.cpp: Fixed leaks
	in XML-handling code (bug #555671).

2008-10-12  Julien Puydt  <jpuydt@gnome.org>

	* help/C/ekiga.xml: Fixed bug #555984, thanks Howard Chu.

2008-10-12  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-core/form-dialog-gtk.cpp: Fixed bug #555637.

2008-10-12  Julien Puydt  <jpuydt@gnome.org>

	* src/components/org.ekiga.Helper.service.in: Fixed bug #555974, thanks
	to Mounir Lamouri.

2008-10-12  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/ldap/ldap-book.cpp: Really fixed bug #555945,
	with help from Howard Chu.

2008-10-12  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/ldap/ldap-source.cpp: Fixed bug #555948, thanks
	Howard Chu.

2008-10-11  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/ldap/ldap-book.cpp: Fixed bug #555945, with
	help from Howard Chu.

2008-10-11  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/ldap/ldap-book.cpp: Fixed bug #555939.

2008-10-11  Julien Puydt  <jpuydt@gnome.org>

	* configure.ac: Fixed bug #555938.

2008-10-11  Steve Frécinaux  <code@istique.net>

	* lib/win32/*: Drop the gconf simulation functions since it is not
	used anymore for at least 3 years (replaced by the gmconf machinery).

2008-10-10  Julien Puydt  <jpuydt@gnome.org>

	* AUTHORS:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/addressbook/ldap/ldap-contact.cpp:
	* lib/engine/addressbook/ldap/ldap-contact.h:
	* lib/engine/addressbook/ldap/ldap-main.cpp:
	* lib/engine/addressbook/ldap/ldap-source.cpp:
	* lib/engine/addressbook/ldap/ldap-source.h:
	* src/gui/callbacks.cpp: Applied a series of patches from Howard Chu for
	a better LDAP authentication support.

2008-10-10  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/form-dumper.h:
	* lib/engine/framework/form-dumper.cpp: Applied patch from Howard Chu,
	to sync the form dumper with Ekiga::FormVisitor, fixing #555772.

2008-10-09  Julien Puydt  <jpuydt@gnome.org>

	* configure.ac:
	* lib/Makefile.am:
	* src/Makefile.am:
	* src/gui/main.cpp:
	* lib/gmref/Makefile.am:
	* lib/gmref/gmref.h:
	* lib/gmref/gmref.cpp: New memory management code.

2008-10-09  Steve Frécinaux  <code@istique.net>

	* src/gui/main.cpp: Change the sizing code to make it possible to
	have a bigger main window.

2008-10-08  Steve Frécinaux  <code@istique.net>

	* src/gui/main.cpp: Do not use the glib private struct stuff and
	revert to using 'new' to allocate the private data structure since
	the glib way is too much of a hassle with C++ constructs.

2008-10-08  Steve Frécinaux  <code@istique.net>

	* src/gui/main.cpp:
	Fix crash with registered accounts.

2008-10-08  Damien Sandras  <dsandras@gnome.org>

	* src/gui/assistant.cpp:
	Fixed report #555075.

2008-10-08  Steve Frécinaux  <code@istique.net>

	* src/gui/dialpad.cpp:
	Remove pre-2.10 #define since we depend on Gtk+ 2.12

2008-10-08  Steve Frécinaux  <code@istique.net>

	* src/gui/conf.cpp:
	* src/gui/main.cpp:
	* src/gui/main.h:
	Reimplementation of the main window as a GObject

	Everything has been rewritten using the EkigaMainWindow object as a
	base and store.
	Note that we still use gm_main_window_new as a "proxy" for a few things
	that are not directly bound to the window, but it should go.

2008-10-08  Steve Frécinaux  <code@istique.net>

	* src/gui/main.h:
	* src/gui/main.cpp:
	Add a new EkigaMainWindow GObject.

2008-10-08  Steve Frécinaux  <code@istique.net>

	* src/gui/statusicon.cpp: Use GTK stock icon for about icon instead of
	libgnome's

2008-10-07  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/presence/avahi/avahi-heap.cpp:
	Fixed report #554819.

2008-10-07  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/call-history/history-contact.cpp:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/components/resource-list/rl-heap.cpp:
	* lib/engine/presence/local-roster/local-presentity.cpp:
	* lib/engine/framework/robust-xml.h:
	* lib/engine/framework/robust-xml.cpp: Fixed bug #555226.

2008-10-07  Jan Schampera <jan.schampera@unix.net>

	* src/gui/main.cpp:
	Update calling states also on incoming call.

2008-10-06  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gstreamer/gst-videoinput.h:
	* lib/engine/components/gstreamer/gst-videoinput.cpp: Added two crazy
	devices to the GStreamer video input.

2008-10-06  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gstreamer/gst-audiooutput.cpp:
	* lib/engine/components/gstreamer/gst-audioinput.cpp:
	Mostly fixed bug #554168 -- the code is commented in the audio input
	code, since it depends on a missing GStreamer feature.

2008-10-06  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gstreamer/gst-videoinput.h:
	* lib/engine/components/gstreamer/gst-videoinput.cpp:
	* lib/engine/components/gstreamer/gst-audiooutput.h:
	* lib/engine/components/gstreamer/gst-audiooutput.cpp:
	* lib/engine/components/gstreamer/gst-audioinput.h:
	* lib/engine/components/gstreamer/gst-audioinput.cpp: Fixed bug #554170.

2008-10-05  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/audioinput/skep/audioinput-core/audioinput-core.h:
	Fixed device name.

2008-10-06  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/ldap/ldap-book.cpp: Applied patch from Howard
	Chu, fixing bug #555191.

2008-10-04  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Fix overlapping issue of font/smiley buttons (#554529)

2008-10-04  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/audioinput/null/audioinput-manager-null.cpp:
	Fixed device name.

2008-10-02  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/avahi/avahi-cluster.cpp:
	* lib/engine/presence/local-roster/local-cluster.cpp:
	* lib/engine/presence/skel/presence-core.cpp: Implemented a few
	populate_menu methods -- fixing #554693.

2008-10-02  Julien Puydt  <jpuydt@gnome.org>

	* configure.ac:
	* lib/engine/Makefile.am:
	* lib/engine/components/Makefile.am:
	* lib/engine/engine.cpp:
	* lib/engine/components/resource-list/resource-list-main.h:
	* lib/engine/components/resource-list/resource-list-main.cpp:
	* lib/engine/components/resource-list/rl-cluster.h:
	* lib/engine/components/resource-list/rl-cluster.cpp:
	* lib/engine/components/resource-list/rl-heap.h:
	* lib/engine/components/resource-list/rl-heap.cpp:
	* lib/engine/components/resource-list/rl-presentity.h:
	* lib/engine/components/resource-list/rl-presentity.cpp: New
	resource-list code, read-only, http-only, no entry-ref nor external.

2008-10-01  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Default SIP presence is offline, not online.

2008-10-01  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/gui/xvwindow.h:
	* lib/gui/xvwindow.cpp:
	Fix flickering issues on XV due to the X Server's strange
	bookkeeping of used ports.

2008-09-30  Julien Puydt  <jpuydt@gnome.org>

	* configure.ac:
	* lib/engine/Makefile.am:
	* lib/engine/components/Makefile.am:
	* lib/engine/engine.cpp:
	* lib/engine/components/xcap/Makefile.am:
	* lib/engine/components/xcap/xcap.h:
	* lib/engine/components/xcap/xcap.cpp:
	* lib/engine/components/xcap/xcap-main.h:
	* lib/engine/components/xcap/xcap-main.cpp: New XCAP code, based on
	libsoup.

2008-09-29  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gstreamer/gst-videoinput.cpp: Fixed framerate
	code.

2008-09-29  Damien Sandras  <dsandras@gnome.org>

	* configure.ac: 
	Made libnotify optional (Fixes #553566).

2008-09-29  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/opal-codec-description.cpp:
	* configure.ac:
	Fixed OPAL API breakage and raised requirements accordingly.

2008-09-28  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/videoinput/skel/videoinput-core.h:
	* lib/engine/videoinput/skel/videoinput-core.cpp:
	Keep the preview thread for the lifetime of Ekiga.
	Windows does not like rapid deletion and recreation of threads.

2008-09-28  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/videooutput/dx/videooutput-manager-dx.cpp:
	Fix flickering of PIP on windows.

2008-09-28 Julien Puydt  <jpuydt@gnome.org>

	* configure.ac:
	* po/POTFILES.in:
	* lib/engine/components/gstreamer/Makefile.am:
	* lib/engine/components/gstreamer/gst-main.cpp:
	* lib/engine/components/gstreamer/gst-audiooutput.h:
	* lib/engine/components/gstreamer/gst-audiooutput.cpp: New gstreamer
	audio output code.

2008-09-28  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gstreamer/gst-videoinput.h:
	* lib/engine/components/gstreamer/gst-videoinput.cpp:
	* lib/engine/components/gstreamer/gst-audioinput.h:
	* lib/engine/components/gstreamer/gst-audioinput.cpp:
	* lib/engine/components/gstreamer/gst-main.cpp: Added some includes ;
	they look sane now.

2008-09-28  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/audioinput/skel/audioinput-core.h:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audioinput/skel/audioinput-manager.h:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	* lib/engine/audiooutput/skel/audiooutput-manager.h:
	* lib/engine/videoinput/skel/videoinput-core.h:
	* lib/engine/videoinput/skel/videoinput-manager.h:
	* lib/engine/videooutput/skel/videooutput-core.h:
	* lib/engine/videooutput/skel/videooutput-manager.h: Fixed circular
	includes, which allows removing strange forward declarations.

2008-09-26  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gstreamer/gst-videoinput.cpp:
	* lib/engine/components/gstreamer/gst-audioinput.cpp: Fixed some leaks.

2008-09-26  Julien Puydt  <jpuydt@gnome.org>

	* src/Makefile.am:
	* pixmaps/Makefile.am: Fixed the distcheck target.

2008-09-25  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/gui/xvwindow.cpp:
	Fix possible X timing issue.

2008-09-25  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/videoinput/skel/videoinput-core.cpp:
	Fix message box when device was unplugged in out-of-call state (#552262)

2008-09-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gstreamer/gst-videoinput.cpp: Fixed #553459.

2008-09-25  Julien Puydt  <jpuydt@gnome.org>

	* configure.ac:
	* lib/engine/components/gstreamer/Makefile.am: Fixed bug #553457.
	* lib/engine/components/gstreamer/gst-videoinput.cpp: Fixed typo.

2008-09-24  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gstreamer/gst-videoinput.cpp: Fixed bug #553451.

2008-09-23  Damien Sandras  <dsandras@gnome.org>

	* src/gui/callbacks.cpp:
	Added Vinicius in about box.

2008-09-23  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gstreamer/gst-videoinput.cpp: Fixed bug #553449.

2008-09-23  Jan Schampera <jan.schampera@unix.net>

	* src/gui/main.cpp, lib/gui/gmwindow.c, lib/gui/gmwindow.h,
	lib/engine/gui/gtk-frontend/addressbook-window.cpp,
	lib/engine/gui/gtk-frontend/chat-window.cpp:
	Fixed previous commit, fixed commit from rev 7018, fixed GmWindow

2008-09-23  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-window.cpp:
	Don't destroy window when closing by WM.

2008-09-23  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/addressbook-window.cpp:
	Don't destroy addressbook window when closing by WM.

2008-09-23  Jan Schampera <jan.schampera@unix.net>

	* src/endpoints/opal-account.cpp, src/endpoints/sip-endpoint.cpp,
	src/gui/main.cpp:
	String fixes, translator comments

2008-09-23  Jan Schampera <jan.schampera@unix.net>

	* src/gui/main.cpp, src/gui/assistant.cpp,
	lib/engine/addressbook/call-history/history-book.cpp,
	lib/engine/addressbook/ldap/ldap-book.cpp:
	Fix #551885 (string typo), general string
	fixes, accel fixes

2008-09-23  Julien Puydt  <jpuydt@gnome.org>

	* po/POTFILES.in:
	* lib/engine/components/gstreamer/Makefile.am:
	* lib/engine/components/gstreamer/gst-main.cpp:
	* lib/engine/components/gstreamer/gst-audioinput.h:
	* lib/engine/components/gstreamer/gst-audioinput.cpp: New gstreamer
	audio input manager.

2008-09-22  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/call-history/history-book.cpp:
	* lib/engine/addressbook/call-history/history-book.h:
	* lib/engine/addressbook/evolution/evolution-book.cpp:
	* lib/engine/addressbook/evolution/evolution-book.h:
	* lib/engine/addressbook/kab/kab-book.h:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/addressbook/skel/book.h:
	* lib/engine/gui/gtk-frontend/addressbook-window.cpp:
	* lib/gui/gmstockicons.c:
	* lib/gui/gmstockicons.h: Fixed #553143.

2008-09-22  Julien Puydt  <jpuydt@gnome.org>

	* configure.ac:
	* lib/engine/Makefile.am:
	* lib/engine/addressbook/Makefile.am:
	* lib/engine/addressbook/kab/Makefile.am:
	* lib/engine/addressbook/kab/kab-book.cpp:
	* lib/engine/addressbook/kab/kab-book.h:
	* lib/engine/addressbook/kab/kab-contact.cpp:
	* lib/engine/addressbook/kab/kab-contact.h:
	* lib/engine/addressbook/kab/kab-main.cpp:
	* lib/engine/addressbook/kab/kab-source.cpp:
	* lib/engine/addressbook/kab/kab-source.h:
	* lib/engine/components/Makefile.am:
	* lib/engine/components/kde/Makefile.am:
	* lib/engine/components/kde/kde-main.h:
	* lib/engine/components/kde/kde-main.cpp:
	* lib/engine/engine.cpp: Fixed bug #552909 -- that was hard!

2008-09-18  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/avahi/avahi-heap.h:
	* lib/engine/presence/avahi/avahi-heap.cpp: Made it possible to have
	several browsers in the avahi browsing code, paving the way to a proper
	fix for bug #530617.

2008-09-18  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/local-roster/local-heap.cpp: Fixed bug #548276.

2008-09-16  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/skel/presentity.h:
	* lib/engine/presence/skel/proxy-presentity.h:
	* lib/engine/presence/skel/proxy-presentity.cpp:
	* src/endpoints/sip-chat-simple.h:
	* src/endpoints/sip-chat-simple.cpp: Got rid of the get_uri method in
	the base Ekiga::Presentity class, fixing bug #552547.

tag EKIGA_3_0_0

2008-09-22  Damien Sandras  <dsandras@gnome.org>

	* configure.ac:
	New 3.0.0 release.

2008-09-22  Damien Sandras  <dsandras@gnome.org>

	* Makefile.am:
	Fixed make dist.

2008-09-22  Damien Sandras  <dsandras@gnome.org>

	* help/C/figures/call_d1.png:
	* help/fr/figures/call_d1.png:
	New screenshots. Jonita is now nearly 3 years older.

2008-09-20  Jan Schampera <jan.schampera@unix.net>

	* src/gui/main.cpp:
	see last commit - do the same with the LHS (roster, dialpad, ...)

2008-09-20  Jan Schampera <jan.schampera@unix.net>

	* src/gui/main.cpp:
	Do not allow the call panel section (RHS of main window, video part)
	to be user shrinkable under the requisition of the video frame.

2008-09-19  Jan Schampera <jan.schampera@unix.net>

	* src/gui/main.cpp, src/endpoints/ekiga.cpp:
	Make hidden main window appear if status icon is lost under runtime.

2008-09-19  Julien Puydt  <jpuydt@gnome.org>

	* src/endpoints/sip-endpoint.cpp: Applied a chunk of a patch from
	Elaine Xiong to fix part of bug #552765.

2008-09-19  Julien Puydt  <jpuydt@gnome.org>

	* src/endpoints/h323-endpoint.cpp: Applied patch from Elaine Xiong,
	fixing part of bug #552765.

2008-09-19  Julien Puydt  <jpuydt@gnome.org>

	* lib/gui/gm-text-buffer-enhancer-helper-iface.c: Removed an unneeded
	'return', thanks Elaine Xiong for the heads up -- part of bug #552765.

2008-09-19  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-core/menu-builder-gtk.h: Added missing 'const',
	thanks Elaine Xiong for the heads up -- part of bug #552765.

2008-09-18  Jan Schampera <jan.schampera@unix.net>

	* src/gui/main.cpp:
	Fixed double-setting of the main window title.

	* lib/gui/gmwindow.c:
	Changed internal signal handlers to to propagate the delete-event
	further (should fix #552802, closing without tray icon)

2008-09-18  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Make sure the status bar is reset when a call ends.

2008-09-16  Damien Sandras  <dsandras@gnome.org>

	* configure.ac:
	New version bump.

2008-09-15  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/services.h: Added an Ekiga::BasicService class,
	which fixes #550277.

2008-09-15  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/evolution/evolution-book.cpp: Removed the
	"Refresh" action, which makes little sense. Fixes #551812.

2008-09-15  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Fixed #551195.

2008-09-14  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/videooutput/x/videooutput-manager-x.cpp:
	Another shot at the BadWindow problem.

2008-09-14  Matthias Schneider  <ma30002000@yahoo.de>

	* src/endpoints/manager.h:
	* win32/nsisinstaller/ekiga.nsi:
	* win32/Makefile:
	* win32/README.win32:
	* configure.ac:
	Many fixes for the build environment, including the win32 build.

2008-09-14  Matthias Schneider  <ma30002000@yahoo.de>

	* configure.ac:
	* lib/gui/codecsbox.h:
	* lib/gui/codecsbox.cpp:
	* lib/engine/protocol/skel/call.h:
	Allow linkage to debug versions of ptlib and opal
	via --enable-debug. Fix headers of codecsbox.

2008-09-15  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fixed warning.

2008-09-15  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fixed previous commit.

2008-09-15  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Fixed #552322.

2008-09-15  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-core/form-dialog-gtk.cpp: Fixed #552399.

2008-09-15  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fixed #540180.

2008-09-15  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/h323-endpoint.cpp:
	Fixed #549233.

2008-09-15  Damien Sandras  <dsandras@gnome.org>

	* configure.ac:
	Fixed build with missing XV packages. Configure should fail except if
	--disable-xv has been given as argument of the script, fixes #552285.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Better UI.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* help/fr/figures:
	Updated screenshots.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* ekiga.schemas.in.in:
	Removed deprecated keys.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* help/C/ekiga.xml:
	Added paragraph separator, fixes #552258.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* help/C/figures/stats.png:
	* help/C/figures/accounts_d1.png:
	Updated screenshots, removed outdated screenshot.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Move the important part of the error when opening a device at the
	beginning of the error message, fixes #511128.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	When using the dialpad to enter an URL, insert the digit at the cursor
	position and not at the end of the URL, fixes #471805.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* ekiga.schemas.in.in:
	Fixed schemas #551809.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fixed #552242.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* ekiga.schemas.in.in: 
	No default value for the video input device. It is impossible to match
	what the user will have anyway.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* src/gui/assistant.cpp:
	MainWindow is now a GmWindow.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* lib/gui/gmpreferences.c:
	Fixed #552241. When a device is unplugged, it is marked as insensitive
	if it was the active device, or completely removed. When a device is
	added, we check it was not already in the list. When we start Ekiga
	and the device in the prefs is not present, we display it as
	insensitive.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* lib/gui/gmconfwidgets.c:
	Do no try setting invalid options as default.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/videoinput/ptlib/videoinput-manager-ptlib.cpp:
	Removed V4L1 detection as we do not ship it by default anymore.

2008-09-14  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	* lib/gui/xwindow.cpp:
	Possibly solve the BadWindow issue.

2008-09-14  Matthias Schneider  <ma30002000@yahoo.de>

	* src/Makefile.am:
	Add support for tarball builds that dont have
	the .svn dirs. Allow packagers to specify a revision.h.

2008-09-14  Matthias Schneider  <ma30002000@yahoo.de>

	* configure.ac:
	Add forward compatibility for opal autoconf branch.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fix resizing issues - #551923.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusicon.cpp:
	* src/gui/callbacks.cpp:
	The Main window is now a GmWindow, use the correct API.

2008-09-14  Damien Sandras  <dsandras@gnome.org>

	* lib/gui/gmwindow.c:
	* lib/gui/gmwindow.h:
	Added API method to get the size of the GMWindow. It returns the size
	the window should have, following the config, not the real size of the
	window.

2008-09-13  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	* src/Makefile.am:
	Embed the svn revision in the build.
	Display it via PTRACE.

2008-09-13  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	Check for new interfaces more often.

2008-09-13  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusmenu.cpp:
	When we clear the current custom status, switch back to online.
	Otherwise, make sure the current custom status stays active.

2008-09-13  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusmenu.cpp:
	Don't show the clear menu entry if there is nothing to clear
	- #551924. When all custom messages have been cleared, automatically 
	close the dialog. 

2008-09-13  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Made the formatting of chat text/usernames a bit better.

2008-09-13  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Made the formatting of chat text/usernames a bit better.

2008-09-11  Matthias Schneider  <ma30002000@yahoo.de>

	* src/devices/videooutput.cpp:
	* src/gui/main.cpp:
	Fix reference counting in video output device
	(when coming out of a re-invited call whith 
	preview enabled it did not show the preview
	video anymore). Also fix the quality meter
	which was updated twice with different values.

2008-09-11  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/gui/xwindow.cpp:
	One more useful trace.

2008-09-11  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	* lib/gui/xwindow.cpp:
	* lib/gui/xwindow.h:
	* lib/gui/xvwindow.cpp:
	Fix a rare crash when using SHM over a remote X connection.
	X explicitly tells us we can use SHM (which IS supported
	by the X server) but does not tell us attach will crash since
	client and server do not even have shared memory since they are 
	different systems. Thus me must catch the X error on XShmAttach
	to see if we can use it or not.

2008-09-13  Jan Schampera <jan.schampera@unix.net>

	* src/gui/accounts.cpp:
	Added a comment to help translators a bit.

2008-09-11  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	Do not enable "suspend video" when only in preview mode.
	Fix problem of GC not yet synchnroized with X server
	when using it.

2008-09-12  Julien Puydt  <jpuydt@gnome.org>

	* configure.ac: Applied patch from Jared D. McNeill to support NetBSD.

2008-09-11  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/sip-endpoint.h:
	Fixed breakage due to recent API change in OPAL.

2008-09-11  Jan Schampera <jan.schampera@unix.net>

	* src/gui/statusicon.cpp:
	Make hide/show a bit more intuitive.

2008-09-11  Julien Puydt  <jpuydt@gnome.org>

	* src/endpoints/manager.cpp: Fixed a small leak.
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.cpp:
	* lib/engine/components/avahi-publisher/avahi-publisher.cpp: Fixed small leaks, and bug #551196.

2008-09-11  Julien Puydt  <jpuydt@gnome.org>

	* src/gui/statusicon.cpp: Fixed #551853.

2008-09-11  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.h:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.cpp: Fixed bug #551713.

2008-09-11  Matthias Schneider  <ma30002000@yahoo.de>

	* src/devices/videoinput.cpp:
	* src/devices/videooutput.cpp:
	* src/devices/videoinput.h:
	* src/endpoints/manager.cpp:
	* lib/engine/videooutput/common/videooutput-manager-common.cpp:
	Finally fixed reinvite video completely. Reference counting
	is also needed in the stub video input device. 
	Improved STUN timers.

2008-09-11  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/videooutput/common/videooutput-manager-common.cpp:
	Fix preview window mixup with remote window due to last commit.

2008-09-11  Julien Puydt  <jpuydt@gnome.org>

	* src/endpoints/manager.cpp: Fixed #551837.

2008-09-11  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/videooutput/common/videooutput-manager-common.cpp:
	* lib/engine/videooutput/common/videooutput-manager-common.h:
	Fix ugly crash with video on reinvite
	(XV tried to create a window with 0x0)

2008-09-11  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/avahi-publisher/avahi-publisher.h:
	* lib/engine/components/avahi-publisher/avahi-publisher.cpp: Made it
	cope with name changes correctly, fixing #551661.

2008-09-11  Julien Puydt  <jpuydt@gnome.org>

	* ekiga.schemas.in.in: Actually edit the right file...

2008-09-11  Julien Puydt  <jpuydt@gnome.org>

	* ekiga.schemas.in: Added some keys which were missing.

2008-09-11  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.h:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.cpp: Made sure the notifiers are removed, to avoid crashes.

2008-09-10  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	Blacklisted L16 (#551724).

2008-09-10  Jan Schampera <jan.schampera@unix.net>

	* pixmaps/ekiga-logo.png:
	Removed copyright text text from the logo.

2008-09-10  Damien Sandras  <dsandras@gnome.org>

	* sounds/ring.wav, src/gui/main.cpp:
	Shorter sound. (bis repetita)

2008-09-10  Damien Sandras  <dsandras@gnome.org>

	* sounds/ring.wav, src/gui/main.cpp:
	Shorter sound.

2008-09-10  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	Fixed previous commit.

2008-09-10  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	Removed obsolete button. The key is updated when enter is pressed or
	when moving out of focus.

2008-09-10  Damien Sandras  <dsandras@gnome.org>

	* src/gui/accounts.cpp:
	More intuitive accounts window.

2008-09-10  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Notification is urgent. All incoming calls are urgent.

2008-09-10  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Display a nice icon in the notification.
	Added possibility to ignore an incoming call using the close button of
	the incoming call notification.

2008-09-10  Damien Sandras  <dsandras@gnome.org>

	* pixmaps/64x64/apps/ekiga.png:
	* pixmaps/128x128/apps/ekiga.png:
	* pixmaps/Makefile.am:
	Added more icons for Ekiga.

2008-09-10  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/skel/uri-presentity.h:
	* lib/engine/presence/skel/uri-presentity.cpp: Added the possibility
	to set groups.
	* lib/engine/presence/avahi/avahi-heap.cpp:
	* src/endpoints/sip-chat-simple.cpp: Made them use the new feature.

2008-09-10  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/avahi/avahi-presentity.h:
	* lib/engine/presence/avahi/avahi-presentity.cpp: Removed.
	* lib/engine/presence/avahi/Makefile.am: Don't compile the removed.
	* lib/engine/presence/avahi/avahi-heap.h:
	* lib/engine/presence/avahi/avahi-heap.cpp: Use Ekiga::URIPresentity,
	and be an Ekiga::PresenceFetcher, fixing #551411.
	* lib/engine/presence/avahi/avahi-cluster.h:
	* lib/engine/presence/avahi/avahi-cluster.cpp:
	* lib/engine/presence/avahi/avahi-main.cpp: Push Ekiga::ServiceCore
	instead of Ekiga::PresenceCore to the cluster, heap and presentities.

2008-09-10  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/avahi/avahi-heap.cpp:
	* lib/engine/components/avahi-publisher/avahi-publisher.cpp: Made the
	avahi code compatible with 2.0 (except presence), and fixed #551608.

2008-09-10  Damien Sandras  <dsandras@gnome.org>

	* src/gui/accounts.cpp:
	Fixed #5551614 thanks to Elaine Xiong from SUN.

2008-09-10  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/avahi-publisher/avahi-publisher.cpp: Fixed
	#549749.

2008-09-10  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/skel/presence-core.cpp: Fixed #551533.

2008-09-09  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	* src/gui/main.h:
	* src/Makefile.am:
	* configure.ac:
	Added libnotify support for a nice notification of incoming calls in
	the tray. If somebody can fix things so that the icon is displayed,
	please do not hesitate doing it!

2008-09-09  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Fix typo.

2008-09-09  Jan Schampera <jan.schampera@unix.net>

	* configure.ac:
	Use a C99 capable compiler.

	* lib/gui/Makefile.am, lib/gui/gm-smiley-chooser-button.h,
	lib/gui/gm-smiley-chooser-button.c:
	Added a new button type to select a smiley from a set of smileys.

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Use the new button in the chat area.

2008-09-09  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	Fixed missing statistics update.

2008-09-09  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	* src/endpoints/opal-call.h:
	* lib/engine/protocol/skel/call.h:
	Fixed #453239. Forgotten files.

2008-09-09  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fixed #453239.

2008-09-09  Julien Puydt  <jpuydt@gnome.org>

	* src/endpoints/sip-endpoint.cpp: Partial fix for #551411.

2008-09-08  Damien Sandras  <dsandras@gnome.org>

	* configure.ac:
	Fixed #394050.

2008-09-08  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fixed #551392.

2008-09-08  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-main.cpp:
	* src/endpoints/manager.h:
	* lib/engine/engine.cpp:
	Fixed crash on exit when being in a call due to a memory leak. The
	OPAL component is now again a service to ensure autodeletion. 
	Fixes #551421.

2008-09-08  Jan Schampera <jan.schampera@unix.net>

	* src/gui/main.cpp:
	Do not touch the WM stay-on-top hint when we're not configured to do
	so. Fixes #438375 in some way.

2008-09-08  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/skel/presence-core.h:
	* lib/engine/presence/skel/presence-core.cpp: Fixed #550375.

2008-09-08  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/opal-gmconf-bridge.cpp:
	Resurrected stun_server gconf key. Make it empty to disable STUN.
	Otherwise, keep the automatic test.

2008-09-08  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	Fixed potential problems with outgoing calls being detected as
	incoming calls and vice-versa.

2008-09-08  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Fixed bug #501909.

2008-09-08  Damien Sandras  <dsandras@gnome.org>

	* pixmaps/24x24/stock_addressbook.png:
	* pixmaps/16x16/stock_addressbook.png:
	* pixmaps/Makefile.am:
	* lib/gui/gmstockicons.c:
	* lib/gui/gmstockicons.h:
	* lib/engine/gui/gtk-frontend/addressbook-window.cpp:
	Use theme icons instead of our internal icons for the address book
	icon.

2008-09-08  Damien Sandras  <dsandras@gnome.org>

	* sounds/voicemail.wav:
	* sounds/newmessage.wav:
	* sounds/ring.wav:
	Better quality sounds.

2008-09-08  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Longer timeouts when playing the ring to allow longer sounds.

2008-09-08  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-window.cpp,
	lib/engine/gui/gtk-frontend/chat-window.h:
	Introduce "unread-alert" signal, which is fired when a new
	message arrives which is not readable by the user.

	* src/gui/main.cpp:
	Use the above signal to generate a sound event.

2008-09-07  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Clear statusbar when a call ends.

2008-09-07  Damien Sandras  <dsandras@gnome.org>

	* sounds/ring.wav:
	New funny ring sound.

2008-09-07  Damien Sandras  <dsandras@gnome.org>

	* lib/gui/gmpreferences.cpp:
	Shorter string option menus.

2008-09-07  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	Disabled staticpicture as reported by Fabrice.

2008-09-07  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/sip-endpoint.h:
	* src/endpoints/manager.h:
	* src/gui/accounts.cpp:
	* src/gui/main.cpp:
	* src/gui/accounts.h:
	* lib/engine/account/skel/bank-impl.h:
	* lib/engine/account/skel/bank.h:
	* lib/engine/account/skel/account.h:
	* lib/engine/account/skel/account-core.cpp:
	* lib/engine/account/skel/account-core.h:
	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	* lib/engine/protocol/skel/call-manager.h:
	Moved the mwi_event where it should belong, ie to the AccountCore.
	Dropped bonobo.h include.
	Resurrected display of voicemail waiting indications with the
	associated sound event in the accounts window.
	Cleaned unuseful notifications from the statusbar, we have a tray icon
	for that.

2008-09-07  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/h323-endpoint.h:
	* src/endpoints/h323-endpoint.cpp:
	Added call transfer support.

2008-09-07  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Fixed call transfer.

2008-09-07  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	Finetuned the NAT detection.

2008-09-07  Julien Puydt  <jpuydt@gnome.org>

	* po/POTFILES.in: Added lib/presence/avahi/avahi-heap.cpp,
	fixing bug #551181.

2008-09-07  Julien Puydt  <jpuydt@gnome.org>

	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h: Fixed #551111.

2008-09-06  Damien Sandras  <dsandras@gnome.org>

	* pixmaps/call-transfer.png:
	* pixmaps/Makefile.am:
	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/sip-endpoint.h:
	* lib/gui/gmstockicons.c:
	* lib/gui/gmstockicons.h:
	* lib/engine/gui/gtk-core/gtk-core.cpp:
	Added icon for transfer action. Renamed forward methods into transfer
	methods, let's not confuse forwarding a call and transferring a call
	in the API.

2008-09-06  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fixed #545590.

2008-09-06  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Changed publish timeout.

2008-09-06  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/presence/local-roster/local-heap.cpp:
	Presentities added by default should have a correct uri.

2008-09-06  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Correct matching in the chat when receiving messages from someone on a
	non standard port.

2008-09-06  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Better handling when inserting font tags in the chat.

2008-09-06  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Use new way of registering to allow registering to non standard ports.

2008-09-06  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	Applied patch from Eugen Dedu to fix deprecated method (#538330).

2008-09-06  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Shorter subscribe expire timeout.

2008-09-06  Matthias Schneider  <ma30002000@yahoo.de>
	* win32/*:
	* configure.ac:
	Improvements for win32 compilation.

2008-09-06  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	New device title window was not marked for translation.
	Use a string already marked for translation instead.

2008-09-06  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/presence/avahi/avahi-heap.cpp:
	Choose a string that does not break the freeze.

2008-09-06  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Changed the tags handling to not depend on button label text.
	Still something TODO for tag insertion there.

2008-09-06  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Don't give empty chat messages to send to the backend (fixes #551018).

2008-09-05  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/presence/avahi/avahi-heap.cpp:
	Made heap description translatable (fixes #551019).

2008-09-05  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-core/form-dialog-gtk.cpp: Fixed #550959.

2008-09-05  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/simple-chat-page.h,
	lib/engine/gui/gtk-frontend/multiple-chat-page.h,
	lib/engine/gui/gtk-frontend/simple-chat-page.cpp,
	lib/engine/gui/gtk-frontend/multiple-chat-page.cpp,
	lib/engine/gui/gtk-frontend/chat-window.cpp,
	lib/engine/gui/gtk-frontend/chat-area.cpp:
	Finally fixes #549269 (chat message entry focus).

2008-09-04  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-bank.cpp:
	* src/endpoints/opal-account.cpp
	* src/gui/accounts.cpp:
	* lib/engine/account/skel/bank-impl.h:
	Fixed account registering/unregistering. Fixed unregistering of Opal
	accounts when being removed.

2008-09-04  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/addressbook/ldap/ldap-book.cpp:
	Fixed #570749 thanks to Hubert Figuière.

2008-09-04  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusmenu.cpp:
	* src/gui/callbacks.cpp:
	Fixed #550747 (untranslated strings) thanks to Fabrice Alphonso.

2008-09-04  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-main.cpp:
	* src/endpoints/opal-gmconf-bridge.cpp:
	* src/Makefile.am:
	* configure.ac:
	Allow compiling without H.323 support or without SIP support.

2008-09-04  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Report when a call fails because the URI is not supported.

2008-09-04  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/account/skel/bank-impl.h:
	Reverted previous change that triggers bug #550854.

2008-09-03  Damien Sandras  <dsandras@gnome.org>

	* ekiga.schemas.in.in:
	Fixed default value for folded groups in roster thanks to Eugen Dedu!

2008-09-03  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/account/skel/bank-impl.h:
	* lib/engine/account/skel/account-core.h:
	Unsubscribe account when removing.

2008-09-03  Damien Sandras  <dsandras@gnome.org>

	* src/gui/accounts.cpp:
	Removed annoying account reordering. When toggling an account, clear
	the previous status message.

2008-09-03  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/h323-endpoint.cpp:
	* lib/engine/account/skel/account-core.h:
	Prevent registering when not unregistered and prevent unregistering
	when not registered. More logical behavior in case of failure.

2008-09-03  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/protocol/skel/call-protocol-manager.h:
	* lib/engine/protocol/skel/call-manager.h:
	Added missing virtual keyword to destructor.

2008-09-03  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Removed shortcut for submenu.

2008-09-03  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Partial fix for #549269 (chat message entry focus).

2008-09-02  Jan Schampera <jan.schampera@unix.net>

	* lib/pixops/pixops.c, lib/pixops/timescale.c:
	Fixed some uncritical compiler warnings.


2008-09-02  Jan Schampera <jan.schampera@unix.net>

	* configure.ac, src/gui/main.cpp,
	lib/engine/gui/gtk-core/form-dialog-gtk.cpp:
	Remove some GTK+ version checks, bump required version to 2.12.0 for
	configure.

2008-09-02  Jan Schampera <jan.schampera@unix.net>

	* src/Makefile.am:
	Fixed use of too modern MKDIR_P macro - we do not require automake
	1.10 yet.

2008-09-02  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/services.h:
	* lib/engine/framework/services.cpp: Fixed #550273.

2008-09-02  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Fixed #550073.

2008-09-29  Damien Sandras  <dsandras@gnome.org>

	* pixmaps/Makefile.am:
	* lib/engine/framework/Makefile.am:
	* lib/engine/hal/dbus/Makefile.am:
	Make dist.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/videooutput/skel/Makefile.am:
	Fixed make dist. I hate make dist.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-window.h:
	Removed old include.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/framework/Makefile.am:
	Sigh, make dist.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* lib/platform/Makefile.am:
	Fixed make dist.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* pixmaps/Makefile.am:
	More make dist fixes. It is getting boring.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* pixmaps/Makefile.am:
	More make dist fixes.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* pixmaps/Makefile.am:
	More make dist fixes.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	Fixed string bug thanks to Eugen.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	* src/endpoints/pcss.cpp:
	* src/endpoints/opal-call.h:
	Moved the alerting notification (ringing) from pcss.cpp to the
	Opal::Call object. That removes the ugly hack and we can make use of
	emit_signal_in_main instead.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/framework/runtime.h:
	* src/endpoints/opal-call.cpp:
	Added emit_signal_in_main to fix thread-safety problem with signals in
	trackable objects thanks to Snark. Use the new method where needed.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Make sure the right completion mechanism is being used.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* lib/gui/codecsbox.cpp:
	Fixed key.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	Fixed url becoming blank in the main window when calling out.

2008-09-01  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/gui/gtk-core/form-dialog-gtk.cpp: Fixed #544756.

2008-09-01  Julien Puydt  <jpuydt@gnome.org>

	* src/Makefile.am:
	* pixmaps/Makefile.am: Fixed bug #414266.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* src/components/ekiga.server:
	* src/Makefile.am:
	* lib/engine/framework/Makefile.am:
	* lib/engine/hal/skel/Makefile.am:
	* Makefile.am:
	Fixed make dist.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* configure.ac: Incremented version number.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* src/gui/conf.cpp:
	* src/endpoints/opal-gmconf-bridge.cpp:
	* lib/gui/codecsbox.cpp:
	* ekiga.schemas.in.in:
	Updated keys for 3.00. Disabled less used codecs.

2008-09-01  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp, src/endpoints/opal-call.h:
	Make sure we execute the Opal callback for cleared calls only when
	the missed and cleared signals have been handled. Otherwise, the
	Ekiga::Call instance they are refering too could be corrupted.

2008-09-01  Jan Schampera <jan.schampera@unix.net>

	* src/components/dbus-helper.cpp:
	Removed deprecated GLib API calls.

2008-09-01  Jan Schampera <jan.schampera@unix.net>

	* src/gui/main.cpp, src/gui/callbacks.cpp, src/gui/statusicon.cpp:
	Code and include changes (heading for GTK 2.12)

2008-08-31  Damien Sandras  <dsandras@gnome.org>

	* src/gui/assistant.cpp:
	Fixed typo.

2008-08-31  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-bank.cpp:
	* src/endpoints/opal-account.cpp:
	Various string changes to match the assistant strings and the
	documentation.

2008-08-31  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	Various fixes and cleanups.

2008-08-31  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp: 
	* pixmaps/Makefile.am:
	* lib/gui/gmstockicons.c:
	* lib/gui/gmstockicons.h:
	* lib/engine/gui/gtk-frontend/addressbook-window.cpp:
	Address book is back with an icon.

2008-08-31  Damien Sandras  <dsandras@gnome.org>

	* src/gui/dialpad.cpp: Use homogeneous buttons.

2008-08-31  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp: Don't confuse forward and
	transfer.

2008-08-31  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/avahi/avahi-heap.cpp: Added "neighbour@" to the
	uri.

2008-08-31  Julien Puydt  <jpuydt@gnome.org>

	* lib/gui/Makefile.am:
	* lib/engine/presence/local-roster/Makefile.am: Made it cope with
	a builddir which is different from srcdir.

2008-08-31  Julien Puydt  <jpuydt@gnome.org>

	* src/gui/main.cpp: Added a menu for the actions on a contact
	in the main window.

2008-08-31  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/local-roster/local-heap.cpp: Fixed #550026.

2008-08-31  Damien Sandras  <dsandras@gnome.org>

	* src/gui/assistant.cpp:
	Fixed strings. (need to announce it)

2008-08-31  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/addressbook-window.cpp:
	Migrated away from gtk_menu_item_remove_submenu() (heading for GTK
	2.12)

2008-08-31  Jan Schampera <jan.schampera@unix.net>

	* lib/gui/codecsbox.cpp, lib/gui/gmpreferences.c, src/gui/main.cpp:
	Migrated away from GtkTooltips (heading for GTK 2.12)

2008-08-31  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-core/gtk-core.cpp:
	* lib/engine/gui/gtk-frontend/chat-window-page.cpp:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
	* lib/engine/presence/local-roster/local-presentity.cpp:
	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/sip-presentity.cpp: Fixed bug #550018.

2008-08-31  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/componentsvahi-publishervahi-publisher-main.cpp:
	* lib/engine/componentsvahi-publishervahi-publisher.cpp:
	* lib/engine/componentsvahi-publishervahi-publisher.h:
	* lib/engine/presencevahivahi-heap.cpp:
	* lib/engine/presencevahivahi-presentity.cpp: Rewrote the avahi
	publisher and make the avahi presence code cope with it. Still not
	perfect yet.

2008-08-30  Damien Sandras  <dsandras@gnome.org>
	
	* man/ekiga.1: Fixed copyright.

2008-08-30  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp: Maximum jitter buffer is back due to
	popular request.

2008-08-30  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/avahi-publisher/avahi-publisher-main.cpp:
	* lib/engine/components/avahi-publisher/avahi-publisher.cpp:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.cpp:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details.cpp:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details.h:
	* lib/engine/engine.cpp:
	* lib/engine/framework/Makefile.am:
	* lib/engine/framework/personal-details.cpp:
	* lib/engine/framework/personal-details.h:
	* lib/engine/presence/skel/presence-core.cpp:
	* lib/engine/presence/skel/presence-core.h:
	* src/endpoints/sip-endpoint.cpp:
	* src/gui/statusicon.cpp: Cleaned the PersonalDetails and
	PresencePublisher apis a bit, and made the rest cope.

2008-08-29  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Made code clearer.

2008-08-28  Julien Puydt  <jpuydt@gnome.org>

	* lib/gui/gmtextbufferaddon.h:
	* lib/gui/gmtextbufferaddon.c:
	* lib/gui/gmtexttagaddon.h:
	* lib/gui/gmtexttagaddon.c:
	* lib/gui/gmtextviewaddon.h:
	* lib/gui/gmtextviewaddon.c: Removed as it's unused (fixes #549260).
	* lib/gui/Makefile.am: Cope with previous.

2008-08-28  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-area.cpp: Fixed bug #549258.

2008-08-28  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Added icon to incoming call dialog and change the title to indicate
	the incoming call as suggested by _Raptor_ on IRC.

2008-08-28  Damien Sandras  <dsandras@gnome.org>

	* src/gui/accounts.cpp:
	Automatically sorts using the "enabled" column.

2008-08-28  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	Fixed outgoing/incoming calls handling. (Fixes #549637).
	

2008-08-28  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/Makefile.am: Made it possible to compile out
	avahi, fixing #549713.

2008-08-28  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-area.cpp: Made the code of
	on_extlink_tag_event more correct&readable.

2008-08-26  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Fixed #549233.

2008-08-26  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-area.cpp: Fixed #549259.

2008-08-25  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	* src/endpoints/opal-call.h:
	* src/gui/main.cpp:
	Fixed crash reported by Matthias when calling things like 123.

2008-08-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/toolbox/toolbox-internal.h:
	* lib/toolbox/toolbox-internal.c: Pushed the gtk+ implementation as a
	fallback one.
	* lib/toolbox/toolbox-gtk.c: Made it use the fallback (itself
	previously).
	* lib/toolbox/toolbox-gnome.c: Made it fallback on the fallback, which
	fixes #538307.
	* Makefile.am: Made the new code compile&link.

2008-08-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-area.cpp: Clicking on a link tries
	to open it, which fixed #548751.
	* lib/engine/gui/gtk-frontend/Makefile.am: Added the lib/ directory to
	the list of includes, so the toolbox can be used.

2008-08-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/gui/gm-text-extlink.h:
	* lib/gui/gm-text-extlink.c: New code to detect external link in chat
	text.
	* lib/gui/Makefile.am: Compile&link in previous.
	* lib/engine/gui/gtk-frontend/chat-area.cpp: Made use of previous.

2008-08-24  Julien Puydt  <jpuydt@gnome.org>

	* src/gui/main.cpp: Fixed forgotten case of bug #548950.

2008-08-24  Matthias Schneider  <ma30002000@yahoo.de>

	* src/endpoints/opal-call.cpp:
	Update stats every 50 packets instead of every 100.

2008-08-22  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/evolution/evolution-book.cpp:
	* lib/engine/addressbook/evolution/evolution-contact.cpp:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* src/gui/main.cpp:
	* src/gui/statusmenu.cpp: Fixed #548950.
	* lib/gui/gmpreferences.c: Fixed a compilation warning.

2008-08-21  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/account/skel/bank-impl.h:
	Let the responsability to register an account to the account itself,
	not to the Bank. Fixes double registration problems!

2008-08-21  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Almost fixed bug
	#548750.

2008-08-21  Jan Schampera <jan.schampera@unix.net>

	* lib/gui/gmwindow.c:
	Fixed internals of property getter function.

2008-08-20  Damien Sandras  <dsandras@gnome.org>
	
	* lib/engine/gui/gtk-frontend/chat-window.cpp:
	Smaller tabs.

2008-08-20  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-window.cpp:
	Fixed previous commit : hide only if there are no more pages in the
	notebook, without checking the page number itself. Fixes unexpected
	hides when the first page is closed and there remains one page.

2008-08-20  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-window.cpp:
	When closing the last tab, hide the window. Fixes bug reported by
	Fabrice.
	When pressing Escape, close the current tab. Hide the window if there
	are no more tabs. (Bug #547715).

2008-08-20  Damien Sandras  <dsandras@gnome.org>

	* lib/gui/gmwindow.c:
	Added new property allowing to disable the hide action when Escape is
	pressed.

2008-08-20  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/local-roster/local-heap.cpp: Fixed bug #548747.

2008-08-20  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/simple-chat-page.cpp: Fixed very stupid
	typo and bug #548529.

2008-08-20  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Prevent unuseful resizes.

2008-08-20  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	* src/gui/main.h:
	Removed unuseful stuff.

2008-08-20  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/opal-main.cpp:
	Fixed logic so that h323 presentities are not called using sip.

2008-08-20  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp, src/endpoints/opal-call.h:
	Async hangup.

2008-08-20  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp, src/gui/preferences.cpp, ekiga.schemas.in.in:
	Removed motion detection.

2008-08-20  Matthias Schneider  <ma30002000@yahoo.de>

	* configure.ac:
	Remove esound from configure.ac
	Use pkg-config to find XV library.

2008-08-19  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	Fixed many things for h323 and sip calling, in case of failure, 
	missed calls, ...

2008-08-19  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Only add default targets to call and message if there is no @ and we
	are dealing with sip uris. Otherwise SIP accounts could be proposed as
	dial uris for h323 urls.


2008-08-19  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/h323-enpoint.cpp:
	Only add the dial action if we have an h323 url.

2008-08-19  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Disable inline completion in the URL bar, it can be obtrusive.

2008-08-19  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	* win32/Makefile:
	* ekiga.schemas.in.in:
	Turn off echo cancellation by default.
	Rewire the connection quality meter.
	Update the windows build.

2008-08-18  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Added auto-scrolling. It should work (untested).

2008-08-18  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Removed debug output and fixed problem that prevented all presentities
	to be fetched for presence.

2008-08-18  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	* lib/engine/gui/gtk-frontend/chat-area.h:
	Visual improvements (?).

2008-08-18  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-window.cpp: Fixed bug #548160, and
	handled focus on an empty notebook.
	* lib/engine/gui/gtk-frontend/chat-area.cpp: Answered a question with
	a nice comment.

2008-08-18  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-window.cpp: Partial fix for
	bug #548160.

2008-08-18  Julien Puydt  <jpuydt@gnome.org>

	* src/devices/audio.cpp: Fixed #548235.

2008-08-17  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/local-roster/local-presentity.cpp: Fixed #547613.
	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	* lib/engine/gui/gtk-frontend/presentity-view.cpp: Fixed compilation
	warnings.
	* src/endpoints/sip-endpoint.cpp: Fixed #548053.
	* lib/engine/gui/gtk-frontend/presentity-view.cpp:
	* src/endpoints/sip-presentity.h:
	* src/endpoints/sip-presentity.cpp: Fixed #547716.
	
2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Added patch from Fabrice Alphonso to fix smiley icon.

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusicon.cpp:
	Fixed icon size for blinking icons.

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-window.cpp:
	Do not display an empty status if there is none. Use correct sizes for
	icons in order not to have awful icons.

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/addressbook/ldap/ldap-source.cpp:
	* lib/engine/addressbook/ldap/ldap-source.h:
	* ekiga.schemas.in.in:
	If the list of books is empty, automatically add the Ekiga.net
	directory. Added a menu entry to automatically add the Ekiga.net
	directory using the menu.

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/videoinput/ptlib/videoinput-manager-ptlib.cpp:
	Blacklisted unuseful managers.

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-window.cpp:
	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Marked strings for translation. Are there other places?

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/addressbook-window.cpp:
	Fixed UI layout.

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/addressbook/evolution/evolution-contact.cpp:
	Made Edit the default action. It should have more priority than
	delete. Indeed, if you can not call the user because there is no
	callable address, you can fix that by editing the user, not deleting
	it. Improved deletion confirmation message.

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* win32/include/directx/mingw_dshow_port.h:
	* configure.ac:
	Small build fixes thanks to Mr M.

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusicon.cpp:
	Change icon when the user is in a call.
	Fixed icon size when receiving a message.
	Removed gdk_threads_enter occurences.

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* pixmaps/Makefile.am:
	* lib/gui/gmstockicons.c:
	* lib/gui/gmstockicons.h:
	Use new icon from Vinicius to indicate "in a call" status when running
	Ekiga with Asterisk.

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* AUTHORS: Added Vinicius in the artwork section.

2008-08-17  Damien Sandras  <dsandras@gnome.org>

	* pixmaps/22x22/multimedia-headset.svg:
	* pixmaps/22x22/multimedia-headset.png:
	* pixmaps/48x48/multimedia-headset.png:
	* pixmaps/scalable/multimedia-headset.svg:
	* pixmaps/32x32/multimedia-headset.svg:
	* pixmaps/32x32/multimedia-headset.png:
	* pixmaps/16x16/multimedia-headset.svg:
	* pixmaps/16x16/multimedia-headset.png:
	* pixmaps/128x128/multimedia-headset.svg:
	* pixmaps/128x128/multimedia-headset.png:
	* pixmaps/256x256/multimedia-headset.png:
	Added superb SVG and PNG icons from Vinicius Depizzol
	<vdepizzol gmail com>. Thanks a lot!!

2008-08-17  Jan Schampera <jan.schampera@unix.net>

	* lib/gui/gmpowermeter.c:
	Fixed compiler warnings.

2008-08-14  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Simplified code by introducing a wrapper to easily create text tagging
	in the chat text area.
	Defined a simple named 3bit RGB color palette to be used in chat text
	tags.

2008-08-14  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp: 
	* lib/gui/gmmenuaddon.c:
	Applied patch from Fabrice Alphonso to fix missing accessibility for
	top-level elements. Added new shortcuts. Thanks.

2008-08-14  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp, src/endpoints/sip-endpoint.h:
	Do not used OPAL methods anymore when checking for alive subscribes.
	Patch from MD.

2008-08-14  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	Fixed typo.

2008-08-13  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Make a difference between "Foo says:" text (italic) and the rest.
	Define a margin for the text (from the text view border).

2008-08-13  Jan Schampera <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	Made the text area vertically scrollable (and thus fixed the
	automatic resizing issue), added some space between the buttons

2008-08-13  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
	Removed horrible toolbar display.

2008-08-13  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusicon.cpp:
	Smaller icons.

2008-08-13  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	Applied patch from Mr M. to fix automagic adding of devices.

2008-08-13  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	Improved NAT error message following the suggestion of Simos
	Xenitellis.

2008-08-13  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp, src/endpoints/h323-endpoint.cpp:
	Adapted to new OPAL API change.

2008-08-12  Damien Sandras  <dsandras@gnome.org>
	
	* src/gui/main.cpp:
	Removed the 'Tools' menu and moved 'Find Contacts' from 'Tools'
	to 'Chat', below 'Add Contact'. Big usability improvement isn't it?

2008-08-12  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusicon.cpp:
	Bigger sizes for the status icon.

2008-08-12  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusicon.cpp:
	Make sure the statusicon is initialized when created.

2008-08-12  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/ekiga.cpp:
	* src/gui/statusicon.h:
	* src/gui/statusicon.cpp:
	Update the status icon when personal details are changed.

2008-08-12  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusicon.cpp:
	Do not present an oversized icon anymore.

2008-08-12  Damien Sandras  <dsandras@gnome.org>

	* src/gui/callbacks.cpp:
	Applied patch from Eugen. We are in 2008 since a few months...

2008-08-12  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fixed automatic resizing of the Ekiga window thanks to Eugen Dedu.

2008-08-12  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/addressbook-window.cpp:
	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
	Use sexy icons. Select the first book, not the last one as it is
	counter-intuitive.

2008-08-12  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Fixed compilation with new OPAL API thanks to Eugen Dedu.

2008-08-11  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/audiooutput/null/audiooutput-manager-null.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	Renamed NULL (NULL/NULL) to SILENT (Ekiga/Ekiga) as it looks
	more intuitive (?)

2008-08-11  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/addressbook/evolution/evolution-book.h:
	* lib/engine/addressbook/evolution/evolution-book.cpp:
	* lib/engine/addressbook/call-history/history-book.h:
	* lib/engine/addressbook/call-history/history-book.cpp:
	* lib/engine/addressbook/skel/book.h:
	Added get_type method giving hints about the type of Book it is. It
	can be used by GUI elements to display appropriate icons.

2008-08-11  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/framework/device-def.h:
	* ekiga.schemas.in.in:
	Better device naming with plugins thanks to Mr. M.

2008-08-11  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	* src/gui/assistant.cpp:
	* src/gui/main.cpp:
	* lib/gui/gmpreferences.c:
	* lib/gui/gmpreferences.h:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audioinput/skel/audioinput-core.h:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	* lib/engine/videoinput/skel/videoinput-core.h:
	* lib/engine/videoinput/skel/videoinput-core.cpp:
	Hotplug notifications support thanks to Mr M.

2008-08-11  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	Only propose default accounts as possible accounts when dialing a
	contact (for example from the evolution-data-server back-end).

2008-08-11  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-account.cpp:
	* src/endpoints/opal-account.h:
	* src/endpoints/h323-endpoint.cpp:
	* lib/engine/account/skel/bank-impl.h:
	* lib/engine/account/skel/bank.h:
	* lib/engine/account/skel/account.h:
	* lib/engine/account/skel/account-core.cpp:
	* lib/engine/account/skel/account-core.h:
	Sanitized signals logic, the registration_event signal is now emitted
	by the Account. Fixed is_active method so that it only returns true
	when the account is really active.

2008-08-11  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp: 
	Fixed NAT detection logic in case of error and make sure the signal is
	not triggered in the thread.

2008-08-08  Damien Sandras  <dsandras@gnome.org>

	* configure.ac: 
	Added lpia build thanks to Yannick.

2008-08-08  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/engine.cpp: 
	Fixed engine initialization.

2008-08-08  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
	Added icon.

2008-08-08  Damien Sandras  <dsandras@gnome.org>

	* AUTHORS:
	Added Eugen for his various patches.

2008-08-08  Damien Sandras  <dsandras@gnome.org>

	* src/gui/assistant.cpp:
	Fixed various problems described in bug #546901 thanks Eugen Dedu.

2008-08-08  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip-endpoint.cpp:
	When populating the actions supported by the SIP CallManager,
	make sure the uri are complete. If they are not, suggest various
	possibilities to the user following active accounts.

2008-08-08  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/account/skel/bank-impl.h:
	Made iterators public.

2008-08-08  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-bank.h:
	Fixed cut & paste error.

2008-08-08  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp: 
	Fixed remote uri when an outgoing call is being setup.

2008-08-08  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	When dialing out, present the dialed uri to the user.

2008-08-08  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/protocol/skel/call-core.h:
	* src/endpoints/manager.cpp:
	* src/gui/main.cpp:
	* lib/engine/engine.cpp:
	Added errors support to the CallCore. Errors are strings and presented
	as popups to the user. The engine decides of the error message. 

2008-08-08  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Fixed typo, hence
	bug #545916.

2008-08-05  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/h323-endpoint.h:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/h323.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/opal-gmconf-bridge.cpp:
	* src/endpoints/h323-endpoint.cpp:
	* src/gui/preferences.cpp:
	* src/gui/accounts.cpp:
	* src/gui/conf.cpp:
	* src/Makefile.am:
	Some renaming. h323.cpp contains more than an H323
	CallProtocolManager.

2008-08-05  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/sip-endpoint.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/sip-endpoint.h:
	* src/endpoints/sip.cpp:
	* src/endpoints/opal-gmconf-bridge.cpp:
	* src/gui/preferences.cpp:
	* src/gui/accounts.cpp:
	* src/gui/conf.cpp:
	* src/Makefile.am:
	Some renaming.

2008-08-04  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-bank.cpp:
	* src/endpoints/opal-account.cpp:
	* src/endpoints/opal-account.h:
	* src/Makefile.am:
	* lib/engine/gui/gtk-core/form-dialog-gtk.cpp:
	* lib/engine/gui/gtk-core/Makefile.am:
	* lib/engine/gui/gtk-core/form-dialog-gtk.h:
	* lib/engine/framework/form-visitor.h:
	* lib/engine/framework/form-builder.cpp:
	* lib/engine/framework/form-builder.h:
	Added the possibility to have links in Forms. Added "Get an Ekiga.net"
	and "Get an Ekiga Call Out" links in the forms. Added
	"Recharge/Balance/Call History" actions when editing a DiamondCard
	account.

2008-07-31  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.h:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Added two new
	signals, "heap-selected" and "heap-group-selected".

2008-07-31  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp: Made columns headers
	invisible, thus fixing both bug #545656 and #544960.

2008-07-30  Jan Schampera  <jan.schampera@unix.net>

	* lib/engine/gui/gtk-frontend/chat-area.cpp: Make the cursor appear
	between the bold/italic/underline tags when tags are added without
	selection.

2008-07-30  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/skel/heap.h: Added the populate_menu_for_group
	method.
	* lib/engine/presence/avahi/avahi-heap.cpp:
	* lib/engine/presence/avahi/avahi-heap.h: Implemented empty
	populate_menu_for_group.
	* lib/engine/presence/local-roster/local-heap.cpp:
	* lib/engine/presence/local-roster/local-heap.h:
	* lib/engine/presence/local-roster/local-presentity.cpp:
	* lib/engine/presence/local-roster/local-presentity.h: Implemented
	renaming of groups and export it via populate_menu_for_group.
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Allow context menus
	and toolbars for heap groups.

2008-07-30  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Cleaned the selection
	code.

2008-07-30  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Added short
	context-sensitive toolbars.

2008-07-30  Julien Puydt  <jpuydt@gnome.org>

	* src/endpoints/sip.cpp:
	* src/endpoints/pcss.cpp:
	* src/endpoints/manager.cpp: Made the run_in_main calls more careful
	about sigc::trackable objects.

2008-07-29  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp: 
	Better default timeout for publish requests.

2008-07-28  Damien Sandras  <dsandras@gnome.org>

	* src/gui/assistant.cpp:
	* src/gui/assistant.h:
	* src/gui/main.cpp:
	* lib/engine/audioinput/null/audioinput-manager-null.cpp:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.cpp:
	* lib/engine/audioinput/skel/audioinput-manager.h:
	* lib/engine/audioinput/skel/audioinput-info.h:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audioinput/skel/audioinput-core.h:
	* lib/engine/audiooutput/null/audiooutput-manager-null.cpp:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp:
	* lib/engine/audiooutput/skel/audiooutput-manager.h:
	* lib/engine/audiooutput/skel/audiooutput-info.h:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	* lib/engine/videoinput/skel/videoinput-core.h:
	* lib/engine/videoinput/skel/videoinput-core.cpp:
	Added support for better default network profiles + a few misc fixes.

2008-07-28  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.cpp:
	* lib/engine/framework/personal-details.h:
	Removed extra cout.

2008-07-28  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details-main.cpp:
	* lib/engine/components/gmconf-personal-details/gmconf-personal-details.cpp:
	* lib/engine/framework/personal-details.cpp:
	* lib/engine/framework/personal-details.h:
	* lib/engine/presence/skel/presence-core.h:
	* lib/engine/presence/skel/presence-core.cpp:
	Changed the updated signal so that the 'details' object is passed as
	argument of the callback. Fixes a few problems due to sigc:: doing a
	copy of the argument.

2008-07-28  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/addressbook-window.cpp: Removed the
	directory icons in the list of addressbooks, which fixes #544959.

2008-07-28  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/runtime-glib.cpp:
	* lib/engine/framework/runtime-glib.h:
	* lib/engine/framework/runtime.h:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/audioinput/null/audioinput-manager-null.cpp:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.cpp:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.cpp:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/videoinput/mlogo/videoinput-manager-mlogo.cpp:
	* lib/engine/videoinput/ptlib/videoinput-manager-ptlib.cpp:
	* lib/engine/videoinput/skel/videoinput-core.cpp:
	* lib/engine/videooutput/common/videooutput-manager-common.cpp:
	* lib/engine/videooutput/x/videooutput-manager-x.cpp:
	* src/endpoints/h323.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/opal-call.cpp:
	* src/endpoints/pcss.cpp:
	* src/endpoints/sip.cpp: Reverted the change in run_in_main, which
	seems to be doing more harm than good :-(

2008-07-28  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/evolution/evolution-contact.h:
	* lib/engine/addressbook/evolution/evolution-contact.cpp: Added a
	confirmation dialog for removal, fixing bug #544957.
	* lib/engine/framework/runtime.h: Added missing virtual destructor in
	RuntimeCallback.

2008-07-27  Julien Puydt  <jpuydt@gnome.org>
	* lib/engine/framework/runtime-glib.cpp:
	* lib/engine/framework/runtime-glib.h:
	* lib/engine/framework/runtime.h: Made run_in_main take a structure,
	as playing with sigc::mem_fun on a sigc::trackable on a thread can
	lead to pain, suffering and crashes.
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/audioinput/null/audioinput-manager-null.cpp:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.cpp:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.cpp:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/videoinput/mlogo/videoinput-manager-mlogo.cpp:
	* lib/engine/videoinput/ptlib/videoinput-manager-ptlib.cpp:
	* lib/engine/videoinput/skel/videoinput-core.cpp:
	* lib/engine/videooutput/common/videooutput-manager-common.cpp:
	* lib/engine/videooutput/x/videooutput-manager-x.cpp:
	* src/endpoints/h323.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/opal-call.cpp:
	* src/endpoints/pcss.cpp:
	* src/endpoints/sip.cpp: Cope with the change in run_in_main.

2008-07-26  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.h:
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Added a new signal,
	"presentity-selected", which will help showing a small toolbar with
	the actions on the selected presentity in the roster.

2008-07-26  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Made the view
	sorted alphabetically.

2008-07-26  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/evolution/evolution-contact.cpp: Made use of
	the new TemporaryMenuBuilder.

2008-07-26  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/skel/contact-core.cpp:
	* lib/engine/presence/skel/presence-core.cpp:
	* lib/engine/framework/menu-builder-tools.cpp: Fixed huge small bugs in
	the populate menu methods.

2008-07-26  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/menu-builder-tools.h:
	* lib/engine/framework/menu-builder-tools.cpp: Removed useless code.

2008-07-26  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/menu-builder-tools.h:
	* lib/engine/framework/menu-builder-tools.cpp: Added new temporary
	menu builder.

2008-07-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/local-roster/local-presentity.cpp: Used the
	robust XML helper.

2008-07-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/ldap/ldap-book.cpp: Moved the robust XML
	helper out.
	* lib/engine/framework/robust-xml.h:
	* lib/engine/framework/robust-xml.cpp: Moved the robust XML helper in.
	* lib/engine/framework/Makefile.am: Made the previous compiled.

2008-07-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/ldap/ldap-source.h:
	* lib/engine/addressbook/ldap/ldap-source.cpp:
	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/addressbook/ldap/ldap-book.cpp: Added password support,
	and made the XML code more robust.

2008-07-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp: Removed now-unused
	code.

2008-07-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/menu-builder.cpp:
	* lib/engine/framework/menu-builder.h:
	* lib/engine/gui/gtk-core/menu-builder-gtk.cpp:
	* lib/engine/gui/gtk-core/menu-builder-gtk.h: Added a new add_ghost
	method, which should lead to more beautiful menus (?).
	* lib/engine/addressbook/evolution/evolution-contact.cpp: Made use of
	the new feature.

2008-07-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/call-history/history-contact.cpp:
	* lib/engine/addressbook/call-history/history-contact.h:
	* lib/engine/addressbook/evolution/evolution-contact.cpp:
	* lib/engine/addressbook/evolution/evolution-contact.h:
	* lib/engine/addressbook/ldap/ldap-contact.cpp:
	* lib/engine/addressbook/ldap/ldap-contact.h:
	* lib/engine/addressbook/skel/contact-core.cpp:
	* lib/engine/addressbook/skel/contact-core.h:
	* lib/engine/addressbook/skel/contact.h:
	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp:
	* lib/engine/presence/local-roster/local-roster-bridge.cpp:
	* lib/engine/presence/skel/presence-core.cpp:
	* lib/engine/presence/skel/presence-core.h:
	* src/endpoints/h323.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/sip.cpp:
	* src/endpoints/sip.h: Made the ContactDecorator api more like
	PresentityDecorator, removed the get_uris method from Ekiga::Contact,
	and made the rest of the code cope with it. Things are ugly, but should
	improve in the near future.

2008-07-25  Julien Puydt  <jpuydt@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/sip.cpp: Enable "Call" or "Forward", depending on
	whether we're in a call or not.

2008-07-25  Julien Puydt  <jpuydt@gnome.org>

	* src/endpoints/sip-dialect.h:
	* src/endpoints/sip-dialect.cpp:
	* src/endpoints/sip.h:
	* src/endpoints/sip.cpp: Made both "Chat" and "Message" available
	everywhere.

2008-07-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/book-view-gtk.cpp: Enable action on
	double-click.

2008-07-25  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp: Enable action
	on double-click.

2008-07-24  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/chat/echo/echo-dialect.cpp:
	* lib/engine/chat/skel/chat.h:
	* lib/engine/chat/skel/dialect-impl.h:
	* lib/engine/chat/skel/dialect.h:
	* lib/engine/gui/gtk-frontend/chat-window.cpp:
	* src/endpoints/sip-dialect.cpp: Changed the user request api, which
	make the code better (hopefully), and fixing a bug Yannick found, and
	simplified the way the chat window manages its sigc connections.

2008-07-24  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-account.cpp:
	Allow empty password.

2008-07-24  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/opal-bank.cpp:
	* src/endpoints/opal-bank.h:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/h323.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/opal-account.cpp:
	* src/endpoints/opal-account.h:
	* src/endpoints/sip.cpp:
	Added back support for H.323 accounts. Small UI improvements.

2008-07-24  Damien Sandras  <dsandras@gnome.org>

	* src/gui/assistant.cpp:
	Fixed unsensitive Forward button when it should be sensitive as
	reported by Eugen. Improve a few sentences as suggested by Eugen.
	Fixed crash when creating new account.

2008-07-24  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/menu-builder-tools.h: Fix stupid mistake.
	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Refactored the
	code to react to clicks, then added double-clic magic.

2008-07-24  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/chat/skel/Makefile.am:
	* lib/engine/chat/skel/chat-core.h:
	* lib/engine/gui/gtk-frontend/Makefile.am:
	* lib/engine/gui/gtk-frontend/chat-area.cpp:
	* lib/engine/gui/gtk-frontend/chat-area.h:
	* lib/engine/gui/gtk-frontend/chat-window.cpp:
	* lib/engine/gui/gtk-frontend/chat-window.h:
	* lib/engine/gui/gtk-frontend/gtk-frontend.cpp:
	* lib/engine/gui/gtk-frontend/gtk-frontend.h:
	* lib/engine/gui/gtk-frontend/simple-chat-page.cpp:
	* lib/engine/gui/gtk-frontend/simple-chat-page.h:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/sip.cpp:
	* src/endpoints/sip.h:
	* src/gui/statusicon.cpp: Don't compile the old chat code, and finish
	connecting the new chat code to the status icon.

2008-07-23  Damien Sandras  <dsandras@gnome.org>

	* src/gui/assistant.cpp:
	Fixed small quirks reported by Eugen.

2008-07-23  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	* ChangeLog:
	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	Added ready signal to the CallCore emitted when all CallManager are
	ready. Disable critical elements of the GUI until we are ready.

2008-07-23  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp, src/endpoints/sip.h:
	Restored exit method.

2008-07-23  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp: 
	Added output of media format mask and order.
	
2008-07-23  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp, src/endpoints/sip.h:
	Removed now redundant method. Robert fixed the shutdown in OPAL.

2008-07-22  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/ekiga.cpp:
	* src/endpoints/ekiga.h:
	* src/gui/tools.cpp:
	* src/gui/tools.h:
	* src/gui/assistant.cpp:
	* src/gui/main.cpp:
	* src/gui/conf.cpp:
	* src/Makefile.am:
	Added links to recharge/consult/... Ekiga Call Out accounts in the
	assistant. Removed deprecated PC2Phone window. The links still need
	to be added to the AccountCore OPAL system. Also improved the general
	look of the Assistant with a more compact view.

2008-07-22  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/opal-bank.h:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/sip.cpp:
	* src/gui/main.cpp:
	* src/gui/statusicon.cpp:
	* lib/engine/account/skel/bank-impl.h:
	* lib/engine/account/skel/bank.h:
	* lib/engine/account/skel/account-core.cpp:
	* lib/engine/account/skel/account-core.h:
	* lib/engine/protocol/skel/call-core.h:
	Fixed possible crashes on exit. Remove the Bank from the AccountCore
	when destroying it. Committed a few cleanups.

2008-07-21  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/menu-builder.h:
	* lib/engine/framework/menu-builder.cpp: Pushed ShortMenuBuilder out.
	* lib/engine/framework/menu-builder-tools.h:
	* lib/engine/framework/menu-builder-tools.cpp: Put ShortMenuBuilder
	there, and added a new TriggerMenuBuilder tool, which will help to
	implement double-clic actions.

2008-07-17  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-bank.cpp:
	* src/endpoints/opal-bank.h:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/ekiga.cpp:
	* src/endpoints/opal-account.cpp:
	* src/endpoints/opal-account.h:
	* src/gui/assistant.cpp:
	* src/gui/assistant.h:
	Reimplemented account creation and modification for the ekiga.net
	account in the assistant. Started working on the diamondcard stuff.

2008-07-17  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp: 
	Fixed outgoing identity to ekiga.net account if we do not know what
	identity to use.

2008-07-17  Damien Sandras  <dsandras@gnome.org>

	* src/gui/assistant.cpp: 
	Creating the ekiga.net account is still broken, but updating it 
	is fixed.

2008-07-17  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/account/skel/bank-impl.h:
	* lib/engine/account/skel/account-core.h:
	Allow searching for an account following the destination host.

2008-07-17  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/presence/skel/presence-core.cpp:
	* lib/engine/presence/skel/presence-core.h: Added the presentity
	argument to the presentity_populate_menu method, so it's possible
	for example to query the name of the presentity.
	* lib/engine/presence/avahi/avahi-presentity.cpp:
	* lib/presence/local-roster/local-presentity.cpp:
	* src/endpoints/h323.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/sip-dialect.cpp:
	* src/endpoints/sip-dialect.h:
	* src/endpoints/sip-presentity.cpp:
	* src/endpoints/sip.cpp:
	* src/endpoints/sip.h: Made them cope with previous change, and use
	the new argument to get the name.

2008-07-16  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-bank.cpp:
	* src/endpoints/opal-bank.h:
	Added two new "simplified" menu entries to add Ekiga.net
	and Ekiga Call Out accounts.

2008-07-16  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-bank.cpp:
	* src/endpoints/opal-account.cpp:
	Added default value for the timeout and make sure the value is not 
	inferior to 10 seconds.

2008-07-16  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-account.cpp:
	* src/endpoints/opal-account.h:
	* src/gui/accounts.cpp:
	* lib/engine/account/skel/bank-impl.h:
	Fixed account removal.

2008-07-16  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	Fixed typo.

2008-07-15  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	Fixed typo.

2008-07-15  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Added auto-completion to the url entry so that it suggests completing
	the uri with one of the registered accounts. The first suggestion is
	the last used account.

2008-07-14  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp: Fixed compilation warning. Allow cancelling
	an outgoing call.

2008-07-14  Damien Sandras  <dsandras@gnome.org>

	* src/gui/accounts.cpp: 
	Made the account window more account agnostic. Adapted functions
	to the new signals API.

2008-07-14  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/account/skel/bank-impl.h:
	Removed accidental commit.

2008-07-14  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/h323.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/opal-account.cpp:
	* src/endpoints/opal-account.h:
	* src/endpoints/sip.cpp:
	* src/gui/accounts.cpp:
	* src/gui/main.cpp:
	* src/gui/accounts.h:
	* lib/engine/account/skel/bank-impl.h:
	* lib/engine/account/skel/bank.h:
	* lib/engine/account/skel/account.h:
	* lib/engine/account/skel/account-core.cpp:
	* lib/engine/account/skel/account-core.h:
	* lib/engine/presence/skel/presence-core.h:
	* lib/engine/presence/skel/presence-core.cpp:
	Added find_account method to find an account based on its aor.
	Improved signal API so that a valid pointer (or reference) to
	an Ekiga::Account is passed as argument of registration_event signals.

2008-07-14  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp: Improved tooltip.

2008-07-14  Damien Sandras  <dsandras@gnome.org> 

	* lib/gui/xwindow.cpp:
	* lib/engine/videooutput/common/videooutput-manager-common.cpp:
	Fixed some warnings.

2008-07-14  Damien Sandras  <dsandras@gnome.org>

	* win32/include:
	* win32/include/directx:
	* win32/include/directx/mingw_dshow_port.h:
	* win32/include/directx/uuids.h:
	* win32/include/directx/dsound.h:
	* win32/include/directx/dxerr9.h:
	* win32/include/directx/control.h:
	* win32/include/directx/ddraw.h:
	* win32/include/directx/strmif.h:
	* win32/include/directx/dshow.h:
	* win32/include/directx/Amvideo.h:
	* win32/include/directx/ksuuids.h:
	* win32/Makefile:
	WIN32 build fixes. Committed directx headers.

2008-07-13  Damien Sandras  <dsandras@gnome.org>

	* src/gui/accounts.cpp: Allow toggling/untoggling accounts in
	the account window.
	
2008-07-13  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/accountshandler.cpp, .h:
	Removed deprecated file.

2008-06-30  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/opal-bank.cpp:
	* src/endpoints/opal-bank.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/accountshandler.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/h323.cpp:
	* src/endpoints/ekiga.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/opal-account.cpp:
	* src/endpoints/opal-account.h:
	* src/endpoints/sip.cpp:
	* src/gui/tools.cpp:
	* src/gui/assistant.cpp:
	* src/gui/accounts.cpp:
	* src/gui/main.cpp:
	* src/gui/accounts.h:
	* src/gui/conf.cpp:
	* src/Makefile.am:
	* configure.ac:
	* lib/gmmarshallers.c:
	* lib/engine/gui/gtk-frontend/Makefile.am:
	* lib/engine/components/avahi-publisher/Makefile.am:
	* lib/engine/components/avahi-publisher/avahi-publisher.h:
	* lib/engine/engine.cpp:
	* lib/engine/account/Makefile.am:
	* lib/engine/account/skel/bank-impl.h:
	* lib/engine/account/skel/bank.h:
	* lib/engine/account/skel/account.h:
	* lib/engine/account/skel/account-core.cpp:
	* lib/engine/account/skel/account-core.h:
	* lib/engine/account/skel/Makefile.am:
	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	* lib/engine/protocol/skel/call-manager.h:
	* lib/engine/presence/local-roster/local-presentity.cpp:
	* lib/engine/presence/local-roster/Makefile.am:
	* lib/engine/presence/local-roster/local-cluster.cpp:
	* lib/engine/presence/avahi/Makefile.am:
	* lib/engine/presence/skel/presence-core.h:
	* lib/engine/presence/skel/Makefile.am:
	* lib/engine/presence/skel/presence-core.cpp:
	* lib/engine/Makefile.am:
	Created an AccountCore to manage registrations. This AccountCore has
	various signals to notify from registration changes. It uses Banks of
	Accounts. It is also using AccountSubscribers which are doing the real
	job of registering an Account.
	We current support OPAL accounts registered with SIP and H323
	AccountSubscribers.
	More work to come. Initial commit.

2008-06-30  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/framework/chain-of-responsibility.h:
	Apply method to this to avoid confusion with the connect function from the 
	sockets library.

2008-06-30  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/videoinput/ptlib/videoinput-manager-ptlib.cpp:
	Some webcams (like mine) have the first frames with 0 bytes. No
	failure in that case, better ignore.

2008-06-29  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/framework/menu-builder.h:
	* lib/engine/framework/menu-builder.cpp: Added ShortMenuBuilder.

2008-06-20  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp: Fixed compilation with OPAL Trunk
	thanks to Eugen Dedu.

2008-06-14  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Fixed #538324.
	* lib/engine/presence/local-roster/local-heap.cpp: Fixed #538322.

2008-06-12  Julien Puydt  <jpuydt@gnome.org>

	* src/gui/assistant.cpp: Made the assistant react to the escape key,
	part of bug #337494, thanks to Eugen Dedu.

2008-06-12  Julien Puydt  <jpuydt@gnome.org>

	* src/gui/main.cpp: Fix problem with the video button,
	thanks Eugen Dedu.

2008-06-11  Julien Puydt  <jpuydt@gnome.org>

	* src/gui/statusicon.cpp: Fixed bug #518171, thanks Petr Kovar.

2008-06-09  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp: Better display of
	number of shown contacts vs possible contacts in each group (useful to
	hint the user about hide/show offline contacts).
	* src/components/dbus.cpp: Made it possible to use ekiga without DBUS
	(ouch!)

2008-06-07  Damien Sandras  <dsandras@gnome.org>

	* src/gui/tools.cpp: Fixed #536322.

2008-06-06  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/audioinput/skel/audioinput-core.h:
	* lib/engine/audioinput/skel/audioinput-info.h:
	* lib/engine/audioinput/skel/audioinput-manager.h:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	* lib/engine/audiooutput/skel/audiooutput-info.h:
	* lib/engine/audiooutput/skel/audiooutput-manager.h:
	* lib/engine/audiooutput/skel/audiooutput-scheduler.h:
	* lib/engine/hal/dbus/hal-manager-dbus.h:
	* lib/engine/videoinput/skel/videoinput-info.h:
	* lib/engine/videoinput/skel/videoinput-manager.h:
	* lib/engine/videooutput/skel/videooutput-gmconf-bridge.cpp: Fixed a
	lot of warnings.

2008-06-06  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/skel/contact-core.h: Fixed very misleading
	comment.

2008-06-05  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* src/endpoints/opal-gmconf-bridge.cpp:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/evolution/evolution-book.h:
	* lib/engine/addressbook/evolution/evolution-book.cpp:
	* lib/engine/presence/local-roster/local-heap.cpp:
	Fixed leaks.

2008-06-05  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp: 
	Fixed indentation.

2008-06-05  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	* src/endpoints/opal-call.cpp:
	Reimplemented blind transfer.

2008-06-05  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-window-page.cpp:
	Fixed smiley as reported by yannick.

2008-06-04 Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/audioinput/null/audioinput-manager-null.h:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.h:
	* lib/engine/audioinput/skel/audioinput-manager.h:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.h:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.h:
	* lib/engine/audiooutput/skel/audiooutput-manager.h:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/videoinput/ptlib/videoinput-manager-ptlib.h:
	* lib/engine/videoinput/mlogo/videoinput-manager-mlogo.h:
	* lib/engine/videoinput/skel/videoinput-manager.h:
	* lib/engine/videoinput/skel/videoinput-core.cpp:
	* lib/engine/videooutput/x/videooutput-manager-x.h:
	* lib/engine/videooutput/dx/videooutput-manager-dx.h:
	* lib/engine/videooutput/skel/videooutput-manager.h:
	* lib/engine/videooutput/skel/videooutput-core.cpp:
	Call the managers destructors from the cores when 
	the cores are being destroyed.

2008-06-04  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusmenu.cpp:
	Fixed double leak.

2008-06-04  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusmenu.cpp:
	* lib/engine/addressbook/ldap/ldap-source.cpp:
	Fixed leaks.

2008-06-04  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp: 
	Fixed leak.

2008-06-04  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/videoinput/skel/videoinput-core.cpp:
	Fixed uninitialized value.

2008-06-04  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/pcss.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/accountshandler.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/pcss.h:
	* src/endpoints/h323.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/accountshandler.h:
	* src/endpoints/h323.h:
	* src/endpoints/sip.cpp:
	* src/endpoints/opal-gmconf-bridge.cpp:
	* src/gui/tools.cpp:
	* src/gui/assistant.cpp:
	* src/gui/accounts.cpp:
	* src/gui/main.cpp:
	* src/gui/accounts.h:
	* src/gui/statusicon.cpp:
	s/GMManager/Opal::CallManager.

2008-06-04  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp:
	Removed unuseful variable.

2008-06-04  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/h323.cpp:
	Fixed H.323 calling which was accidentally broken.

2008-06-04  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/manager.h:
	* lib/engine/protocol/skel/call-manager.cpp:
	* lib/engine/protocol/skel/call-manager.h:
	Moved a few methods from pure virtual methods to implemented methods
	in the engine as they obviously do not need any specific treatment.
	Added H.323 as supported protocol for the presence core roster.

2008-06-03  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
	* lib/engine/hal/skel/hal-core.cpp:
	Removed more debug output.

2008-06-03  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/gui/gtk-core/form-dialog-gtk.cpp:
	* lib/engine/videoinput/skel/videoinput-core.cpp:
	* lib/engine/engine.cpp:
	* lib/engine/videooutput/skel/videooutput-core.cpp:
	* lib/engine/framework/menu-xml.cpp:
	* lib/engine/framework/form-request-simple.cpp:
	* lib/engine/framework/services.cpp:
	* lib/engine/addressbook/ldap/ldap-source.cpp:
	* lib/engine/addressbook/ldap/ldap-book.cpp:
	* lib/engine/addressbook/evolution/evolution-source.cpp:
	* lib/engine/addressbook/evolution/evolution-book.cpp:
	* lib/engine/addressbook/call-history/history-source.cpp:
	* lib/engine/addressbook/call-history/history-book.cpp:
	* lib/engine/addressbook/skel/contact-core.cpp:
	* lib/engine/presence/local-roster/local-roster-bridge.cpp:
	* lib/engine/presence/local-roster/local-heap.cpp:
	* lib/engine/presence/local-roster/local-cluster.cpp:
	* lib/engine/presence/avahi/avahi-heap.cpp:
	* lib/engine/presence/avahi/avahi-cluster.cpp:
	* lib/engine/presence/skel/presence-core.cpp:
	Removed debug output.

2008-06-03  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* src/gui/callbacks.cpp:
	Clear the GUI callbacks before exiting and thus deleting the engine.
	Ensures no callback are executed with a bad timing.

2008-06-03  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp: 
	Fixed warning.

2008-06-03  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/presence/skel/presence-core.h:
	* lib/engine/presence/skel/presence-core.cpp:
	Use a pointer instead of a reference in the callback. Otherwise sigc++
	makes a copy of the class content and we see old state being
	republished again when a registration event occurs instead of seeing
	the new state.

2008-06-03  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/accountshandler.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/h323.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/sip.cpp:
	* src/endpoints/opal-gmconf-bridge.cpp:
	Better namespace naming.

2008-06-02  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/h323.cpp:
	* src/endpoints/h323.h:
	Fixed indentation and moved some methods into the private section.

2008-06-02  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/accountshandler.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/h323.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/sip.cpp:
	* src/endpoints/opal-gmconf-bridge.cpp:
	Better naming scheme matchin the engine naming conventions for the old
	GMSIPEndpoint and H323Endpoint classes.

2008-06-02  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-gmconf-bridge.cpp:
	* src/gui/conf.cpp:
	Added missing H323 prefs in the bridge. Consequently, removed
	TODO/FIXME from conf.cpp.

2008-06-02  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	* ekiga.schemas.in.in:
	Removed oldish pref.

2008-06-02  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/manager.h:
	Code simplifications.

2008-06-02  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/h323.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/sip.cpp:
	Converted the H323 EndPoint into a PresentityDecorator,
	ContactDecorator and CallProtocolManager.

2008-06-02  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audioinput/skel/audioinput-core.h:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	Add debug level 5.
	Allow lower priority threads to catch the mutexes
	in the audio cores by telling the high priority 
	threads to sleep 5 ms before taking it. Now 
	preferences can also be opened during a call
	with decent latency.

2008-06-01  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/sip.cpp:
	Fixed Ekiga so it compiles with the new OPAL API.

2008-05-31  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusmenu.cpp:
	Fixed problem when setting custom message. Done from Templehof
	airport, Berlin :-)

2008-05-29  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp: 
	Removed unmeaningful error messages. (Bug #535555)

2008-05-29  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp: Do not use the CallID as key but the From
	field of the PDU.

2008-05-28  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/videooutput/common/videooutput-manager-common.h:
	* lib/engine/videooutput/skel/videooutput-core.h:
	* lib/engine/videooutput/skel/videooutput-manager.h:
	Last commenting commit...

2008-05-28  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	* lib/engine/videooutput/x/videooutput-manager-x.cpp:
	* lib/engine/videooutput/common/videooutput-manager-common.cpp:
	* lib/engine/videooutput/common/videooutput-manager-common.h:
	* lib/engine/videooutput/dx/videooutput-manager-dx.cpp:
	* lib/engine/videooutput/skel/videooutput-core.h:
	* lib/engine/videooutput/skel/videooutput-manager.h:
	* lib/engine/videooutput/skel/videooutput-info.h:
	* lib/engine/videooutput/skel/videooutput-core.cpp:
	More commenting and renaming...

2008-05-27  Damien Sandras  <dsandras@gnome.org>

	* lib/gui/gmstockicons.h:
	Fixed typo reported by Thomas Schorpp, thanks!

2008-05-27  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Applied patch from Fabrice Alphonso to add back the entry to access
	the call history in the menu. Thanks !
	Applied patch from Matthias Schneidder to add back g_thread_init which
	is still needed because we access glib from threads. Thanks!

2008-05-26  Damien Sandras  <dsandras@gnome.org>
	
	* src/gui/assistant.cpp:
	* src/gui/callbacks.cpp:
	* src/gui/accounts.cpp:
	* src/gui/main.cpp:
	* src/gui/conf.cpp:
	* src/gui/misc.cpp:
	First run of Ekiga without g_threads_init, gdk_threads_init,
	gdk_threads_enter, gdk_threads_leave and friends...
	Now, timeouts, idle and gconf notifer do not need to be protected
	anymore.

2008-05-26  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/h323.cpp:
	* src/gui/misc.h:
	* src/gui/misc.cpp:
	Removed gnomemeeting_threads_enter and gnomemeeting_threads_leave.
	They were introduced to fix thread-safety problems on 2001-11-23.
	Toute une époque les amis, toute une époque...

2008-05-26  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/accountshandler.cpp:
	Removed unuseful code.

2008-05-26  Damien Sandras  <dsandras@gnome.org>

	* src/clients/:
	Removed unuseful directory.

2008-05-26  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusmenu.cpp: 
	Fixed initial display for the status menu now that the long_status
	gmconf key can be empty.

2008-05-26  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
	Gray out away contacts.

2008-05-26  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/sip.cpp:
	Code simplification.

2008-05-25  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	Fixed dynamic adding/removal of audio & video codecs.

2008-05-25  Damien Sandras  <dsandras@gnome.org>
	
	* src/endpoints/sip.cpp:
	Fixed previous commit.

2008-05-25  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/sip.cpp:
	Moved AddRouteEntry calls where appropriate, ie in the
	CallProtocolManager itself.

2008-05-25  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/sip.cpp:
	* src/endpoints/opal-gmconf-bridge.cpp:
	A CallProtocolManager is now created with the listen port as argument
	so that it can start listening on the correct port as soon as it is
	created. Added a start () method to the GMManager so that we can
	trigger the STUNDetector only when all CallProtocolManagers are active
	and running.

2008-05-25  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/opal-call.cpp:
	* src/endpoints/opal-call.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/sip.cpp:
	* src/endpoints/opal-gmconf-bridge.cpp:
	Added back support for call forward on busy/no answer/always at the
	Opal::Call level, this feature is indeed not possible with all types
	of Calls. Added support for reject after a given delay.

2008-05-24  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp:
	Do not put an empty custom message in the PIDF document used for
	presence.

2008-05-24  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp:
	* src/gui/statusmenu.cpp:
	Added custom presence message support in the PIDF.

2008-05-21  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/audioinput/skel/audioinput-core.h:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	* lib/engine/videoinput/skel/videoinput-core.h:
	Commenting.

2008-05-22  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	Added option for show_offline_contacts.

2008-05-22  Damien Sandras  <dsandras@gnome.org>

	* ekiga.schemas.in.in:
	Added long comment for show_offline_contacts.

2008-05-22  Damien Sandras  <dsandras@gnome.org>

	* src/common.h:
	Added CONTACTS_KEY.

2008-05-22  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
	Show / hide contacts when the gmconf key changes.

2008-05-22  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
	* ekiga.schemas.in.in:
	Added the ability to hide offline contacts. (not configurable yet
	through ekiga, but well through gconf-editor)

2008-05-22  Julien Puydt  <jpuydt@gnome.org>

	* lib/gmconf/gmconf-glib.c: Fix memory-corrupting bug.
	* src/gui/codecsbox.cpp: Add back needed memory freeing.

2008-05-21  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/preferences.cpp:
	* src/gui/assistant.cpp:
	* src/gui/main.cpp:
	* lib/engine/audioinput/skel:
	* lib/engine/audiooutput:
	* lib/engine/videoinput:
	* lib/engine/engine.cpp:
	* lib/engine/framework/device-def.h:
	* lib/engine/hal/dbus/hal-manager-dbus.cpp:
	* lib/engine/hal/skel/hal-core.h:
	* lib/engine/hal/skel/hal-manager.h:
	* lib/engine/hal/skel/hal-core.cpp:
	More commenting.

2008-05-21  Damien Sandras  <dsandras@gnome.org>

	* src/Makefile.am:
	* lib/engine/chat/skel/chat-core.cpp:
	* lib/engine/chat/skel/chat-core.h:
	* lib/engine/chat/skel/chat-manager.h:
	* lib/engine/gui/gtk-frontend/chat-window-page.cpp:
	* lib/engine/gui/gtk-frontend/gtk-frontend.cpp:
	* lib/engine/gui/gtk-frontend/gtk-frontend.h:
	* lib/engine/gui/gtk-frontend/chat-window.cpp:
	* lib/engine/gui/gtk-frontend/Makefile.am:
	* lib/engine/engine.cpp:
	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	* lib/engine/protocol/skel/call-protocol-manager.h:
	* lib/engine/Makefile.am:
	Removed Chat stuff from the CallCore/CallProtocolManager and use the
	newly created ChatCore instead. 

2008-05-21  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/sip.cpp:
	Turned the GMSIPEndPoint into an implementation of a ChatManager.

2008-05-21  Damien Sandras  <dsandras@gnome.org>

	* configure.ac:
	* lib/engine/Makefile.am:
	* lib/engine/chat/Makefile.am:
	* lib/engine/chat/skel/chat-core.cpp:
	* lib/engine/chat/skel/Makefile.am:
	* lib/engine/chat/skel/chat-core.h:
	* lib/engine/chat/skel/chat-manager.h:
	Added a basic ChatCore faster than I expected.

2008-05-21  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/sip.cpp:
	* lib/engine/gui/gtk-frontend/chat-window-page.cpp:
	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	* lib/engine/protocol/skel/call-protocol-manager.h:
	* lib/engine/protocol/skel/call-manager.h:
	Temporarily moved chat to the CallCore until I can provide some basic
	ChatCore.

2008-05-21  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp: 
	Removed unused method.

2008-05-20  Damien Sandras  <dsandras@gnome.org>

	* pixmaps/status-inacall.png:
	* pixmaps/Makefile.am:
	* src/endpoints/sip.cpp:
	* lib/gui/gmstockicons.c:
	* lib/gui/gmstockicons.h:
	* lib/engine/gui/gtk-core/gtk-core.cpp:
	Attempt to add an icon for the "On The Phone" state reported by
	Asterisk..

2008-05-20  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp:
	Fixed DND support in PIDF.

2008-05-20  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/audioinput:
	* lib/engine/audiooutput:
	* lib/engine/videoinput:
	* lib/engine/videooutput:
	More commenting.

2008-05-20  Damien Sandras  <dsandras@gnome.org>

	* src/gui/statusmenu.cpp:
	Fixed status initialization when starting.

2008-05-20  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp:
	Update the port of the local listening interface after a successfull
	bind. It was only working in case of failure for the first try.
	
2008-05-20  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp: 
	Do not use a reference for the stun server string. It could go away
	before we actually use it if threads starting is slow. Hopefully fixes
	bug reported by several people with STUN displaying "Bad NAT type".

2008-05-20  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/ldap/ldap-source.cpp:
	* lib/engine/gui/gtk-core/form-dialog-gtk.cpp:
	* lib/engine/presence/avahi/avahi-heap.cpp:
	* lib/engine/presence/local-roster/local-presentity.cpp:
	* lib/engine/protocol/skel/codec-description.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/opal-codec-description.cpp:
	* src/endpoints/sip.cpp:
	* src/gui/dialpad.cpp: Fixed stricter g++ include requirements.
	Thanks to both Malcolm Caldwell and Martin Ebourne!

2008-05-20  Matthias Schneider  <ma30002000@yahoo.de>

	* src/devices/videoinput.h:
	* src/devices/videooutput.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/opal-main.cpp:
	* src/gui/preferences.cpp:
	* src/gui/preferences.h:
	* src/gui/assistant.cpp:
	* src/gui/main.cpp:
	* lib/engine/audioinput/skel/audioinput-info.h:
	* lib/engine/videoinput/:
	* lib/engine/engine.cpp:
	* lib/engine/videooutput/x:
	* lib/engine/hal/dbus/hal-main-dbus.h:
	More renaming.

2008-05-19  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/addressbook/ldap/ldap-source.cpp:
	Fixed bug reported by Peter Robinso, atoi is not a member of std.

2008-05-19  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	Removed obsolete network page. We do not need it anymore as we listen
	on all interfaces and nat detection is now more or less automatic.

2008-05-19  Damien Sandras  <dsandras@gnome.org>

	* src/Makefile.am: Removed stun.* from the build.

2008-05-19  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.h, src/clients/stun.cpp,
	src/clients/stun.h: 
	Removed old STUN client code.

2008-05-19  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/accountshandler.cpp:
	* src/endpoints/accountshandler.h:
	Only register accounts when the CallManager is ready.

2008-05-19  Julien Puydt  <jpuydt@gnome.org>

	* src/endpoints/opal-gmconf-bridge.cpp: Another std::string(NULL).

2008-05-19  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp,
	lib/engine/protocol/skel/call-manager.h:
	Removed argument from ready signal. Added support for ready signal
	indicating when the CallManager is ready to take calls. Made STUN
	detection async.

2008-05-18  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	* lib/engine/protocol/skel/call-manager.h:
	Added signal so that a CallManager can signal when it is ready.

2008-05-18  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/opal-main.cpp:
	* src/endpoints/accountshandler.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/h323.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/sip.cpp:
	* src/endpoints/opal-gmconf-bridge.cpp:
	* lib/engine/protocol/skel/call-protocol-manager.h:
	* lib/engine/protocol/skel/Makefile.am:
	* lib/engine/protocol/skel/call-manager.h:
	* ekiga.schemas.in.in:
	More work on the CallProtocolManager, mainly on the SIP implementation
	of the CallProtocolManager. Added methods to get a CallProtocolManager
	from a CallManager following the protocol name. STUN support
	temporarily hardcoded.

2008-05-18  Matthias Schneider  <ma30002000@yahoo.de>

	* src/Makefile.am:
	* configure.ac:
	* lib/engine/videoinput/ptlib/Makefile.am:
	* lib/engine/videoinput/mlogo/Makefile.am:
	* lib/engine/videoinput/skel/Makefile.am:
	* lib/engine/videooutput/x/Makefile.am:
	* lib/engine/videooutput/dx/Makefile.am:
	* lib/engine/videooutput/skel/Makefile.am:
	* lib/engine/Makefile.am:
	Start renaming video cores.

2008-05-18  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/dialpad.cpp:
	Changed "signals" into "ekiga_dialpad_signals".

2008-05-18  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/dialpad.cpp:
	* src/gui/assistant.cpp:
	* lib/gui/gmcellrendererexpander.c:
	Add some semicolons to make kdevelop happy.

2008-05-18  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/display/x/display-manager-x.cpp:
	* lib/engine/display/dx/display-manager-dx.cpp:
	Fix two uninitialised variables.

2008-05-18  Matthias Schneider  <ma30002000@yahoo.de>

	* pixmaps/conv-icon.pl: 
	* pixmaps/icon.h: 
	* src/devices/videoinput.cpp: 
	* src/devices/videooutput.cpp: 
	* src/devices/videoinput.h: 
	* src/devices/videooutput.h: 
	* src/endpoints/opal-main.cpp: 
	* src/gui/preferences.cpp: 
	* src/gui/assistant.cpp: 
	* src/gui/main.cpp: 
	* lib/engine/audioinput/null/audioinput-manager-null.cpp: 
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.cpp: 
	* lib/engine/audioinput/skel/audioinput-info.h: 
	* lib/engine/audioinput/skel/audioinput-gmconf-bridge.cpp: 
	* lib/engine/audioinput/skel/audioinput-core.cpp: 
	* lib/engine/audioinput/skel/audioinput-core.h: 
	* lib/engine/audiooutput/null/audiooutput-manager-null.cpp: 
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp: 
	* lib/engine/audiooutput/skel/audiooutput-info.h: 
	* lib/engine/audiooutput/skel/audiooutput-gmconf-bridge.cpp: 
	* lib/engine/audiooutput/skel/audiooutput-core.cpp: 
	* lib/engine/audiooutput/skel/audiooutput-core.h: 
	* lib/engine/engine.cpp: 
	* lib/engine/framework/device-def.h:
	* lib/engine/vidinput/ptlib/vidinput-main-ptlib.h: 
	* lib/engine/vidinput/ptlib/vidinput-manager-ptlib.cpp: 
	* lib/engine/vidinput/ptlib/vidinput-manager-ptlib.h: 
	* lib/engine/vidinput/ptlib/vidinput-main-ptlib.cpp: 
	* lib/engine/vidinput/mlogo/vidinput-main-mlogo.cpp: 
	* lib/engine/vidinput/mlogo/vidinput-main-mlogo.h: 
	* lib/engine/vidinput/mlogo/vidinput-manager-mlogo.cpp: 
	* lib/engine/vidinput/mlogo/vidinput-manager-mlogo.h: 
	* lib/engine/vidinput/skel/vidinput-manager.h: 
	* lib/engine/vidinput/skel/vidinput-info.h: 
	* lib/engine/vidinput/skel/vidinput-gmconf-bridge.cpp: 
	* lib/engine/vidinput/skel/vidinput-core.cpp: 
	* lib/engine/vidinput/skel/vidinput-gmconf-bridge.h: 
	* lib/engine/vidinput/skel/vidinput-core.h: 
	* lib/engine/hal/dbus/hal-main-dbus.h: 
	* lib/engine/hal/dbus/hal-manager-dbus.h: 
	* lib/engine/display/x/display-manager-x.cpp: 
	* lib/engine/display/x/display-main-x.cpp: 
	* lib/engine/display/common/display-manager-common.cpp: 
	* lib/engine/display/common/display-manager-common.h: 
	* lib/engine/display/dx/display-main-dx.cpp: 
	* lib/engine/display/dx/display-manager-dx.cpp: 
	* lib/engine/display/skel/display-core.h: 
	* lib/engine/display/skel/display-manager.h: 
	* lib/engine/display/skel/display-info.h: 
	* lib/engine/display/skel/display-gmconf-bridge.cpp: 
	* lib/engine/display/skel/display-core.cpp: 
	* lib/engine/display/skel/display-gmconf-bridge.h: 
	Some more cleanup and renaming. VidInputCore is now VideoInputCore.
	DisplayCore is now VideoOutputCore.

2008-05-18  Damien Sandras  <dsandras@gnome.org>

	* src/clients/stun.cpp:
	Minor cleanups.

2008-05-18  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/addressbook/call-history/history-contact.cpp:
	Removed debug.

2008-05-18  Damien Sandras  <dsandras@gnome.org>

	* configure.ac: 
	Fixed the definition of DATA_DIR which is not obsolete yet.

2008-05-18  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* lib/engine/protocol/skel/protocol-manager.h:
	* lib/engine/protocol/skel/call-protocol-manager.h:
	* lib/engine/protocol/skel/Makefile.am:
	Renamed ProtocolManager into CallProtocolManager to prevent
	confusion with other protocol related features.

2008-05-17  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/chat-window-page.cpp:
	Disabled instant messaging for now. Will be fixed tomorrow.

2008-05-17  Damien Sandras  <dsandras@gnome.org>

	* src/clients/stun.cpp: Adapted to new API.

2008-05-17  Damien Sandras  <dsandras@gnome.org>

	* endpoints/sip.h:
	* endpoints/manager.cpp:
	* endpoints/opal-main.cpp:
	* endpoints/h323.cpp:
	* endpoints/manager.h:
	* endpoints/h323.h:
	* endpoints/sip.cpp:
	* endpoints/opal-gmconf-bridge.cpp:
	Changed architecture, a CallManager now uses ProtocolManagers to
	handle actions and settings. Methods that need to be supported by
	all implemented CallManagers and ProtocolManagers are defined in the
	base classes. It is still a work in progress. It will allow to remove
	horrors like GetSIPEndPoint and GetH323EndPoints. The GMManager is now
	a CallManager handling SIP and H323 protocols using the SIP and H323
	ProtocolManagers. Largely unfinished, be patient.

2008-05-17  Damien Sandras  <dsandras@gnome.org>

	* protocol/skel/protocol-manager.h:
	* protocol/skel/call-core.cpp:
	* protocol/skel/call-core.h:
	* protocol/skel/Makefile.am:
	* protocol/skel/call-manager.h:
	Changed architecture, a CallManager now uses ProtocolManagers to
	handle actions and settings. Methods that need to be supported by
	all implemented CallManagers and ProtocolManagers are defined in the
	base classes. It is still a work in progress.

2008-05-17  Damien Sandras  <dsandras@gnome.org>

	* ekiga.schemas.in.in:
	Removed minimum jitter buffer key. The buffer should always be
	at a minimal value.

2008-05-17  Damien Sandras  <dsandras@gnome.org>

	* engine/components/avahi-publisher/avahi-publisher.cpp:
	Fixed crash. Thanks Fabrice for testing.

2008-05-14  Matthias Schneider  <ma30002000@yahoo.de>

	* src/devices/videoinput.cpp:
	* src/devices/videooutput.cpp:
	* src/devices/videoinput.h:
	* lib/engine/audioinput/skel/audioinput-manager.h:
	* lib/engine/audiooutput/null/audiooutput-manager-null.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.h:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.h:
	* lib/engine/audiooutput/skel/audiooutput-manager.h:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	* lib/engine/vidinput/ptlib/vidinput-manager-ptlib.cpp:
	* lib/engine/vidinput/ptlib/vidinput-manager-ptlib.h:
	* lib/engine/vidinput/mlogo/vidinput-manager-mlogo.cpp:
	* lib/engine/vidinput/mlogo/vidinput-manager-mlogo.h:
	* lib/engine/vidinput/skel/vidinput-manager.h:
	* lib/engine/vidinput/skel/vidinput-core.cpp:
	* lib/engine/vidinput/skel/vidinput-core.h:
	* lib/engine/hal/skel/hal-manager.h:
	* lib/engine/display/common/display-manager-common.cpp:
	* lib/engine/display/common/display-manager-common.h:
	* lib/engine/display/skel/display-core.h:
	* lib/engine/display/skel/display-manager.h:
	* lib/engine/display/skel/display-core.cpp:
	More documentation...

2008-05-12  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/preferences.cpp:
	* src/gui/assistant.cpp:
	* src/gui/main.cpp:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.cpp:
	* lib/engine/audioinput/skel/audioinput-info.h:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audioinput/skel/audioinput-core.h:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp:
	* lib/engine/audiooutput/skel/audiooutput-info.h:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	* lib/engine/vidinput/ptlib/vidinput-manager-ptlib.cpp:
	* lib/engine/vidinput/skel/vidinput-manager.h:
	* lib/engine/vidinput/skel/vidinput-info.h:
	* lib/engine/vidinput/skel/vidinput-core.cpp:
	* lib/engine/vidinput/skel/vidinput-core.h:
	* lib/engine/display/x/display-manager-x.cpp:
	* lib/engine/display/dx/display-manager-dx.cpp:
	* lib/engine/display/skel/display-core.h:
	* lib/engine/display/skel/display-manager.h:
	* lib/engine/display/skel/display-core.cpp:
	Some more alignments and cosmetics for callbacks and 
	the error enums.

2008-05-12  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	* lib/engine/audioinput/null/audioinput-manager-null.cpp:
	* lib/engine/audioinput/null/audioinput-manager-null.h:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.cpp:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.h:
	* lib/engine/audioinput/skel/audioinput-manager.h:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.h:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.h:
	* lib/engine/audiooutput/skel/audiooutput-manager.h:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/vidinput/ptlib/vidinput-manager-ptlib.cpp:
	* lib/engine/vidinput/ptlib/vidinput-manager-ptlib.h:
	* lib/engine/vidinput/ptlib/vidinput-main-ptlib.cpp:
	* lib/engine/vidinput/mlogo/vidinput-main-mlogo.cpp:
	* lib/engine/vidinput/mlogo/vidinput-manager-mlogo.cpp:
	* lib/engine/vidinput/mlogo/vidinput-manager-mlogo.h:
	* lib/engine/vidinput/skel/vidinput-manager.h:
	* lib/engine/vidinput/skel/vidinput-core.cpp:
	* lib/engine/vidinput/skel/vidinput-core.h:
	* lib/engine/display/x/display-manager-x.cpp:
	* lib/engine/display/x/display-manager-x.h:
	* lib/engine/display/x/display-main-x.cpp:
	* lib/engine/display/common/display-manager-common.cpp:
	* lib/engine/display/common/display-manager-common.h:
	* lib/engine/display/dx/display-main-dx.cpp:
	* lib/engine/display/dx/display-manager-dx.cpp:
	* lib/engine/display/dx/display-manager-dx.h:
	* lib/engine/display/skel/display-core.h:
	* lib/engine/display/skel/display-manager.h:
	* lib/engine/display/skel/display-core.cpp:
	Some alignment of function names in the managers.
	Basis for more documenting.

2008-05-08  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/audiooutput/skel/audiooutput-scheduler.cpp:
	* lib/engine/audiooutput/skel/audiooutput-scheduler.h:
	Some cosmetics on the Audio Event Scheduler.

2008-05-08  Matthias Schneider  <ma30002000@yahoo.de>

	* display/x/display-manager-x.cpp:
	* display/common/display-manager-common.cpp:
	* display/common/display-manager-common.h:
	* display/dx/display-manager-dx.cpp:
	Fix #528632. Only create display thread once for Ekiga's lifetime.

2008-05-07  Julien Puydt  <jpuydt@gnome.org>

	* lib/gmconf/gmconf-glib.c: Made the code do more check to avoid
	runtime warnings.

2008-05-07  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/components/gmconf-personal-details/gmconf-personal-details.cpp: Fixed crashers (std::string initialized by NULL).

2008-05-07  Julien Puydt  <jpuydt@gnome.org>

	* lib/gmconf/gmconf-glib.c: Made it compile without warnings.

2008-05-06  Julien Puydt  <jpuydt@gnome.org>

	* lib/gmconf/gmconf-glib.c: Fix XML embedding in gmconf strings.

2008-05-04  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/display/x/display-manager-x.cpp:
	Fix #529721 and #526530.

2008-05-05  Julien Puydt  <jpuydt@gnome.org>

	* src/gui/misc.h:
	* src/gui/misc.cpp: Removed gnomemeeting_get_utf8 and
	gnomemeeting_from_iso88591_to_utf8, which are probably fragile, and
	are definitely unused. Fixes #491517.

2008-05-04  Matthias Schneider  <ma30002000@yahoo.de>

	* src/devices/audiodev.cpp:
	* lib/engine/audioinput/null/audioinput-manager-null.cpp:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	Adjusted debug levels. Fix audio device to be able to be
	closed in closed stayed.

2008-05-04  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/preferences.cpp:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audioinput/skel/audioinput-core.h:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	* lib/engine/vidinput/skel/vidinput-core.cpp:
	* lib/engine/vidinput/skel/vidinput-core.h: 
	* lib/engine/hal/skel/hal-core.h:
	* lib/engine/hal/skel/hal-manager.h:
	* lib/engine/hal/skel/hal-core.cpp:
	HAL documentation and slight interface change. 
	Allow bitrates of up to 10 mbit/s.

2008-05-03  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/ldap/ldap-book.h:
	* lib/engine/addressbook/ldap/ldap-book.cpp: Fixed #527763 and #474830,
	which means we don't use deprecated api anymore, and shouldn't block
	too long anymore.

2008-05-02  Matthias Schneider  <ma30002000@yahoo.de>

	* src/endpoints/manager.cpp:
	Add ToNormalisedOptions to UpdateMediaOtions.

2008-05-01  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/audioinput/null/audioinput-manager-null.cpp:
	* lib/engine/audioinput/ptlib/audioinput-manager-ptlib.cpp:
	* lib/engine/audiooutput/null/audiooutput-manager-null.cpp:
	* lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp:
	Adjusted some debug levels.

2008-04-27  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* src/endpoints/h323.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/sip.cpp:
	* src/gui/accounts.cpp:
	* src/gui/main.cpp:
	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	* lib/engine/protocol/skel/call-manager.h:
	* lib/engine/presence/skel/presence-core.h:
	* lib/engine/presence/skel/presence-core.cpp:
	Moved the registration mechanism from the GMManager to the respective
	CallManager's with the signal being relayed to the CallCore. At a
	later stage, we should have an Accounts component in the engine and
	those signals should be placed there.

2008-04-27  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/opal-call.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/sip.cpp:
	* src/gui/main.cpp:
	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	* lib/engine/protocol/skel/call-manager.h:
	Moved more stuff from the GMManager to the CallManager's.
	Added signal in the call manager for message waiting indications.
	Most protocols support MWIs. If they do not support it, then the
	signal is not emitted.

2008-04-27  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h:
	Removed unuseful OnClearedCall method, as well as various
	codec variables.

2008-04-27  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	* src/endpoints/opal-call.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h:
	Moved OnHold callback from GMManager to Opal::Call now that I added a
	method for it in the OpalCall class in OPAL.

2008-04-27  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h:
	Removed deprecated DeviceVolume methods.

2008-04-27  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h:
	* ekiga.schemas.in.in:
	Removed deprecated keys and methods.

2008-04-27  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/sip.cpp:
	* lib/engine/components/avahi-publisher/avahi-publisher.cpp:
	* lib/engine/components/avahi-publisher/avahi-publisher.h:
	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	* lib/engine/protocol/skel/call-manager.h:
	* lib/engine/presence/avahi/avahi-heap.cpp:
	Finished AVAHI presence publisher. It is now able to get the port and
	protocol from the Ekiga::CallManager through newly added
	get_protocol_name and get_interface methods. Added some const's. Added
	the possibility to broadcast the status message through ZeroConf.

2008-04-25  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	Fix #480868

2008-04-25  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/display/skel/display-core.cpp:
	Fix confusion between sending and receiving framerate.

2008-04-24  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp:
	* src/endpoints/sip.h:
	Added missing methods.

2008-04-24  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	* lib/engine/protocol/skel/call-manager.h:
	Added CallManager iterator and methods to get the protocol and
	listener for the CallManager.

2008-04-22  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp:
	* src/endpoints/sip.h:
	Replaced pointers by references.

2008-04-22  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.cpp: Added guards against NULL value.

2008-04-22  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/components/avahi-publisher/avahi-publisher.cpp,
	* lib/engine/components/avahi-publisher/avahi-publisher.h:
	More code cleanups.

2008-04-22  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/framework/personal-details.cpp:
	* lib/engine/framework/personal-details.h:
	Move some methods to const methods.

2008-04-22  Matthias Schneider  <ma30002000@yahoo.de>

	* src/endpoints/manager.cpp:
	Activate new rate control in OPAL.

2008-04-20  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/components/avahi-publisher/avahi-publisher.cpp:
	* lib/engine/components/avahi-publisher/Makefile.am:
	* lib/engine/components/avahi-publisher/avahi.cpp:
	* lib/engine/components/avahi-publisher/avahi-publisher.h:
	* lib/engine/components/avahi-publisher/avahi.h:
	* lib/engine/Makefile.am:
	More porting of old avahi publisher code to the engine. 
	Fixes compilation.

2008-04-20  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/components/avahi-publisher/avahi.cpp:
	* lib/engine/components/avahi-publisher/avahi.h:
	* src/clients/avahi.cpp:
	* src/clients/avahi.h:
	* lib/engine/components/avahi-publisher/avahi-publisher.h:
	* lib/engine/components/avahi-publisher/avahi-publisher.cpp:
	* lib/engine/components/avahi-publisher/avahi-publisher-main.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h:
	* src/Makefile.am:
	* lib/engine/engine.cpp:
	Moved the old avahi publisher to the engine. Largely unfinished.

2008-04-20  Damien Sandras  <dsandras@gnome.org>

	* src/gui/preferences.cpp:
	Implemented suggestion from Eugen Dedu on ekiga devel.

2008-04-18  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/preferences.cpp:
	Fix #528404.

2008-04-17  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/Makefile.am:
	Added missing -I.

2008-04-17  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fixed #527869.

2008-04-17  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	Improve error texts.

2008-04-17  Matthias Schneider  <ma30002000@yahoo.de>
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/vidinput/skel/vidinput-core.cpp:
	Fall-forward when device is being closed in order to 
	try again next time the device is opened.

2008-04-17  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/preferences.cpp:
	* src/gui/main.cpp:
	* ekiga.schemas.in.in:
	Removed unneccessary gconf key. Improve debugging with user 
	plane support for the codecs.

2008-04-15  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	* lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp:
	Fixed more cases with invalid call start and duration.

2008-04-15  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/components/avahi-publisher/Makefile.am:
	* lib/engine/Makefile.am:
	Fixed compilation of the new avahi publisher.

2008-04-15  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	When we have a missed call, start_time is not valid.
	Make sure we do not return insane value is that case.

2008-04-14  Damien Sandras  <dsandras@gnome.org>

	* configure.ac:
	* lib/engine/components/avahi-publisher:
	* lib/engine/components/avahi-publisher/avahi-publisher.cpp:
	* lib/engine/components/avahi-publisher/avahi-publisher-main.cpp:
	* lib/engine/components/avahi-publisher/avahi-publisher.h:
	* lib/engine/components/avahi-publisher/Makefile.am:
	* lib/engine/components/avahi-publisher/avahi-publisher-main.h:
	* lib/engine/components/Makefile.am:
	Added skeleton class for a future AVAHI publisher. It will allow
	removing it from GMManager, and make it change the status according to
	the new settings.

2008-04-14  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/addressbook/call-history/history-book.cpp:
	Removed redundant cout.

2008-04-14  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp:
	* lib/engine/addressbook/call-history/history-book.h:
	* lib/engine/addressbook/call-history/history-book.cpp:
	* lib/engine/addressbook/call-history/history-contact.cpp:
	Added various guards against insane values. Fixed XML reading and
	writing. Possibly fixed #527936 too.

2008-04-14  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/vidinput/skel/vidinput-core.cpp:
	* lib/engine/vidinput/skel/vidinput-core.h:
	Fallback on receiption of the video inut device removed
	signal as well. Should not happen too often since the 
	get_frame_data should have failed anyway before...

2008-04-14  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audioinput/skel/audioinput-core.h:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	* lib/engine/hal/dbus/hal-manager-dbus.cpp:
	Allow audio devices to be removed during a call. We fall back to 
	NULL in that case. Added a small hack to allow hotplugging of Logitech
	devices that are badly reported by hal.

2008-04-14  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/hal/dbus/hal-manager-dbus.cpp:
	Fixed possible crash due to conversion char* -> std::string.

2008-04-13  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fixed report #527869.

2008-04-13  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	* src/endpoints/opal-call.h:
	* lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp:
	* lib/engine/addressbook/call-history/history-book.h:
	* lib/engine/addressbook/call-history/history-contact.h:
	* lib/engine/addressbook/call-history/history-book.cpp:
	* lib/engine/addressbook/call-history/history-contact.cpp:
	* lib/engine/protocol/skel/call.h:
	Improved API. Use time_t as return type for the call start time in
	order to allow easier handling in the views. Changed History::Contact
	API in order to get rid of the status parameter, use two additional
	for call duration and start instead, specific to History contacts, as
	they are related to calls. Improved the history view. Added a few
	const and reference passing.

2008-04-13  Damien Sandras  <dsandras@gnome.org>

	* src/clients/stun.cpp:
	Fixed annoying warning.

2008-04-13  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/vidinput/mlogo/vidinput-manager-mlogo.cpp:
	Make use of improved PAdaptiveDelay.

2008-04-12  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	* src/endpoints/opal-call.h:
	* lib/engine/addressbook/call-history/history-book.cpp:
	* lib/engine/protocol/skel/call.h:
	Added method to return the start date of a call and its duration.
	Used in the calls history.

2008-04-12  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp:
	* lib/engine/gui/gtk-core/gtk-core.cpp:
	Added icon to the clear history action and allowed translation.

2008-04-12  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp:
	Removed unuseful traces.

2008-04-12  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h:
	* src/endpoints/opal-call.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/h323.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/sip.cpp:
	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	* lib/engine/protocol/skel/call-manager.h:
	Removed new_call signal which was a hack.
	Added CreateConnection callbacks to connect signals when there are new
	calls..
	Fixed incoming calls handling (no more busy when there should be
	none).

2008-04-12  Matthias Schneider  <ma30002000@yahoo.de>

	* win32/diff/opal_Makefile.am:
	* win32/diff/opal_configure.ac:
	Fix win32 build.

2008-04-12  Damien Sandras  <dsandras@gnome.org>

	* src/gui/assistant.cpp:
	Fixed glib code using GValue.

2008-04-12  Damien Sandras  <dsandras@gnome.org>

	* src/clients/avahi.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/sip.cpp:
	* src/gui/main.cpp:
	* src/gui/statusicon.cpp:
	Removed use of deprecated "status" key.

2008-04-12  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	Fixed crash reported by Fabrice and Yannick.

2008-04-12  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	Small cleanup.

2008-04-11  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/assistant.cpp:
	Also hot update the assistant dialogs.

2008-04-11  Matthias Schneider  <ma30002000@yahoo.de>

	* src/endpoints/opal-gmconf-bridge.cpp:
	* src/gui/preferences.cpp:
	* lib/engine/vidinput/skel/vidinput-gmconf-bridge.cpp:
	Fix last commit. Update audio devices list on hot addition or removal.

2008-04-11  Matthias Schneider  <ma30002000@yahoo.de>

	* src/endpoints/opal-gmconf-bridge.cpp:
	Fix forgotten max_frame_rate key change in order to avoid crash on startup.

2008-04-11  Damien Sandras  <dsandras@gnome.org>

	* src/clients/stun.cpp:
	Forgot to commit yesterday.

2008-04-10  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp, src/endpoints/manager.h:
	Removed a bunch of now unused methods.

2008-04-10  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/preferences.cpp:
	* lib/gui/gmpreferences.c:
	* lib/gui/gmpreferences.h:
	Update preferences lists when video devices are added or removed.

2008-04-10  Julien Puydt  <jpuydt@gnome.org>

	* src/gui/statusmenu.cpp: Fixed a crasher and removed some
	remaining magic values.

2008-04-10  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/audioinput/skel/audioinput-gmconf-bridge.cpp:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audioinput/skel/audioinput-core.h:
	* lib/engine/audiooutput/skel/audiooutput-gmconf-bridge.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.h:
	* lib/engine/vidinput/skel/vidinput-gmconf-bridge.cpp:
	* lib/engine/vidinput/skel/vidinput-core.cpp:
	* lib/engine/vidinput/skel/vidinput-core.h:
	* ekiga.schemas.in.in:
	Better checking of gmconf values in the bridges. Moved
	gmconf-only "max_frame_rate" to the device settings.

2008-04-10  Steve Frécinaux  <code@istique.nte>

	* lib/gui/xvwindow.cpp:
	Fix include paths that broke the build.

2008-04-10  Steve Frécinaux  <code@istique.net>

	* configure.ac:
	Use brand new pkg-config support from OPAL and PTLIB.

	* lib/gui/xwindow.cpp:
	* lib/gui/xwindow.h:
	Fix include paths.

2008-04-09  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/urlhandler.cpp:
	* src/endpoints/urlhandler.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/accountshandler.cpp:
	* src/endpoints/ekiga.cpp:
	* src/endpoints/ekiga.h:
	* src/gui/preferences.cpp:
	* src/gui/callbacks.cpp:
	* src/gui/callbacks.h:
	* src/gui/main.cpp:
	* src/gui/conf.cpp:
	* src/components/dbus.cpp:
	* src/Makefile.am:
	Removed GMURLHandler and GMURL. Cleaned a few things.

2008-04-09  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Added outgoing call notification.

2008-04-09  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-gmconf-bridge.cpp:
	Removed forgotten traces.

2008-04-08  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	Only activate average collection if actually displaying it.

2008-04-08  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	Removed some forgotten traces

2008-04-08  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/assistent.cpp:
	Add the ringing device.

2008-04-08  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	Grey out volume and picture sliders if they cannot be used.

2008-04-08  Damien Sandras  <dsandras@gnome.org>

	* src/clients/stun.cpp:
	* src/endpoints/sip.h:
	* src/endpoints/manager.cpp:
	* src/endpoints/h323.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/ekiga.cpp:
	* src/endpoints/h323.h:
	* src/endpoints/sip.cpp:
	* src/endpoints/opal-gmconf-bridge.cpp:
	* src/gui/preferences.cpp:
	* src/gui/preferences.h:
	* ekiga.schemas.in.in:
	Removed a bunch of unuseful methods.
	Added multihoming support, allowing Ekiga to listen on several
	interfaces at the same time, including for SIP.

2008-04-08  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/preferences.cpp:
	* src/gui/main.cpp:
	* ekiga.schemas.in.in:
	Allow to enable/disable device error boxes
	when popping up or via preferences.

2008-04-08  Matthias Schneider  <ma30002000@yahoo.de>

	* src/endpoints/sip.cpp:
	Better sip error reporting.

2008-04-07  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp:
	* src/endpoints/manager.h:
	* src/endpoints/h323.cpp:
	* src/endpoints/sip.cpp:
	Got rid of one more method.

2008-04-07  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/pcss.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/pcss.h:
	* src/endpoints/manager.h:
	* src/endpoints/sip.cpp:
	* src/gui/main.cpp:
	* lib/engine/protocol/skel/call.h:
	* lib/engine/protocol/skel/call-core.cpp:
	* lib/engine/protocol/skel/call-core.h:
	Added ringing_call signal and make use of it. The Ringing tone should
	only be played when the remote party answers with a 180 Ringing, and
	not in other cases. That bug was already fixed in 2.0.x and was
	reintroduced later.

2008-04-07  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/gui/gtk-frontend/roster-view-gtk.cpp:
	Fixed valgrind leak.

2008-04-07  Damien Sandras  <dsandras@gnome.org>
	
	* src/gui/tools.cpp:
	Fixed #521248 by renaming fields.

2008-04-07  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	Fix typo.

2008-04-07  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	Error reporting if an audio device could not be opened.

2008-04-07  Matthias Schneider  <ma30002000@yahoo.de>

	* src/gui/main.cpp:
	* lib/engine/vidinput/skel/vidinput-core.cpp:
	* lib/engine/vidinput/skel/vidinput-core.h:
	Perform video device settings updates when getting frames
	in order not to block the GUI thread.

2008-04-06  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/urlhandler.cpp,
	* src/endpoints/manager.cpp,
	* src/endpoints/h323.cpp,
	* src/endpoints/manager.h,
	* src/endpoints/sip.cpp,
	* src/gui/main.cpp:
	Simplified GMManager. Removed all deprecated methods
	like GetCurrentCallToken, SetCurrentCallToken, GetCallingState,
	SetCallingState, ... as the engine is ready to handle several
	simultaneous calls.

2008-04-06  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/pcss.cpp,
	src/endpoints/pcss.h:
	Reduced the PCSS EndPoint to its minimal form to keep OPAL happy.

2008-04-06  Damien Sandras  <dsandras@gnome.org>

	* src/devices/audiodev.cpp:
	Fixed compiler warning.

2008-04-06  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-call.cpp,
	src/endpoints/opal-call.h:
	Began moving the no answer timeout from the GMManager to the Call,
	where it should belong when you have several calls running at the same
	time.

2008-04-06  Matthias Schneider  <ma30002000@yahoo.de>

	* win32/Makefile:
	Fix ffmpeg in win32 build.

2008-04-06  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/sip.h,
	src/endpoints/manager.cpp,
	src/endpoints/opal-main.cpp,
	src/endpoints/manager.h,
	src/endpoints/sip.cpp:
	First changes in order to make the SIP and H.323 EndPoints become a
	CallManager implementation instead of the GMManager. Having the
	GMManager being a CallManager was not a good idea for several reasons.
	(difference of features between protocols).

2008-04-06  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/opal-gmconf-bridge.cpp:
	* src/endpoints/h323.cpp, src/endpoints/h323.h:
	Moved some settings from the endpoint to the bridge.
	Broke redirection on timeout.

2008-04-06  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp:
	Fixed indentation and some warnings.

2008-04-06  Damien Sandras  <dsandras@gnome.org>

	* lib/engine/protocol/skel/call-manager.h: 
	Removed unused stuff.

2008-04-06  Matthias Schneider  <ma30002000@yahoo.de>

	* win32/diff/ptlib_Makefile.am:
	* win32/diff/opal_Makefile.am:
	* win32/diff/ptlib_configure.ac:
	* win32/Makefile:
	Some more fixes for the win32 build. Add missing files for OPAL and PTLIB.

2008-04-06  Matthias Schneider  <ma30002000@yahoo.de>

	* win32/Makefile:
	* configure.ac:
	* lib/engine/audioinput/skel/audioinput-core.cpp:
	* lib/engine/audiooutput/skel/audiooutput-core.cpp:
	* lib/engine/hal/skel/hal-core.h:
	* lib/engine/hal/skel/hal-core.cpp:
	Some fixes for the win32 build.

2008-04-05  Julien Puydt  <jpuydt@gnome.org>

	* lib/gmconf/gmconf-glib.c: Better warnings.
	* src/endpoints/accountshandler.cpp: Fixed race condition.
	* src/endpoints/opal-gmconf-bridge.cpp: Fix std::string(NULL) uses.

2008-04-03  Julien Puydt  <jpuydt@gnome.org>

	* lib/gmconf/gmconf-glib.c: More warnings.
	* src/endpoints/opal-gmconf-bridge.cpp: Free the list, not its content!

2008-04-03  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/call-history/history-book.cpp:
	* lib/engine/addressbook/call-history/history-book.h:
	* lib/engine/addressbook/call-history/history-contact.cpp:
	* lib/engine/addressbook/call-history/history-contact.h:
	* lib/engine/addressbook/call-history/history-source.cpp:
	* lib/engine/addressbook/call-history/history-source.h:
	* lib/engine/gui/gtk-frontend/Makefile.am:
	* lib/engine/gui/gtk-frontend/call-history-view-gtk.cpp:
	* lib/engine/gui/gtk-frontend/call-history-view-gtk.h:
	* lib/engine/gui/gtk-frontend/gtk-frontend.cpp:
	* lib/engine/gui/gtk-frontend/gtk-frontend.h:
	* src/gui/main.cpp: Completed (and fixed...) the call history backend,
	created a new view more specific to the call history, and made use of
	it in the main window.

2008-04-03  Julien Puydt  <jpuydt@gnome.org>

	* lib/engine/addressbook/ldap/ldap-source.cpp: Fixed unguarded libxml
	call.

2008-04-03  Matthias Schneider  <ma30002000@yahoo.de>

	* src/devices/audiodev.cpp:
	* src/devices/audiodev.h:
	* src/endpoints/pcss.cpp:
	* src/endpoints/manager.cpp:
	* src/endpoints/pcss.h:
	* src/endpoints/manager.h:
	* src/endpoints/ekiga.cpp:
	* src/endpoints/ekiga.h:
	* src/gui/preferences.cpp:
	* src/gui/preferences.h:
	* src/gui/assistant.cpp:
	* src/gui/main.cpp:
	* src/gui/conf.cpp:
	* src/Makefile.am:
	* lib/engine/engine.cpp:
	* lib/engine/vidinput/skel/vidinput-gmconf-bridge.cpp:
	* ekiga.schemas.in.in:
	New gconf device format. Switch audio input and 
	output to the engine. 

2008-04-02  Damien Sandras  <dsandras@gnome.org>

	* src/gui/main.cpp: 
	Fixed type (#420975) thanks to TLE.

2008-04-02  Damien Sandras  <dsandras@gnome.org>

	* ekiga.schemas.in.in src/gui/preferences.cpp:
	Fixed typo (#420975) thanks to TLE.

2008-04-02  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/audiooutput/skel/audiooutput-scheduler.cpp:
	Fix scheduler for recurring events whose time has already passed 
	and improve debug output.

2008-04-02  Damien Sandras  <dsandras@gnome.org>

	* ekiga.schemas.in.in:
	Fixed string typo (#518168) reported by Petr Kovar.

2008-04-02  Damien Sandras  <dsandras@gnome.org>

	* src/endpoints/manager.cpp: 
	Fix compilation with latest SVN of OPAL.

2008-03-31  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/vidinput/skel/vidinput-core.cpp:
	Fix reactivation of video device after re-plugin.

2008-03-31  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/vidinput/ptlib/vidinput-manager-ptlib.cpp: 
	* lib/engine/vidinput/ptlib/vidinput-manager-ptlib.h: 
	* lib/engine/vidinput/mlogo/vidinput-manager-mlogo.cpp: 
	* lib/engine/vidinput/mlogo/vidinput-manager-mlogo.h: 
	* lib/engine/vidinput/skel/vidinput-manager.h:
	* lib/engine/vidinput/skel/vidinput-core.cpp: 
	* lib/engine/vidinput/skel/vidinput-core.h: 
	Add internal_set_fallback routing to VidInputCore.
	Also fallback if get_frame_data fails.

2008-03-31  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/engine/vidinput/skel/vidinput-gmconf-bridge.cpp:
	Add range check to some critical gconf variables.

2008-03-30  Matthias Schneider  <ma30002000@yahoo.de>

	* lib/gui/gmpreferences.c:
	* lib/gui/Makefile.am:
	Make the preferences boxes wider for new device names.
	Remove (now) redundant DATA_DIR define.

2008-03-30  Matthias Schneider  <ma30002000@yahoo.de>

        * src/Makefile.am:
	* configure.ac: 
        * lib/engine/audioinput/Makefile.am: 
        * lib/engine/audioinput/ptlib/audioinput-main-ptlib.h: 
        * lib/engine/audioinput/ptlib/audioinput-manager-ptlib.cpp: 
        * lib/engine/audioinput/ptlib/audioinput-manager-ptlib.h: 
        * lib/engine/audioinput/ptlib/Makefile.am: 
        * lib/engine/audioinput/ptlib/audioinput-main-ptlib.cpp: 
        * lib/engine/audioinput/null/audioinput-main-null.h: 
        * lib/engine/audioinput/null/audioinput-manager-null.cpp: 
        * lib/engine/audioinput/null/audioinput-manager-null.h: 
        * lib/engine/audioinput/null/Makefile.am: 
        * lib/engine/audioinput/null/audioinput-main-null.cpp: 
        * lib/engine/audioinput/skel/audioinput-manager.h: 
        * lib/engine/audioinput/skel/audioinput-info.h: 
        * lib/engine/audioinput/skel/audioinput-gmconf-bridge.cpp: 
        * lib/engine/audioinput/skel/audioinput-core.cpp: 
        * lib/engine/audioinput/skel/audioinput-gmconf-bridge.h: 
        * lib/engine/audioinput/skel/Makefile.am: 
        * lib/engine/audioinput/skel/audioinput-core.h: 
        * lib/engine/audiooutput/Makefile.am: 
        * lib/engine/audiooutput/ptlib/audiooutput-main-ptlib.h: 
        * lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.cpp: 
        * lib/engine/audiooutput/ptlib/audiooutput-manager-ptlib.h: 
	* lib/engine/audiooutput/ptlib/Makefile.am: 
